
2004-03-05 13:55  sasha
 
	* AfterStep.spec, configure, autoconf/configure.in: Updated version
	  to  2.00.beta4b

2004-03-05 13:46  sasha

	* AfterStep.spec, libAfterConf/Feel.c, libAfterImage/char2uni.c,
	  libAfterStep/asapp.c, libAfterStep/clientprops.h: Fixed
	  compilation in Feel.c with --enable-gdb; Fixed local selection if
	  only the country is specified such as en_US - RedHat seems to
	  have this; Fixed segfault in spawn_child with locale specified it
	  was attempting to check if pointer is isspace() triggering bug in
	  glibc

2004-03-04 14:13  sasha

	* ChangeLog: AfterStep 2.00.beta4 Release

2004-03-04 14:04  sasha

	* AfterStep.spec, NEW, configure, afterstep/database,
	  autoconf/configure.in, libAfterBase/audit.c,
	  libAfterBase/configure, libAfterBase/configure.in,
	  libAfterBase/xprop.c, libAfterConf/ASetRoot.c,
	  libAfterConf/Base.c, libAfterConf/Color.c,
	  libAfterConf/Database.c, libAfterConf/Feel.c,
	  libAfterConf/Look.c, libAfterConf/MyStyle.c,
	  libAfterConf/Pager.c, libAfterConf/Wharf.c,
	  libAfterConf/WinList.c, libAfterConf/WinTabs.c,
	  libAfterConf/function.c, libAfterImage/acconfig.h,
	  libAfterImage/config.h.in, libAfterImage/configure,
	  libAfterImage/configure.in, libAfterImage/apps/ascompose.c,
	  libAfterStep/mylook.c, libAfterStep/mystyle.c,
	  libAfterStep/parser.c, libAfterStep/parser.h,
	  src/Banner/Banner.sh.in, src/Wharf/Wharf.c,
	  src/WinTabs/WinTabs.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/pager.c: Fixed annoying
	  type-punning warnings; Fixed annoying -rdynamic warnings on
	  CYGWIN; Changed default compression ratio for screenshots to give
	  very high quality; Fixed configure.in to properly work with
	  latest autotools supporting PACKAGE_ stuff; Fixed configure to
	  remove -g if enable-gdb is not requested; Fixed root image
	  grabbing using overlay window to not use Backing Store; Fixed
	  ascompose to set USPosition when geometry is requested; Fixed
	  Banner to set its title ; Upgraded version to beta4

2004-03-03 22:50  sasha

	* src/Wharf/Wharf.c: Don't have to unmap Wharf folder at the end of
	  animation

2004-03-03 15:28  sasha

	* src/afterstep/theme.c: fixed theme dir perms.

2004-03-03 14:31  sasha

	* afterstep/wharf, libAfterStep/moveresize.c, src/Wharf/Wharf.c:
	  Fixed Wharf animations

2004-03-03 12:37  sasha

	* libAfterBase/astypes.h, libAfterStep/mystyle.c,
	  src/Wharf/Wharf.c, src/WinList2/WinList.c, src/afterstep/pager.c:
	  debugged Wharf's handling of RootClipArea, and enforced
	  ConfigureNotify handling for folder to preceede buttons; Debugged
	  WinList's handling of root background refreshes - must rerender
	  buttons and canvas if transparent; Fixed handling of Root pixmap
	  grabbing code to actually clip it to RootClipArea in mystyle.c

2004-03-02 17:37  sasha

	* afterstep/desktop/buttons/xml/as-shade-a-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-shade-a.xpm,
	  afterstep/desktop/buttons/xml/as-switchwindow-a.xpm,
	  afterstep/feels/feel.DEFAULT, afterstep/feels/feel.ICCCM,
	  afterstep/looks/look.DEFAULT, afterstep/looks/look.Glass,
	  afterstep/looks/look.Legacy, afterstep/looks/look.QNX,
	  afterstep/looks/look.Transparent, libAfterStep/mystyle.c,
	  src/Banner/Banner.sh.in, src/afterstep/asinternals.h,
	  src/afterstep/configure.c, src/afterstep/functions.c,
	  src/afterstep/menus.c, src/afterstep/menus.h: Fixed handling of
	  window functions selected from window's menu; Fixed look/Legacy
	  to run properly; Fixed handling of cursor pointers - should be
	  configured in feel, not in look

2004-03-02 08:10  sasha

	* afterstep/desktop/tiles/png/: AfterStep: replacing image using
	  binary format

2004-03-01 17:33  sasha

	* afterstep/banner, libAfterImage/apps/ascompose.c: better Banner

2004-03-01 17:12  sasha

	* libAfterImage/char2uni.c, libAfterImage/char2uni.h,
	  libAfterImage/apps/asi18n.c, libAfterStep/asapp.c,
	  libAfterStep/font.h, libAfterStep/hints.c,
	  libAfterStep/mystyle.c, libAfterStep/mystyle_property.c: removed
	  redundand ifdefs for I18N

2004-03-01 16:27  sasha

	* afterstep/Makefile.in, afterstep/autoexec.in, afterstep/banner,
	  libAfterImage/asimage.c, libAfterImage/apps/ascompose.c,
	  src/Banner/Banner.sh.in, src/Banner/Makefile.in: debugged and
	  optimized Banner and ascompose

2004-02-27 17:34  sasha

	* src/Banner/: Banner.in, Banner.sh.in: renamed Banner.in into
	  Banner.sh.in

2004-02-27 17:32  sasha

	* configure, autoconf/configure.in, src/Banner/Makefile.in:
	  debugging Banner's makefile

2004-02-27 17:03  sasha

	* Makefile.in, libAfterImage/apps/ascompose.c: added missing usage
	  text to ascompose and fixed Makefile to install Banner

2004-02-27 16:52  sasha

	* configure, afterstep/desktop/tiles/png/AfterStep,
	  afterstep/desktop/tiles/png/AfterStepBeauty,
	  autoconf/configure.in, libAfterBase/fs.c, src/Banner/Banner.c,
	  src/Banner/Banner.in, src/Banner/Makefile.in: Implemented new
	  Banner using ascompose

2004-02-27 16:41  sasha

	* libAfterImage/: asimage.c, apps/ascompose.c, apps/asflip.c,
	  apps/asgrad.c, apps/asi18n.c, apps/asmerge.c, apps/asscale.c,
	  apps/astext.c, apps/astile.c, apps/asvector.c, apps/asview.c,
	  apps/common.c, apps/common.h: improved ascompose

2004-02-27 10:29  sasha

	* libAfterImage/asimage.c: debugged mask to rectangles list
	  functionality in asimage.c

2004-02-26 17:33  sasha

	* configure, autoconf/configure.in, libAfterImage/asimage.c,
	  libAfterImage/asimagexml.c, libAfterImage/config.h.in,
	  libAfterImage/configure, libAfterImage/configure.in,
	  libAfterImage/apps/ascompose.c: added support for shaped windows
	  to ascompose; Debugged channel->rectangle set conversion in
	  libAfterImage - still have some vertical stripes

2004-02-26 13:54  sasha

	* libAfterImage/asimagexml.c: Fixed <rotate> tag in asxml to
	  properly swap width and height in case of 90 or 270 degree
	  rotation

2004-02-26 13:43  sasha

	* libAfterImage/asimagexml.c: Fixed <rotate> tag in asxml to
	  properly swap width and height in case of 90 or 270 degree
	  rotation

2004-02-23 10:29  sasha

	* src/afterstep/: configure.c, decorations.c: fixed java window
	  size bug

2004-02-21 05:11  sasha

	* afterstep/looks/look.Legacy: Added old look.Legacy

2004-02-21 05:08  sasha

	* afterstep/desktop/tiles/png/AfterStepBeauty,
	  afterstep/feels/feel.DEFAULT, afterstep/feels/feel.ICCCM,
	  afterstep/looks/look.QNX, libAfterImage/apps/ascompose.c,
	  libAfterStep/screen.h, src/afterstep/configure.c: added code to
	  AfterStep to publish Image and Font path in env vars; Added
	  feel.ICCCM that has no keyboard bindings; Added window centering
	  code to ascompose; Added missing cursor definitions to look.QNX;

2004-02-20 05:42  sasha

	* libAfterImage/apps/ascompose.c: Added ability to wait for data
	  placed in X clipboard and then displaying it if its in XML format

2004-02-19 23:10  sasha

	* libAfterImage/apps/ascompose.c: added ability to use same window
	  for different images

2004-02-19 22:50  sasha

	* libAfterImage/apps/ascompose.c: fixed display closing when
	  running in loop

2004-02-19 21:28  sasha

	* libAfterImage/: asimagexml.c, asimagexml.h, apps/ascompose.c:
	  added interactive error reporting functionality

2004-02-19 05:18  sasha

	* libAfterImage/: asimagexml.c, asimagexml.h, apps/ascompose.c:
	  added interactivity functionality to ascompose

2004-01-30 21:21  sasha

	* autoconf/: Makefile.common.lib.in: fixing install problems

2004-01-28 04:54  sasha

	* autoconf/configure.in: Added check for free bsd and added
	  /usr/local/include to cppflags

2004-01-28 03:21  sasha

	* autoconf/Makefile.common.lib.in: Fixed missing $ in check for not
	  empty obj list

2004-01-28 03:07  sasha

	* libAfterBase/selfdiag.c: minor bug in detection of HAVE_DECL_ELFW
	  - should check if its 0 or 1

2004-01-27 02:11  sasha

	* configure, afterstep/autoexec.in, autoconf/configure.in,
	  libAfterBase/configure, libAfterBase/configure.in,
	  libAfterBase/fs.c, libAfterImage/configure,
	  libAfterImage/configure.in, libAfterStep/functions.h,
	  src/afterstep/aswindow.c: now hopefully workplace state
	  restoration should work fine - fixed complex function name
	  parsing, for cases when its nested within anopther complex
	  function.  Also added checks to not remove -g even if
	  --enable-gdb is not specified ( due to requests from debian
	  folks)

2004-01-23 11:14  sasha

	* libAfterBase/fs.c: debugging is_executable_in_path under OSX

2004-01-22 13:17  sasha

	* afterstep/database, afterstep/feels/feel.DEFAULT,
	  libAfterStep/asdatabase.c, libAfterStep/clientprops.c,
	  libAfterStep/clientprops.h, libAfterStep/hints.c,
	  libAfterStep/hints.h, src/Wharf/Wharf.c,
	  src/afterstep/aswindow.c, src/afterstep/events.c,
	  src/afterstep/functions.c: fixed handling of the window name
	  change by application to update its hints flags and function
	  mask; Fixed Wait function where window name  would differ from
	  wait parameter

2004-01-22 09:47  sasha

	* afterstep/start/1_Desktop/.include, libAfterStep/functions.c,
	  libAfterStep/functions.h, src/Pager/Pager.c,
	  src/afterstep/dirtree.c, src/afterstep/dirtree.h,
	  src/afterstep/menuitem.c, src/afterstep/menus.c,
	  src/afterstep/placement.c, src/afterstep/winstatus.c: added
	  ability to override RecentSubmenuItems in .include files;
	  Implemented aditional logic in avoiding cover code to shift
	  windows in most optimal direction only. Seems to fix problems
	  with WinList and Pager fighting for the space

2004-01-21 12:57  sasha

	* libAfterImage/configure, libAfterStep/asapp.c, src/Pager/Pager.c,
	  src/afterstep/afterstep.c, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/functions.c,
	  src/afterstep/menus.c, src/afterstep/misc.c,
	  src/afterstep/winstatus.c: fixed bug where empty locale would be
	  specified while starting a module causing Pager to have 255
	  desktops and other wierdness

2004-01-21 12:07  sasha

	* libAfterBase/: config.h.in, configure, configure.in, selfdiag.c:
	  yet another check of link.h header to fix compilation failures

2004-01-21 10:25  sasha

	* libAfterStep/: afterstep.h, asfeel.c, asfeel.h, moveresize.c,
	  screen.c, wmprops.c, wmprops.h: fixed minor compile bug in
	  wmprops.h WMPropsAtoms declaration

2004-01-20 17:25  sasha

	* libAfterBase/configure: added checks for required structures and
	  types in elf.h for selfdiag code

2004-01-20 15:04  sasha

	* libAfterBase/: config.h.in, configure.in, selfdiag.c: added
	  checks for required structures and types in elf.h for selfdiag
	  code

2004-01-20 14:55  sasha

	* libAfterBase/config.h.in: added checks for required structures
	  and types in elf.h for selfdiag code

2004-01-20 14:07  sasha

	* libAfterBase/: configure, configure.in: added checks for required
	  structures and types in elf.h for selfdiag code

2004-01-20 12:36  sasha

	* libAfterBase/: acconfig.h, config.h.in, configure, configure.in,
	  selfdiag.c: added checks for required structures and types in
	  elf.h for selfdiag code

2004-01-14 13:55  sasha

	* libAfterStep/afterstep.h, libAfterStep/freestor.c,
	  libAfterStep/screen.c, src/afterstep/events.c,
	  src/afterstep/misc.c: fixed handling of client window context
	  when mouse is pressed inside client's subwindow

2004-01-14 10:31  sasha

	* NEW: updated NEW with recent changes

2004-01-14 10:06  sasha

	* libAfterStep/asfeel.c, src/afterstep/functions.c,
	  src/afterstep/pager.c: hopefully fixed situation when one could
	  not change the background, when it was not unloaded due to small
	  enough size

2004-01-13 23:21  sasha

	* libAfterImage/asvisual.c: fixed bug in shared image variant of
	  background xfer

2004-01-13 17:46  sasha

	* libAfterStep/asfeel.c, libAfterStep/asfeel.h,
	  src/afterstep/configure.c, src/afterstep/cover.c,
	  src/afterstep/pager.c: further performance tweaks for root
	  background transfer. Added config option to disable it
	  (DontAnimateBackground)

2004-01-13 14:38  sasha

	* libAfterBase/timer.c, libAfterImage/asvisual.c,
	  src/afterstep/pager.c: disabled animating for tiled pixmaps as it
	  seems to cause slowness

2004-01-13 11:35  sasha

	* src/afterstep/: cover.c, pager.c: converted cover sliding to use
	  timers, tweaked background transfer to do a nicer animation

2004-01-12 17:43  sasha

	* libAfterBase/timer.c, libAfterImage/asimage.c,
	  libAfterImage/asimage.h, libAfterImage/asvisual.c,
	  libAfterImage/asvisual.h, libAfterImage/ximage.c,
	  libAfterImage/ximage.h, libAfterStep/asapp.c,
	  libAfterStep/canvas.c, libAfterStep/decor.c,
	  libAfterStep/screen.c, libAfterStep/screen.h,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/events.c, src/afterstep/pager.c: hopefully
	  optimized ximage transfer by using reusable memory and added
	  ability to postpone background switching task to be done later

2004-01-12 09:04  sasha

	* src/: Pager/Pager.c, WinList2/WinList.c: fixed MyStyles in Pager
	  and button sizing in WinList

2004-01-08 16:11  sasha

	* libAfterStep/: canvas.c, shape.c, shape.h: cleaned up canvas.c so
	  it depends on absolute minimum of other parts of libAfgterStep,
	  and we can extract it and reuse in aterm and other apps

2004-01-08 13:04  sasha

	* autoconf/Makefile.common.lib.in, autoconf/Makefile.defines.in,
	  libAfterBase/Makefile.in, libAfterConf/ASConfig.c,
	  libAfterConf/ASetRoot.c, libAfterConf/Base.c,
	  libAfterConf/Color.c, libAfterConf/Database.c,
	  libAfterConf/Feel.c, libAfterConf/Look.c,
	  libAfterConf/Makefile.in, libAfterConf/MyStyle.c,
	  libAfterConf/Pager.c, libAfterConf/Wharf.c,
	  libAfterConf/WinList.c, libAfterConf/WinTabs.c,
	  libAfterConf/balloon.c, libAfterConf/function.c,
	  libAfterImage/Makefile.in, libAfterImage/afterimage.h,
	  libAfterStep/Makefile.in, libAfterStep/asapp.c,
	  libAfterStep/asapp.h, libAfterStep/asdatabase.c,
	  libAfterStep/asfeel.c, libAfterStep/aswindata.c,
	  libAfterStep/background.c, libAfterStep/balloon.c,
	  libAfterStep/canvas.c, libAfterStep/canvas.h,
	  libAfterStep/clientprops.c, libAfterStep/clientprops.h,
	  libAfterStep/colorscheme.c, libAfterStep/decor.c,
	  libAfterStep/event.c, libAfterStep/font.c,
	  libAfterStep/freestor.c, libAfterStep/functions.c,
	  libAfterStep/hints.c, libAfterStep/module.c,
	  libAfterStep/moveresize.c, libAfterStep/myicon.c,
	  libAfterStep/mylook.c, libAfterStep/mystyle.c,
	  libAfterStep/mystyle_property.c, libAfterStep/outline.c,
	  libAfterStep/parser.c, libAfterStep/screen.c,
	  libAfterStep/session.c, libAfterStep/shape.c,
	  libAfterStep/wmprops.c, src/Gadget/Gadget.c, src/Pager/Pager.c,
	  src/Wharf/Wharf.c, src/WinList2/WinList.c, src/WinTabs/WinTabs.c,
	  src/afterstep/asinternals.h, src/afterstep/dirtree.c,
	  src/ascp/ascolor.c, src/ascp/asimbrowser.c, src/test/test.c:
	  fixed libAfterStep installation procedure and some of the headers
	  to make it useable in external apps

2004-01-07 11:43  sasha

	* libAfterStep/Makefile.in, libAfterStep/canvas.c,
	  libAfterStep/canvas.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, src/afterstep/functions.c: Split ASCanvas
	  code from Tbar for convinience

2004-01-06 10:27  sasha

	* AfterStep.spec, libAfterImage/asfont.c, src/ascp/ascolor.c: fixed
	  get_font to not crash when X is missing; Fixed ascolor to not
	  open any connections to AS when -n option is used

2004-01-05 17:38  vae

	* afterstep/database: fixed database conflict with gaim

2004-01-02 12:14  sasha

	* AfterStep.spec, libAfterImage/configure.in,
	  src/afterstep/functions.c: Fixed keyboard presses handling to not
	  require window selection when there is a focused window; Updated
	  .spec file to better handle libraries and stuff ( thanks to Andre
	  Costa )

2003-12-23 15:46  sasha

	* ChangeLog: AfterStep 2.00.beta3 Release

2003-12-23 15:42  sasha

	* AfterStep.spec, ChangeLog, NEW, configure, autoconf/configure.in:
	  AfterStep 2.00.beta3 Release

2003-12-23 10:05  sasha

	* README.SOLARIS, libAfterImage/Makefile.in: Fixed README.SOLARIS
	  and libAfterImage's Makefile if's

2003-12-17 11:22  sasha

	* libAfterImage/: asimagexml.c, apps/ascompose.c: added
	  width/height value "proportional" to <scale> tag to keep image
	  ratio while scaling

2003-12-10 10:14  sasha

	* configure, autoconf/Makefile.defines.in, autoconf/acconfig.h,
	  autoconf/config.h.in, autoconf/configure.in, libAfterConf/Look.c,
	  libAfterConf/MyStyle.c, libAfterConf/Pager.c,
	  libAfterConf/WinList.c, libAfterConf/WinTabs.c,
	  libAfterConf/afterconf.h, libAfterStep/asapp.c,
	  libAfterStep/background.c, libAfterStep/functions.c,
	  libAfterStep/functions.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, libAfterStep/mystyle_property.c,
	  src/afterstep/add_window.c, src/afterstep/configure.c: cleaned up
	  configure script from unused defines and got rid of acconfig.h as
	  required by autoconf 2.57; Added check for _Xsetlocale to
	  disallow --enable-xlocale when its not available in Xlib

2003-12-09 17:14  sasha

	* configure, autoconf/configure.in, libAfterBase/Makefile.in,
	  libAfterBase/configure, libAfterBase/configure.in,
	  libAfterImage/Makefile.in: got rid of Wait3 testing in configure
	  - should speed it up a bit

2003-12-08 15:18  sasha

	* libAfterImage/asimagexml.c: fixed handling of trailing whitespace
	  at the end of the tag in XML processor

2003-12-08 14:55  sasha

	* libAfterImage/asimagexml.c: added support for C control codes in
	  printf format strings in asxml, added safeguards to check for
	  proper number of parameters in printf format string

2003-12-08 12:23  sasha

	* libAfterImage/: asimagexml.c, apps/ascompose.c: fixed support for
	  input from stdin and output onto stdout in ascompose

2003-12-05 17:24  sasha

	* configure, autoconf/Makefile.defines.in, autoconf/configure.in,
	  libAfterImage/Makefile.in, libAfterImage/afterbase.h.in,
	  libAfterImage/configure, libAfterImage/configure.in,
	  libAfterImage/apps/Makefile.in, libAfterImage/apps/ascompose.c,
	  libAfterImage/apps/asflip.c, libAfterImage/apps/asgrad.c,
	  libAfterImage/apps/asi18n.c, libAfterImage/apps/asmerge.c,
	  libAfterImage/apps/asscale.c, libAfterImage/apps/astext.c,
	  libAfterImage/apps/astile.c, libAfterImage/apps/asvector.c,
	  libAfterImage/apps/asview.c, libAfterImage/apps/common.c,
	  src/afterstep/aswindow.c, src/afterstep/theme.c: Cleaned up
	  configure to not have ugly -I.. -I../.. and not do any detection
	  of libAfterImage/Base - we should always use what we came
	  distributed with

2003-12-05 13:38  sasha

	* libAfterImage/asvisual.c: fixed without-x compile problem in
	  asvisual.c

2003-12-05 13:32  sasha

	* autoconf/configure.in, libAfterBase/fs.c,
	  libAfterImage/asimage.h: fixed stddef.h bug in libAfterBase and
	  without-x compile problem in asimage.c

2003-12-05 11:33  sasha

	* libAfterImage/: asimagexml.c, apps/ascompose.c: added <print> tag
	  to asimage xml to enable output of internal variables such as
	  image size

2003-12-04 11:27  sasha

	* libAfterConf/afterconf.h: Fixed extern in autoconf.h to compile
	  in any combo of headers

2003-12-03 16:43  sasha

	* autoconf/configure.in, libAfterStep/afterstep-config.in: added
	  afterstep-config

2003-12-02 17:39  sasha

	* libAfterConf/: ASConfig.c, Makefile.in, afterconf.h: Added common
	  ASConfig that includes all the AfterStep config syntaxes

2003-12-01 15:41  sasha

	* libAfterConf/Database.c, libAfterConf/afterconf.h,
	  libAfterStep/asdatabase.h, libAfterStep/hints.c: Added new
	  database option : LongLiving and ShortLiving: ShortLiving windows
	  are always placed automatically and do not affect AvoidCover
	  stuff. Hopefully fixed bug where transient windows would not get
	  autoplaced

2003-12-01 12:42  sasha

	* libAfterStep/: clientprops.c, hints.c, screen.c: Fixed segfault
	  when withdrawn window's outdated PropertyNotifys are handled for
	  WM_NAME

2003-11-28 17:27  sasha

	* autoconf/configure.in, libAfterImage/Makefile.in,
	  libAfterImage/afterimage-config.in, libAfterImage/configure,
	  libAfterImage/configure.in: added afterimage-config

2003-11-27 02:08  sasha

	* libAfterStep/mylook.c, libAfterStep/mylook.h,
	  src/afterstep/asinternals.h, src/afterstep/functions.c,
	  src/afterstep/pager.c: Fixed handling of root background when
	  only one desk has image defined for it

2003-11-26 18:18  sasha

	* src/ascp/: ascolor.cxx, ascp.cxx, asdocview.c, asdocview.cxx,
	  asdocview.h: implemented C++ version for Document/View model to
	  form the basis of new ascp

2003-11-21 02:12  sasha

	* libAfterStep/: font.h, wmprops.c:  fixed compilation with i18n
	  enabled; Fixed NET_SUPPORTING_WM_CHECK stuff to hopefully satisfy
	  Open Office

2003-11-18 04:51  sasha

	* src/ascp/: asdocview.c, asdocview.h: added docview model
	  prototype for ascp

2003-11-18 02:08  sasha

	* src/afterstep/: afterstep.c, asinternals.h, configure.c, cover.c,
	  functions.c, pager.c: Completed implementing desktop cover and
	  progress display for long operations

2003-11-17 20:53  sasha

	* src/afterstep/placement.c: Fixed offset for x value when obeying
	  avoid_cover and x is on the different virtual screen

2003-11-14 17:07  sasha

	* libAfterImage/asfont.c, libAfterStep/asapp.h,
	  libAfterStep/asfeel.c, libAfterStep/asfeel.h,
	  src/afterstep/Makefile.in, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  src/afterstep/configure.c, src/afterstep/cover.c,
	  src/afterstep/winstatus.c: Added cover window to meaningfully
	  show user that AfterStep is reloading config or starting up or
	  doing anything else that takes time

2003-11-14 01:28  sasha

	* Makefile.in, configure, afterstep/autoexec.in,
	  autoconf/aclocal.m4, autoconf/configure.in, src/ascp/Makefile.in,
	  src/ascp/ascp.cxx, src/ascp/ascpui.cxx, src/ascp/ascpui.fl,
	  src/ascp/ascpui.h, src/ascp/fltk/Makefile.in,
	  src/ascp/fltk/ascp.cxx, src/ascp/fltk/ascpui.cxx,
	  src/ascp/fltk/ascpui.fl, src/ascp/fltk/ascpui.h,
	  src/ascp/gtk/AsConfig.glade, src/ascp/gtk/Makefile.in: split ascp
	  to have 2 front ends - gtk and fltk

2003-11-14 00:12  sasha

	* libAfterStep/decor.c: Fixed unsigned math problem in calculating
	  cliw size of the label

2003-11-13 17:01  sasha

	* afterstep/desktop/tiles/: jpg/AfterStep, png/AfterStep: replaced
	  AfterStep logo with better PNG one

2003-11-13 16:20  sasha

	* libAfterStep/: asdatabase.c, decor.c: Fixed ViewportX and
	  ViewportY swapping; Fixed transparency rendering to account for
	  bevel outline offset

2003-11-13 11:36  sasha

	* libAfterStep/decor.c, src/test/test.c: fixed problem with long
	  text overlapping bevel

2003-11-12 16:27  sasha

	* libAfterStep/decor.c, src/afterstep/decorations.c: Fixed layout
	  code to properly align backgrounds and buttons on vertical
	  titles, as well as spacing and margins for buttons

2003-11-12 11:45  sasha

	* libAfterStep/moveresize.c: Fixed snapping for AvoidCover windows
	  to not stop 1 pixel away from the window

2003-11-10 16:59  sasha

	* src/: Pager/Pager.c, afterstep/decorations.c: debugged Pager's
	  placement. Debugged frame subwindows when NoHandles is requested;
	  Still Debugging why there is a gap between windows while
	  move/resizing to near Pager

2003-11-07 17:02  sasha

	* libAfterConf/Pager.c, libAfterConf/afterconf.h,
	  libAfterImage/export.c, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h, libAfterStep/decor.c,
	  src/Pager/Pager.c, src/test/test.c: Added ActiveDeskBevel and
	  InActiveDeskBevel to Pager's options; Debugged bevel drawing when
	  tbar has different bevels for focus and unfocus states( should
	  get rid of wierd black frame when one of the states is None)

2003-10-22 16:54  sasha

	* libAfterConf/Look.c, libAfterConf/afterconf.h,
	  libAfterStep/mylook.c, libAfterStep/mylook.h,
	  src/afterstep/configure.c, src/afterstep/decorations.c,
	  src/afterstep/winstatus.c: Implemented new feature allowing
	  titlebars being smaller then the size of the window:
	  CondenseTitlebar Left|Right|Center in MyFRame

2003-10-22 11:52  sasha

	* libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/decorations.c: Fixed bug in bar layout code that
	  would incompletely allocate spare space between resizable
	  columns/rows with more then two of those

2003-10-21 17:11  sasha

	* libAfterStep/module.c, src/WinTabs/WinTabs.c: Most of WinTabs is
	  done - need to figure out some of the transparency stuff

2003-10-20 17:31  sasha

	* src/WinTabs/WinTabs.c: added focus switching

2003-10-18 01:15  sasha

	* src/WinTabs/WinTabs.c: added code for withdrawing when there are
	  no swallowed windows

2003-10-15 16:56  sasha

	* libAfterConf/WinTabs.c, libAfterConf/afterconf.h,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  src/WinTabs/WinTabs.c: Implemented tabs layout code for WinTabs.
	  Implemented tabs removal on DestroyNotify

2003-10-10 17:16  sasha

	* afterstep/database: added code to avoid placing windows where
	  AvoidCover windows are on initial placement

2003-10-10 17:13  sasha

	* src/afterstep/winstatus.c: added code to avoid placing windows
	  where AvoidCover windows are on initial placement

2003-10-10 17:04  sasha

	* src/afterstep/: asinternals.h, events.c, placement.c,
	  winstatus.c: implemented checking for other AvoidCover windows,
	  prior to letting window move resize/place itself - thus fixing
	  problem with Wharf messing up WinList on withdrawing

2003-10-10 00:39  sasha

	* libAfterStep/asapp.c, src/Pager/Pager.c: fixed bug in Pager where
	  it would always startup with one desk, as it was stupid enough to
	  check for desk number to begin with space

2003-10-09 17:07  sasha

	* libAfterBase/xprop.c, libAfterStep/clientprops.c,
	  libAfterStep/decor.c, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/WinTabs/WinTabs.c: Fixed Pager layout problem when number of
	  desks does not match config file; Fixed Pager sizing when there
	  are more then 1 column; Fixed swallowed window size handling in
	  Wharf to honor ConfigureRequests; Fixed synthetic ConfigureNotify
	  sending in Wharf to do it when size has not change; Fixed command
	  line parsing in Pager to handle args passed in by AS; Fixed bugs
	  introduced while fixing 64-bitness in XChangeProperty

2003-10-08 18:18  sasha

	* libAfterBase/xprop.c, libAfterBase/xprop.h,
	  libAfterStep/clientprops.c, libAfterStep/wmprops.c,
	  src/WinTabs/WinTabs.c, src/afterstep/afterstep.c: Hopefully fixed
	  64-bitness problems in XGetProperty

2003-10-08 16:16  sasha

	* libAfterBase/: selfdiag.c, xprop.c: make sure get_caller_func()
	  does not return NULL

2003-10-08 15:03  sasha

	* libAfterBase/selfdiag.c: make sure get_caller_func() does not
	  return NULL

2003-10-08 12:35  sasha

	* libAfterBase/asvector.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/screen.c, src/Wharf/Wharf.c,
	  src/WinTabs/WinTabs.c: fixed nasty bug preventing AS from working
	  on louse 8bit displays ( many thanks to heviarti)

2003-10-07 17:15  sasha

	* libAfterConf/afterconf.h, libAfterStep/aswindata.c,
	  libAfterStep/aswindata.h, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/WinTabs/WinTabs.c,
	  src/afterstep/afterstep.c: Moved window data name fetching by
	  type into aswindata, and started implementing swallowing in
	  WinTabs

2003-10-07 15:41  sasha

	* libAfterBase/audit.h, libAfterConf/Makefile.in,
	  src/Wharf/Makefile.in, src/WinTabs/Makefile.in,
	  src/WinTabs/WinTabs.c: corrected Makefiles and fixed compile bugs
	  in WinTabs prototype

2003-10-07 14:40  sasha

	* configure: updated configure to create Makefile in src/WinTabs

2003-10-07 14:31  sasha

	* autoconf/configure.in: Added prototype and configuration parsing
	  for new WinTabs module; Implemented proper shape clearing

2003-10-07 12:51  sasha

	* Makefile.in, libAfterConf/WinTabs.c, libAfterConf/afterconf.h,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  src/Wharf/Makefile.in, src/WinTabs/Makefile.in,
	  src/WinTabs/WinTabs.c, src/afterstep/decorations.c,
	  src/test/test.c: Added prototype and configuration parsing for
	  new WinTabs module; Implemented proper shape clearing

2003-10-06 17:48  sasha

	* libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/configure.c, src/afterstep/decorations.c: fixed
	  problem with shape not properly cleared as look changed

2003-10-03 17:39  sasha

	* NEW, afterstep/database, afterstep/desktop/bars/png/frame_e_qnx,
	  afterstep/desktop/bars/png/frame_s_qnx,
	  afterstep/desktop/bars/png/frame_se_qnx,
	  afterstep/desktop/bars/png/frame_sw_qnx,
	  afterstep/desktop/bars/png/frame_w_qnx,
	  afterstep/desktop/bars/png/title_lbtn_qnx_1,
	  afterstep/desktop/bars/png/title_lbtn_qnx_2,
	  afterstep/desktop/bars/png/title_rbtn_qnx,
	  afterstep/desktop/bars/png/title_rspacer_qnx,
	  afterstep/desktop/bars/png/title_tile_qnx,
	  afterstep/desktop/bars/xml/title_lbtn_qnx,
	  afterstep/desktop/bars/xml/title_tile_qnx_focused,
	  afterstep/desktop/bars/xml/title_tile_qnx_sticky,
	  afterstep/desktop/bars/xml/title_tile_qnx_unfocused,
	  afterstep/desktop/buttons/xml/qnx-close,
	  afterstep/desktop/buttons/xml/qnx-close-pressed,
	  afterstep/desktop/buttons/xml/qnx-iconify,
	  afterstep/desktop/buttons/xml/qnx-iconify-pressed,
	  afterstep/desktop/buttons/xml/qnx-menu,
	  afterstep/desktop/buttons/xml/qnx-menu-pressed,
	  afterstep/desktop/buttons/xml/qnx-pin,
	  afterstep/desktop/buttons/xml/qnx-pin-pressed,
	  afterstep/desktop/buttons/xml/qnx-shade,
	  afterstep/desktop/buttons/xml/qnx-shade-pressed,
	  afterstep/desktop/buttons/xml/qnx-switchwindow,
	  afterstep/desktop/buttons/xml/qnx-switchwindow-pressed,
	  afterstep/desktop/icons/dots/png/arrow_short_small,
	  afterstep/desktop/icons/dots/png/qnx-close-red,
	  afterstep/desktop/icons/dots/png/qnx-iconify-red,
	  afterstep/desktop/icons/dots/png/qnx-menu-red,
	  afterstep/desktop/icons/dots/png/qnx-shade-red,
	  afterstep/looks/look.QNX, libAfterConf/Look.c,
	  libAfterStep/decor.c, libAfterStep/mylook.c,
	  libAfterStep/mylook.h, src/afterstep/configure.c,
	  src/afterstep/decorations.c: Implemented new look.QNX with all
	  the supporting files; Added ability to separately configure
	  layout of buttons on the left and right (spacing and
	  offsets);Updated database to remove extra buttons from the menus

2003-09-25 23:53  sasha

	* ChangeLog: AfterStep 2.00.beta2 Release

2003-09-25 23:38  sasha

	* ChangeLog, libAfterBase/ChangeLog, libAfterImage/ChangeLog:
	  AfterStep 2.00.beta2 Release

2003-09-25 23:35  sasha

	* README: AfterStep 2.00.beta1 Release

2003-09-25 23:20  sasha

	* ChangeLog, libAfterBase/ChangeLog, libAfterImage/ChangeLog:
	  AfterStep 2.00.beta2 Release

2003-09-25 23:16  sasha

	* libAfterImage/asimagexml.c, libAfterStep/colorscheme.c,
	  src/afterstep/configure.c: Some minor tweaks to cursor coloring
	  and HSV manipuylation for grayscale

2003-09-25 16:07  sasha

	* ChangeLog, Makefile.in, NEW, libAfterBase/ChangeLog,
	  libAfterImage/ChangeLog, tools/cvs2cl.as.pl, ChangeLog.pre2.0:
	  Implemented automagic generation of the ChangeLog

2003-09-25 11:09  sasha

	* ChangeLog: generating ChangeLog

2003-09-24 17:08  sasha

	* afterstep/colorschemes/colorscheme.NeXTish,
	  afterstep/desktop/bars/xml/title_tile_glass_menu,
	  afterstep/desktop/bars/xml/title_tile_glass_menu_focused,
	  afterstep/desktop/bars/xml/title_tile_glass_mi,
	  afterstep/desktop/bars/xml/title_tile_glass_mi_high,
	  afterstep/feels/feel.DEFAULT, afterstep/looks/look.DEFAULT,
	  afterstep/looks/look.Glass, afterstep/looks/look.Transparent,
	  libAfterConf/Color.c, libAfterConf/afterconf.h,
	  libAfterStep/colorscheme.c, libAfterStep/colorscheme.h,
	  libAfterStep/mylook.c, libAfterStep/mylook.h,
	  src/afterstep/configure.c: Completed look.Glass ; renamed
	  PointerFore, PointerBack to CursorFore, CursorBack to match old
	  Cursor option; Moved Cursor definitions from feel into look
	  Completed Colorscheme's support for Cursor's color

2003-09-23 17:39  sasha

	* afterstep/feels/feel.DEFAULT, afterstep/looks/look.DEFAULT,
	  libAfterBase/parse.c, libAfterConf/Color.c, libAfterConf/Look.c,
	  libAfterConf/afterconf.h, libAfterStep/asfeel.c,
	  libAfterStep/asfeel.h, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h, libAfterStep/mylook.c,
	  libAfterStep/mylook.h, src/afterstep/afterstep.c,
	  src/afterstep/configure.c, src/afterstep/winstatus.c: Added look
	  options for mouse pointer coloring: PointerFore and PointerBack;
	  Repaired code to update window's decorations when stickiness flag
	  is toggled;

2003-09-22 17:32  sasha

	* afterstep/feels/feel.DEFAULT, libAfterStep/afterstep.h,
	  libAfterStep/asfeel.c, libAfterStep/asfeel.h,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/menus.c: Added cursors to default feel file; enable
	  cursor switching while hovering over different elements of the
	  interface; Added code to change color of the cursor according to
	  what colorscheme is set to - may need to tweak a bit , or make
	  colors configurable

2003-09-22 15:22  sasha

	* libAfterImage/char2uni.c, libAfterStep/asapp.c,
	  libAfterStep/session.c: Fixed locale parsing from LANG variable;
	  Fixed module startup to pass on current locae specified on
	  command line

2003-09-19 16:08  sasha

	* src/afterstep/configure.c: added debugging code for cursor
	  loading

2003-09-16 16:56  sasha

	* libAfterStep/moveresize.c: fixed bug with windows teleporting
	  back to original position, if moved/resized too fast

2003-09-15 14:22  sasha

	* configure: updated configure scripts

2003-09-15 12:39  sasha

	* autoconf/configure.in, libAfterStep/asapp.c,
	  libAfterStep/clientprops.c, libAfterStep/module.h,
	  libAfterStep/moveresize.c, src/test/Makefile.in, src/test/test.c:
	  Fixed configure.in to properly enable i18n in libAfterImage as
	  requested. Internationalized text should be displayed properly
	  now, even if its not in UTF8; Update src/test to work with new
	  libs and added test code for i18n testing

2003-09-15 10:53  sasha

	* libAfterStep/asapp.c: Fixed unquoted string in i18N code reported
	  by Alex Mezin

2003-09-14 01:05  sasha

	* libAfterStep/asapp.c, libAfterStep/asapp.h, libAfterStep/hints.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c: Added
	  checks for locale and proper initialization of libAfterImage
	  t3ext drawing in accordance to its value; Fixed problem with
	  EdgeScroll being mangled when just look changes; Fixed recently
	  introduced bug causing wierd corners in framned windows upon the
	  look change

2003-09-14 00:07  sasha

	* src/afterstep/: asinternals.h, module.c: Fixed typoe for msg type
	  in SendString being declared as some wierd type of unsigned long
	  long	- possibly causing wierdness on 64 bit machines

2003-09-13 01:52  sasha

	* configure, configure.h.in, autoconf/acconfig.h,
	  autoconf/config.h.in, autoconf/configure.in,
	  libAfterStep/session.c, src/Pager/Pager.c,
	  src/afterstep/events.c: implemented feedback functionality via
	  sending the e-mail to sasha :)

2003-09-12 17:19  sasha

	* autoconf/configure.in, libAfterStep/moveresize.c,
	  src/Pager/Pager.c: added configure option to send e-mail back to
	  developer on installation; Fixed canvas border width handling
	  while resizing and in Pager;

2003-09-11 02:12  sasha

	* libAfterStep/afterstep.h, libAfterStep/clientprops.c,
	  libAfterStep/decor.c, libAfterStep/decor.h, libAfterStep/hints.c,
	  libAfterStep/moveresize.c, libAfterStep/moveresize.h,
	  src/Wharf/Wharf.c, src/WinList2/WinList.c,
	  src/afterstep/aswindow.c, src/afterstep/decorations.c,
	  src/afterstep/events.c, src/afterstep/menus.c,
	  src/afterstep/module.c, src/afterstep/winstatus.c: fixed handling
	  of WM_PROTOCOL changes where WM_COMMAND would get lost and
	  session management would stop working; Found bug with huge impact
	  - all the geometry calculations were off as we were forgetting
	  border width of the frame window; Fixed handling of button
	  presses on border of the frame

2003-09-10 17:37  sasha

	* afterstep/colorschemes/colorscheme.NeXTish: fixed NeXTish
	  colorscheme somewhat

2003-09-10 01:32  sasha

	* libAfterStep/hints.c, libAfterStep/mylook.c,
	  libAfterStep/mylook.h, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/decorations.c,
	  src/afterstep/winstatus.c: Fixed workspace state save/restore to
	  allow terms to exec command using -e, and to have argv's with
	  spaces in them; Fixed frame corner sizing to make it same width
	  as is tbar size;

2003-09-09 01:39  sasha

	* AfterStep.spec, TEAM, configure, afterstep/database,
	  autoconf/config.guess, autoconf/config.sub,
	  autoconf/configure.in, autoconf/install-sh,
	  libAfterBase/config.guess, libAfterBase/config.sub,
	  libAfterBase/configure, libAfterBase/configure.in,
	  libAfterBase/install-sh, libAfterImage/config.guess,
	  libAfterImage/config.sub, libAfterImage/configure,
	  libAfterImage/configure.in, libAfterImage/install-sh,
	  libAfterImage/apps/ascompose.c, libAfterImage/apps/asi18n.c,
	  src/Pager/Pager.c: More fixing Pager's geometry; Added -i cmd
	  line parameter to ascompose to allow for 'include' files (such as
	  colorschemes, etc.); Updated configure scripts to properly detect
	  headers when its run from libAfterBase; Updated version to beta2;
	  Updated TEAM file

2003-09-08 17:24  sasha

	* src/Pager/Pager.c: Fixed Pager to properly account for label size
	  while sizing min-desktop windows

2003-09-08 17:20  sasha

	* libAfterImage/asimagexml.c, libAfterImage/export.c,
	  src/Pager/Pager.c: Fixed Pager to properly account for label size
	  while sizing min-desktop windows

2003-09-07 02:11  sasha

	* libAfterStep/clientprops.c, libAfterStep/decor.c,
	  libAfterStep/hints.c, libAfterStep/hints.h, src/Pager/Pager.c,
	  src/afterstep/events.c: somewhat debugged Pager's geometry
	  handling - need to add some code to properly recalculate Pager's
	  geometry if its soecified as ratio of the main desktop vs. exact
	  geometry

2003-09-03 17:37  sasha

	* afterstep/wharf, afterstep/desktop/icons/logos/png/AfterStep4,
	  libAfterBase/parse.c, libAfterImage/asimagexml.c: added new
	  AfterStep log icon; fixed wharf config file

2003-09-02 17:16  sasha

	* libAfterImage/asimagexml.c: added new xml tag : <color> to define
	  symbolic color names

2003-09-02 12:15  sasha

	* libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/decorations.c: changed handling of tiled images to
	  clip it properly when Right/Left align is used

2003-08-30 02:58  sasha

	* configure.h.in, libAfterImage/asvisual.c,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/events.c,
	  src/afterstep/functions.c: debugged workspace state handling
	  code, and improved Wait loop

2003-08-29 17:20  sasha

	* configure.h.in, afterstep/autoexec.in, libAfterBase/regexp.c,
	  libAfterBase/regexp.h, libAfterStep/hints.c,
	  libAfterStep/hints.h, libAfterStep/session.c,
	  libAfterStep/session.h, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/functions.c: mostly implemented new workspace state
	  saving and restoring

2003-08-28 17:06  sasha

	* libAfterStep/hints.c: fixed workspace status generator to not
	  save xrm params, as noone seems to support thoise

2003-08-28 16:34  sasha

	* libAfterImage/asvisual.c, libAfterImage/asvisual.h,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/decorations.c, src/afterstep/winstatus.c: added
	  caching of pixmaps for unfocused bas in window decorations to
	  speed up fast focus switching

2003-08-28 11:43  sasha

	* libAfterStep/: hints.c, hints.h, wmprops.h: 64-bit fixes: CARD32
	  instead of Window type

2003-08-28 11:35  sasha

	* libAfterConf/Color.c, libAfterImage/asimage.c,
	  libAfterImage/asvisual.c, libAfterStep/asapp.c,
	  libAfterStep/clientprops.c, libAfterStep/clientprops.h,
	  libAfterStep/decor.c, libAfterStep/functions.c,
	  libAfterStep/hints.c, libAfterStep/module.c,
	  libAfterStep/session.c, libAfterStep/wmprops.c,
	  libAfterStep/wmprops.h, src/afterstep/afterstep.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c,
	  src/afterstep/dirtree.c, src/afterstep/functions.c,
	  src/afterstep/pager.c, src/afterstep/placement.c,
	  src/afterstep/theme.c: 64-bit fixes: properties and strlen
	  warnings

2003-08-28 10:30  sasha

	* libAfterStep/aswindata.c, libAfterStep/aswindata.h,
	  libAfterStep/module.c, libAfterStep/module.h, src/Pager/Pager.c,
	  src/Wharf/Wharf.c, src/WinList2/WinList.c,
	  src/afterstep/asinternals.h, src/afterstep/functions.c,
	  src/afterstep/module.c: 64-bit fixes: converted intermodule
	  communications to always use 32bit values

2003-08-28 00:10  sasha

	* configure, libAfterStep/asapp.c, libAfterStep/aswindata.c: more
	  64 bit fixes

2003-08-27 23:53  sasha

	* libAfterBase/: audit.c, parse.c, safemalloc.c, selfdiag.c,
	  xprop.h: 64-bit compilation fixes

2003-08-27 14:16  sasha

	* src/afterstep/: asinternals.h, events.c, module.c, pager.c: Fixed
	  slowness in intermodule communications manifesting itself when
	  desktops are switched

2003-08-27 11:57  sasha

	* autoconf/configure.in, libAfterImage/import.c,
	  libAfterStep/mylook.c, libAfterStep/mylook.h,
	  src/afterstep/configure.c, src/afterstep/pager.c: fixed handling
	  of non-default MyBackgrounds, and proper adding of DeskConfigs
	  while switching desks

2003-08-27 03:37  sasha

	* libAfterImage/config.h.in: synching

2003-08-27 02:53  sasha

	* afterstep/autoexec.in, src/Pager/Pager.c:  fixed segfaulting in
	  Pager on look switches or after window restacking

2003-08-27 01:58  sasha

	* afterstep/database, libAfterStep/decor.c, libAfterStep/hints.c,
	  src/WinList2/WinList.c, src/afterstep/decorations.c: Fixed
	  handling of hints flags - it was doing nothing before if flags ==
	  0 - was screwing MOtif Hints like totatlly; Fixed shaped window
	  handling in WinList; Added check to not do too much redrawing
	  when WinLIst is receiving window list - may want to do the same
	  in Pager

2003-08-26 16:49  sasha

	* libAfterBase/xprop.c, libAfterBase/xprop.h,
	  libAfterImage/asimage.c, libAfterImage/asimage.h,
	  libAfterImage/import.c, libAfterImage/import.h,
	  libAfterStep/clientprops.c, libAfterStep/clientprops.h,
	  libAfterStep/mystyle_property.c, libAfterStep/wmprops.c,
	  libAfterStep/wmprops.h:  added parameters to import funcions, to
	  allow for sized image/preview stuff; Removed compression buffer
	  from ASImage structure to save up some memory; Hopefully fixed
	  hints handling on 64 bit hw

2003-08-24 02:18  sasha

	* libAfterBase/selfdiag.c, libAfterStep/hints.c,
	  src/afterstep/add_window.c, src/afterstep/decorations.c,
	  src/afterstep/events.c, src/afterstep/winstatus.c: fixed event
	  handling when windows is getting mapped - no more lost events due
	  to not selected mask ; Fixed initial status when mouse pointer is
	  out of the screen; Fixed ICCCM size hints handling to have
	  BaseSize and MinSize interchange each other when one is ommited -
	  fixes GIMPs initial placement

2003-08-23 01:31  sasha

	* afterstep/start/0_Applications/f_Eterm: added new 3 icons to
	  complete the set of default icons: switched AfterStep to use
	  ~/.afterstep instead of ridiculous ~/GNUstel/L/A stuff

2003-08-23 01:28  sasha

	* configure, configure.h.in, afterstep/autoexec.in,
	  afterstep/base.in,
	  afterstep/desktop/buttons/xml/default-menu-dark,
	  afterstep/desktop/buttons/xml/default-menu-dark-pressed,
	  afterstep/desktop/buttons/xml/default-pin-dark,
	  afterstep/desktop/buttons/xml/default-pin-dark-pressed,
	  afterstep/desktop/buttons/xml/default-switchwindow-dark,
	  afterstep/desktop/buttons/xml/default-switchwindow-dark-pressed,
	  afterstep/start/1_Desktop/Color_Scheme/.include.in,
	  afterstep/start/1_Desktop/Feel/.include.in,
	  afterstep/start/1_Desktop/Look/.include.in,
	  afterstep/start/1_Desktop/Pictures/.include.in,
	  afterstep/start/1_Desktop/Theme/.include.in,
	  autoconf/Makefile.defines.in, autoconf/configure.in,
	  libAfterImage/config.h.in, libAfterImage/configure,
	  libAfterImage/configure.in, libAfterImage/apps/Makefile.in,
	  libAfterStep/asapp.c, libAfterStep/asapp.h,
	  libAfterStep/session.c: added new 3 icons to complete the set of
	  default icons: switched AfterStep to use ~/.afterstep instead of
	  ridiculous ~/GNUstel/L/A stuff

2003-08-22 17:31  sasha

	* libAfterBase/sleep.c, libAfterStep/shape.c, libAfterStep/shape.h,
	  src/afterstep/decorations.c, src/afterstep/events.c,
	  src/afterstep/winstatus.c: Fixed handling of shaped windows -
	  shape is not erroneously cleared, and client's shape is
	  subtracted from decoration's shape

2003-08-22 13:01  sasha

	* afterstep/desktop/buttons/xml/default-iconize-light,
	  afterstep/desktop/buttons/xml/default-iconize-light-pressed,
	  afterstep/desktop/buttons/xml/default-kill-light,
	  afterstep/desktop/buttons/xml/default-kill-light-pressed,
	  afterstep/desktop/buttons/xml/default-shade-light,
	  afterstep/desktop/buttons/xml/default-shade-light-pressed,
	  doc/Makefile.in, libAfterImage/import.c, src/ascp/asimbrowser.c:
	  fixed autodetection of zipped xpms and added 6 more icons to
	  default iconset

2003-08-21 16:25  sasha

	* libAfterImage/ascmap.c, libAfterImage/asimage.c,
	  libAfterImage/asvisual.c, libAfterImage/asvisual.h,
	  libAfterImage/export.c, src/ascp/asimbrowser.c: more improvements
	  to asimbrowser

2003-08-20 23:50  sasha

	* afterstep/database, afterstep/wharf, src/ascp/Makefile.in: fixed
	  makefile for ascp, when fltk is not found; added better Style for
	  BitchX to database; remnoved scrollbar from BitchX in Wharf

2003-08-20 17:15  sasha

	* afterstep/database, libAfterBase/parse.c, libAfterImage/export.c,
	  libAfterImage/import.c, src/ascp/asimbrowser.c: implemented html
	  generator for icons list (asimbrowser); TODO: replace all
	  asimage_decode_line with Image Output thingy, or implement
	  support for back_color

2003-08-19 17:07  sasha

	* afterstep/database, libAfterImage/import.c,
	  libAfterImage/import.h, libAfterStep/module.h,
	  src/afterstep/theme.c, src/ascp/Makefile.in,
	  src/ascp/asimbrowser.c: implemented image list loading from dir
	  listing

2003-08-19 12:08  sasha

	* afterstep/database, libAfterConf/Database.c,
	  libAfterStep/asdatabase.c, libAfterStep/asdatabase.h,
	  libAfterStep/hints.c, src/afterstep/winstatus.c: fixed Pager
	  fighting with WinList for space. Fixed a bug in status
	  initialization where Layer would be changed to 10000 no matter
	  what is set in database

2003-08-18 17:14  sasha

	* configure.h.in, libAfterConf/Color.c, libAfterStep/module.c,
	  libAfterStep/session.c, libAfterStep/session.h,
	  src/Pager/Pager.c, src/afterstep/configure.c,
	  src/afterstep/pager.c: Fixed ability to have different
	  backgrounds on different desktops by default

2003-08-18 14:56  sasha

	* configure, libAfterImage/configure: configure regenerated

2003-08-18 14:27  sasha

	* afterstep/database, afterstep/desktop/icons/mini/xml/Folder,
	  autoconf/Makefile.defines.in, autoconf/configure.in,
	  libAfterImage/configure.in: changes to configure to properly
	  handle user set LDFLAGS

2003-08-18 12:43  sasha

	* libAfterImage/configure: configure regenerated

2003-08-18 12:41  sasha

	* libAfterImage/configure.in: changes to configure to properly
	  handle user set LDFLAGS

2003-08-18 12:36  sasha

	* libAfterImage/configure: configure regenerated

2003-08-18 12:35  sasha

	* libAfterImage/configure.in: changes to configure to properly
	  handle user set LDFLAGS

2003-08-18 12:30  sasha

	* libAfterImage/configure: configure regenerated

2003-08-18 12:28  sasha

	* libAfterImage/: configure.in, apps/Makefile.in: changes to
	  configure to properly handle user set LDFLAGS

2003-08-16 23:00  sasha

	* src/Pager/Pager.c: fixed segfault when desk is switched out oif
	  Pager's scope

2003-08-16 22:23  sasha

	* src/Pager/Pager.c: fixed compile on FBSD due to double semicolon

2003-08-16 22:18  sasha

	* libAfterBase/fs.c, src/afterstep/menuitem.c: fixed compile bug
	  when dirent.h is in sys/dirent.h

2003-08-16 00:58  sasha

	* src/Pager/Pager.c: hopefully fixed situation where Pager crashes
	  as destroyed window is still being referenced by the desk

2003-08-15 23:29  sasha

	* Makefile.in, libAfterBase/configure, libAfterBase/configure.in,
	  libAfterImage/asfont.c, libAfterImage/configure,
	  libAfterImage/configure.in, libAfterImage/apps/Makefile.in,
	  libAfterStep/event.c, libAfterStep/event.h,
	  libAfterStep/functions.c, libAfterStep/screen.c,
	  libAfterStep/screen.h, libAfterStep/wmprops.c, src/Wharf/Wharf.c:
	  applied 5 patches from Stasinos Konstantopoulos

2003-08-15 16:43  sasha

	* libAfterBase/: configure.in, configure: configure

2003-08-15 16:37  sasha

	* libAfterBase/: configure.in, configure: configure

2003-08-15 15:35  sasha

	* configure, libAfterBase/configure, libAfterImage/configure:
	  updated configure scripts to autoconf 2.57

2003-08-15 14:43  sasha

	* libAfterImage/import.h:  more messing aruound with system headers
	  and compilation

2003-08-15 12:18  sasha

	* libAfterBase/: fs.c, fs.h:  more messing aruound with system
	  headers and compilation

2003-08-15 12:01  sasha

	* configure, libAfterBase/configure, libAfterImage/configure:
	  updated configure scripts

2003-08-15 11:55  sasha

	* autoconf/configure.in, libAfterBase/config.h.in,
	  libAfterBase/configure.in, libAfterImage/configure.in,
	  libAfterImage/config.h.in:  more messing aruound with system
	  headers and compilation

2003-08-15 11:42  sasha

	* configure, libAfterBase/configure, libAfterImage/configure:
	  updated configure scripts

2003-08-15 11:35  sasha

	* autoconf/configure.in, libAfterBase/configure.in,
	  libAfterBase/fs.c, libAfterBase/fs.h, libAfterBase/parse.c,
	  libAfterBase/sleep.c, libAfterBase/socket.c,
	  libAfterBase/timer.c, libAfterBase/xprop.c,
	  libAfterImage/afterbase.c, libAfterImage/ascmap.c,
	  libAfterImage/asfont.c, libAfterImage/asimage.c,
	  libAfterImage/asimagexml.c, libAfterImage/configure.in,
	  libAfterImage/export.c, libAfterImage/import.c,
	  libAfterImage/pixmap.c, libAfterImage/transform.c,
	  libAfterImage/ungif.c, libAfterImage/xcf.c,
	  libAfterImage/ximage.c, libAfterImage/xpm.c,
	  libAfterImage/apps/astile.c, libAfterStep/background.c,
	  libAfterStep/freestor.c, libAfterStep/module.c,
	  libAfterStep/parser.c, src/Animate/Animate.c, src/Pager/Pager.c,
	  src/Wharf/Wharf.c, src/afterstep/aswindow.c,
	  src/afterstep/dirtree.c, src/afterstep/events.c,
	  src/afterstep/menuitem.c, src/asetroot/asetroot.c:  more messing
	  aruound with system headers and compilation

2003-08-15 00:40  sasha

	* configure, libAfterBase/ashash.c, libAfterBase/aslist.c,
	  libAfterBase/asvector.c, libAfterBase/audit.c,
	  libAfterBase/configure, libAfterBase/os.c, libAfterBase/output.c,
	  libAfterBase/safemalloc.c, libAfterBase/selfdiag.c,
	  libAfterBase/sleep.c, libAfterBase/socket.c,
	  libAfterBase/timer.c, libAfterImage/afterbase.c,
	  libAfterImage/asfont.c, libAfterImage/asimage.c,
	  libAfterImage/asimagexml.c, libAfterImage/configure,
	  libAfterImage/pixmap.c, libAfterImage/transform.c,
	  libAfterImage/ximage.c, libAfterStep/asapp.h,
	  libAfterStep/background.c, libAfterStep/module.c,
	  src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  src/afterstep/events.c: more work on compilation issues, notably
	  fixed errors on old debian 2.2

2003-08-14 16:23  sasha

	* src/Wharf/Wharf.c: adjusted wharf's timings

2003-08-14 16:12  sasha

	* configure, libAfterImage/configure: disabled gif/ungif by default

2003-08-14 16:11  sasha

	* autoconf/configure.in, libAfterImage/configure.in: disabled
	  gif/ungif by default - needs to be reenabled manually

2003-08-14 15:27  sasha

	* autoconf/config.h.in, libAfterImage/export.c,
	  libAfterImage/import.c, src/afterstep/asinternals.h,
	  src/afterstep/winstatus.c: compilation warnings fixed

2003-08-14 14:56  sasha

	* configure, libAfterBase/configure, libAfterImage/configure:
	  updated configure

2003-08-14 12:29  sasha

	* autoconf/configure.in, libAfterBase/ashash.h,
	  libAfterBase/audit.c, libAfterBase/parse.c, libAfterConf/Look.c,
	  libAfterImage/afterbase.h.in, libAfterImage/asfont.c,
	  libAfterImage/asimage.c, libAfterImage/asimagexml.c,
	  libAfterImage/asvisual.c, libAfterImage/configure.in,
	  libAfterImage/transform.c, libAfterImage/xpm.c,
	  libAfterStep/aswindata.c, libAfterStep/clientprops.c,
	  libAfterStep/functions.c, libAfterStep/mylook.c,
	  libAfterStep/mystyle.c, libAfterStep/parser.c,
	  libAfterStep/wmprops.c, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/afterstep/aswindow.c, src/afterstep/colormaps.c,
	  src/afterstep/configure.c, src/afterstep/icons.c: hopefully fixed
	  all the strict aliasing breakage errors with newer gcc

2003-08-13 23:50  sasha

	* libAfterBase/config.h.in, libAfterBase/configure,
	  libAfterBase/configure.in, libAfterBase/safemalloc.h,
	  libAfterImage/afterbase.h.in, libAfterImage/ascmap.c,
	  libAfterImage/asfont.c, libAfterImage/asimage.c,
	  libAfterImage/asimagexml.c, libAfterImage/asvisual.c,
	  libAfterImage/config.h.in, libAfterImage/configure,
	  libAfterImage/configure.in, libAfterImage/export.c,
	  libAfterImage/import.c, libAfterImage/pixmap.c,
	  libAfterImage/transform.c, libAfterImage/ungif.c,
	  libAfterImage/xcf.c, libAfterImage/ximage.c, libAfterImage/xpm.c,
	  libAfterImage/apps/asmerge.c, libAfterStep/decor.c,
	  src/Pager/Pager.c: bugfixes in Pager and Wharf, and fixed
	  handling of malloc.h

2003-08-13 17:45  sasha

	* libAfterStep/decor.c, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/winstatus.c: Fixed
	  handling of the shape while switching colorschemes/looks

2003-08-13 15:45  sasha

	* src/afterstep/icons.c: fixed minimization when Icon box is too
	  small; Fixed partial maximization

2003-08-13 15:11  sasha

	* configure, autoconf/configure.in, src/Gadget/Gadget.c,
	  src/Gadget/Makefile.in, src/afterstep/asinternals.h,
	  src/afterstep/functions.c, src/afterstep/icons.c,
	  src/afterstep/placement.c: fixed minimization when Icon box is
	  too small; Fixed partial maximization

2003-08-13 09:52  sasha

	* AfterStep.spec, src/Wharf/Makefile.in: fixed compilation bugs
	  while using specs in RH

2003-08-12 16:30  sasha

	* libAfterImage/asimagexml.c: removed offending varargs include
	  that was not needed anyways, but was breaking compile with gcc
	  3.3.1

2003-08-11 12:02  allanon

	* libAfterImage/asimagexml.c: fail gracefully if merge is requested
	  and no images can be loaded

2003-08-11 01:12  sasha

	* NEW, configure, afterstep/Makefile.in,
	  afterstep/feels/feel.AutoRaise,
	  afterstep/feels/feel.ClickToFocus, afterstep/feels/feel.GNOME,
	  afterstep/feels/feel.ICCCM, afterstep/feels/feel.MacOS8,
	  afterstep/feels/feel.PureNeXT, afterstep/feels/feel.Windowish,
	  afterstep/feels/feel.cursors, afterstep/looks/look.AfterStep,
	  afterstep/looks/look.Frames, afterstep/looks/look.Guylhem,
	  afterstep/looks/look.Metallic, afterstep/looks/look.NEW,
	  afterstep/looks/look.Nextish, afterstep/looks/look.Ostx,
	  afterstep/looks/look.PureNext, afterstep/looks/look.purple,
	  autoconf/configure.in, libAfterBase/configure,
	  libAfterBase/configure.in, libAfterImage/configure,
	  libAfterImage/configure.in:  cleanup in preparation to beta1
	  release

2003-08-10 00:48  sasha

	* afterstep/start/7_About_AfterStep/1_Whats_New,
	  afterstep/start/7_About_AfterStep/2_libAfterImage,
	  afterstep/start/7_About_AfterStep/3_International_Text,
	  afterstep/start/7_About_AfterStep/4_XML_images,
	  afterstep/start/7_About_AfterStep/5_Color_ Schemes,
	  afterstep/start/7_About_AfterStep/5_Color_Schemes,
	  afterstep/start/7_About_AfterStep/6_Supported_Standards,
	  src/Pager/Pager.c, src/afterstep/menuitem.c: menu cleanup and
	  Pager shape cleanup too

2003-08-09 00:30  sasha

	* libAfterImage/asvisual.c, libAfterImage/asvisual.h,
	  libAfterStep/asapp.c, src/afterstep/afterstep.c: added cleanup
	  code for shared memory

2003-08-08 17:27  sasha

	* afterstep/start/7_About_AfterStep/1_Whats_New, doc/as20new.html,
	  doc/asxmlimages.html: added doc files

2003-08-08 16:38  sasha

	* libAfterImage/asvisual.c: added safety check for shared memory
	  utilization

2003-08-08 16:25  sasha

	* libAfterImage/: asvisual.c: added safety check for shared memory
	  utilization

2003-08-08 15:50  allanon

	* afterstep/Makefile.in: install xml files individually; copying
	  "*" includes directories, which causes the copy to fail

2003-08-08 15:48  allanon

	* autoconf/Makefile.common.lib.in: install.doc now works in
	  directories which have no docs

2003-08-07 23:46  sasha

	* configure, libAfterImage/asimage.c: fixed bug in ASImage to shape
	  conversion causing disappearing titlebars in glass look

2003-08-07 10:57  sasha

	* configure, autoconf/configure.in, libAfterStep/moveresize.h,
	  src/Pager/Pager_old.c, src/Pager/x_pager.c, src/Wharf/Wharf.h,
	  src/Wharf/icons.c, src/afterstep/functions.c,
	  src/afterstep/functions_old.c, src/afterstep/menus_old.c,
	  src/afterstep/pager.c, src/afterstep/placement.c,
	  src/afterstep/winstatus.c: Fixed bug in window movement resizing
	  when wviewport is switched in the middle - window stays on old
	  viewport now. Cleaned up old unused files.

2003-08-01 14:42  sasha

	* libAfterImage/asimage.c, libAfterImage/asimage.h,
	  libAfterImage/apps/asview.c, libAfterStep/Makefile.in,
	  libAfterStep/decor.c, libAfterStep/decor.h, src/Pager/Pager.c,
	  src/Wharf/Wharf.c, src/afterstep/asinternals.h,
	  src/afterstep/decorations.c, src/afterstep/events.c,
	  src/afterstep/pager.c, src/afterstep/winstatus.c,
	  libAfterStep/.depend, libAfterStep/.shared, libAfterStep/shape.c,
	  libAfterStep/shape.h, src/Pager/.depend, src/Wharf/.depend:
	  rewrote shaped windows handling to use rectangles everywhere, and
	  intelligently merge them together, thus greately reducing memory
	  utilization and avoiding flickering and other nasty artifacts.
	  That's it, last commit before beta1 release :) - I'm off for
	  vactaion, coincedentally :)

2003-07-30 11:59  sasha

	* src/afterstep/: asinternals.h, decorations.c, menus.c: Fixed
	  initial menu placement to keep entire menu frame on the screen

2003-07-30 11:25  sasha

	* src/: WinList2/WinList.c, afterstep/decorations.c,
	  afterstep/placement.c, afterstep/winstatus.c: fixed avoid cover
	  window shifting to keep windows on current viewport; Fixed frame
	  shape handling to allow for proper shade animation with shaped
	  frames; Fixed WinList obeing MaxSize and MinSize

2003-07-29 17:11  sasha

	* afterstep/backgrounds/xml/Cell_Colored,
	  afterstep/backgrounds/xml/Cell_Colored.mini,
	  afterstep/backgrounds/xml/Japanese_Colored,
	  afterstep/backgrounds/xml/Japanese_Colored.mini,
	  afterstep/desktop/bars/xml/title_lspacer_glass,
	  afterstep/desktop/bars/xml/title_rspacer_glass,
	  afterstep/desktop/bars/xml/title_tile_glass_focused,
	  afterstep/desktop/bars/xml/title_tile_glass_sticky,
	  afterstep/desktop/bars/xml/title_tile_glass_unfocused,
	  afterstep/desktop/buttons/xml/glass-iconize,
	  afterstep/desktop/buttons/xml/glass-iconize-pressed,
	  afterstep/desktop/buttons/xml/glass-kill,
	  afterstep/desktop/buttons/xml/glass-kill-pressed,
	  afterstep/desktop/buttons/xml/glass-menu,
	  afterstep/desktop/buttons/xml/glass-menu-pressed,
	  afterstep/desktop/buttons/xml/glass-pin,
	  afterstep/desktop/buttons/xml/glass-pin-pressed,
	  afterstep/desktop/buttons/xml/glass-shade,
	  afterstep/desktop/buttons/xml/glass-shade-pressed,
	  afterstep/desktop/buttons/xml/glass-switchwindow,
	  afterstep/desktop/buttons/xml/glass-switchwindow-pressed,
	  libAfterConf/Color.c, libAfterConf/Wharf.c,
	  libAfterStep/colorscheme.c, libAfterStep/colorscheme.h,
	  src/ascp/ascolor.c: added bunch of ascs vaiables for asxml to
	  allow for hsv transformation of various colors

2003-07-25 17:28  sasha

	* libAfterBase/sleep.c, libAfterBase/sleep.h, libAfterStep/asapp.c,
	  libAfterStep/colorscheme.h, libAfterStep/event.c,
	  libAfterStep/wmprops.c, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/housekeeping.c, src/afterstep/menus.c,
	  src/afterstep/menus.h, src/afterstep/pager.c,
	  src/afterstep/theme.c, src/afterstep/winstatus.c: Fixed window
	  manager's restarting and manager's selection handling; Fixed
	  sleep_a_little thingy; Fixed menu mapping and mouse overing

2003-07-24 23:52  sasha

	* afterstep/: Makefile.in, backgrounds/xml/Firestreaks,
	  backgrounds/xml/Firestreaks.mini: makefile fixes and firestreak
	  background fix

2003-07-24 17:48  sasha

	* src/ascp/.depend: added missing .depend file

2003-07-24 17:46  sasha

	* afterstep/colorschemes/Crimson.mini,
	  afterstep/colorschemes/Deep_Red.mini,
	  afterstep/colorschemes/Gold_On_Blue.mini,
	  afterstep/colorschemes/Green_Sea.mini,
	  afterstep/colorschemes/Lime.mini,
	  afterstep/colorschemes/NeXTish.mini,
	  afterstep/colorschemes/Peru.mini,
	  afterstep/colorschemes/Purple.mini,
	  afterstep/colorschemes/Sea_Water.mini,
	  afterstep/colorschemes/Silver.mini,
	  afterstep/colorschemes/Stormy_Skies.mini,
	  afterstep/colorschemes/Turquoise.mini,
	  afterstep/colorschemes/Washed_Blue.mini,
	  afterstep/colorschemes/colorscheme.Crimson,
	  afterstep/colorschemes/colorscheme.Deep_Red,
	  afterstep/colorschemes/colorscheme.Gold_On_Blue,
	  afterstep/colorschemes/colorscheme.Green_Sea,
	  afterstep/colorschemes/colorscheme.Lime,
	  afterstep/colorschemes/colorscheme.Peru,
	  afterstep/colorschemes/colorscheme.Purple,
	  afterstep/colorschemes/colorscheme.Sea_Water,
	  afterstep/colorschemes/colorscheme.Silver,
	  afterstep/colorschemes/colorscheme.Turquoise,
	  afterstep/colorschemes/colorscheme.Washed_Blue,
	  afterstep/start/1_Desktop/Color_Scheme/.include.in,
	  src/ascp/ascolor.c: added minipixmap to colorschemes menu;
	  ascolor can now write out minipixmap xml file

2003-07-24 16:54  sasha

	* afterstep/backgrounds/Plain_Textures/xml/.include,
	  afterstep/backgrounds/Plain_Textures/xml/Blurts_Michelson.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Checkers.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Defenseless_Elsie.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Dorchester_Consolidated.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Drop_Injures.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Evil_Car_Wash.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Gray.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Libelous_Paintings.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Nordic_Powder_Pirate.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Psychiatrists_Imminently.mini,
	  afterstep/backgrounds/Plain_Textures/xml/Simple.mini,
	  afterstep/backgrounds/xml/Psychiatrists_Imminently.mini,
	  libAfterStep/decor.c, src/afterstep/asinternals.h,
	  src/afterstep/events.c, src/afterstep/menus.c,
	  src/afterstep/menus.h, src/afterstep/winstatus.c: Completed and
	  debugged implementation of scrollable menus; Fixed transparency
	  updating on frame move in tbars; Added minipixmaps to
	  Plain_Textures backgrounds menu

2003-07-23 17:29  sasha

	* afterstep/backgrounds/xml/Blurts_Michelson.mini,
	  afterstep/backgrounds/xml/Cell.mini,
	  afterstep/backgrounds/xml/Cell_Colored.mini,
	  afterstep/backgrounds/xml/Default.mini,
	  afterstep/backgrounds/xml/Defenseless_Elsie.mini,
	  afterstep/backgrounds/xml/Dorchester_Consolidated.mini,
	  afterstep/backgrounds/xml/Drop_Injures.mini,
	  afterstep/backgrounds/xml/Evil_Car_Wash.mini,
	  afterstep/backgrounds/xml/Firestreaks.mini,
	  afterstep/backgrounds/xml/Japanese.mini,
	  afterstep/backgrounds/xml/Japanese_Colored.mini,
	  afterstep/backgrounds/xml/Libelous_Paintings.mini,
	  afterstep/backgrounds/xml/Nordic_Powder_Pirate.mini,
	  afterstep/backgrounds/xml/Psychiatrists_Imminently.mini,
	  afterstep/backgrounds/xml/Simple_Texture.mini,
	  afterstep/backgrounds/xml/Smooth.mini,
	  afterstep/start/1_Desktop/Pictures/.include.in,
	  libAfterImage/asimagexml.c, libAfterStep/asapp.c,
	  libAfterStep/decor.c, libAfterStep/screen.c,
	  src/afterstep/decorations.c, src/afterstep/dirtree.c,
	  src/afterstep/dirtree.h, src/afterstep/menuitem.c,
	  src/afterstep/menus.c, src/afterstep/menus.h,
	  src/afterstep/winstatus.c: added feature allowing for the menu
	  minipixmaps to come from files with specified extension, such as
	  .mini

2003-07-22 16:47  sasha

	* NEW, afterstep/backgrounds/Plain_Textures/xml/Checkers: done for
	  the day

2003-07-22 15:59  sasha

	* afterstep/: Makefile.in,
	  backgrounds/Plain_Textures/xml/Blurts_Michelson,
	  backgrounds/Plain_Textures/xml/Defenseless_Elsie,
	  backgrounds/Plain_Textures/xml/Dorchester_Consolidated,
	  backgrounds/Plain_Textures/xml/Drop_Injures,
	  backgrounds/Plain_Textures/xml/Evil_Car_Wash,
	  backgrounds/Plain_Textures/xml/Gray,
	  backgrounds/Plain_Textures/xml/Libelous_Paintings,
	  backgrounds/Plain_Textures/xml/Nordic_Powder_Pirate,
	  backgrounds/Plain_Textures/xml/Psychiatrists_Imminently,
	  backgrounds/Plain_Textures/xml/Simple, backgrounds/jpg/.Cell,
	  backgrounds/jpg/.Japanese, backgrounds/xml/Cell,
	  backgrounds/xml/Cell_Colored, backgrounds/xml/Firestreaks,
	  backgrounds/xml/Japanese, backgrounds/xml/Japanese_Colored,
	  desktop/tiles/jpg/AfterStep, desktop/tiles/jpg/Checkers,
	  desktop/tiles/jpg/FireStreaks, desktop/tiles/jpg/Gray: added few
	  more backgrounds to satisfy those who like simple stuff

2003-07-22 10:36  sasha

	* libAfterImage/asfont.c, libAfterStep/font.c: fixed error message
	  while trying to load X11 font with part of the name truncated as
	  the result of size parsing

2003-07-22 10:13  sasha

	* src/afterstep/configure.c: fixed error message reporting improper
	  use of TitleButtonBalloonBorderColor/Width

2003-07-21 14:41  sasha

	* libAfterStep/decor.c, src/afterstep/decorations.c,
	  src/afterstep/winstatus.c: fixed bug in frame resizing where
	  upper corners would grow larger; Fixed bug with initial window
	  mapping when using rubberband to place window

2003-07-21 01:13  sasha

	* afterstep/: Makefile.in,
	  backgrounds/Plain_Textures/xml/Blurts_Michelson,
	  backgrounds/Plain_Textures/xml/Defenseless_Elsie,
	  backgrounds/Plain_Textures/xml/Dorchester_Consolidated,
	  backgrounds/Plain_Textures/xml/Drop_Injures,
	  backgrounds/Plain_Textures/xml/Evil_Car_Wash,
	  backgrounds/Plain_Textures/xml/Libelous_Paintings,
	  backgrounds/Plain_Textures/xml/Nordic_Powder_Pirate,
	  backgrounds/Plain_Textures/xml/Psychiatrists_Imminently,
	  backgrounds/Plain_Textures/xml/Simple,
	  backgrounds/xml/Blurts_Michelson, backgrounds/xml/Default,
	  backgrounds/xml/Defenseless_Elsie,
	  backgrounds/xml/Dorchester_Consolidated,
	  backgrounds/xml/Drop_Injures, backgrounds/xml/Evil_Car_Wash,
	  backgrounds/xml/Libelous_Paintings,
	  backgrounds/xml/Nordic_Powder_Pirate,
	  backgrounds/xml/Psychiatrists_Imminently,
	  backgrounds/xml/Simple_Texture, backgrounds/xml/Smooth: added
	  plain texturesbackgrounds; Fixed Makefile for image files
	  installation

2003-07-19 02:37  sasha

	* afterstep/colorschemes/colorscheme.Purple,
	  afterstep/looks/look.Glass, src/afterstep/decorations.c,
	  src/afterstep/functions.c, src/afterstep/placement.c,
	  src/afterstep/winstatus.c: fixes to shading and window resizing

2003-07-19 01:02  sasha

	* afterstep/: desktop/bars/xml/title_lspacer_glass,
	  desktop/bars/xml/title_rspacer_glass,
	  desktop/bars/xml/title_tile_glass_focused,
	  desktop/bars/xml/title_tile_glass_sticky,
	  desktop/bars/xml/title_tile_glass_unfocused,
	  desktop/buttons/xml/glass-iconize,
	  desktop/buttons/xml/glass-iconize-pressed,
	  desktop/buttons/xml/glass-kill,
	  desktop/buttons/xml/glass-kill-pressed,
	  desktop/buttons/xml/glass-menu,
	  desktop/buttons/xml/glass-menu-pressed,
	  desktop/buttons/xml/glass-pin,
	  desktop/buttons/xml/glass-pin-pressed,
	  desktop/buttons/xml/glass-shade,
	  desktop/buttons/xml/glass-shade-pressed,
	  desktop/buttons/xml/glass-switchwindow,
	  desktop/buttons/xml/glass-switchwindow-pressed, looks/look.Glass:
	  fixed look.Glass

2003-07-18 17:33  sasha

	* afterstep/desktop/bars/png/btn_back_glass_red,
	  afterstep/desktop/bars/png/frame_east_glass_transp,
	  afterstep/desktop/bars/png/frame_ne_glass_transp,
	  afterstep/desktop/bars/png/frame_north_glass_transp,
	  afterstep/desktop/bars/png/frame_nw_glass_transp,
	  afterstep/desktop/bars/png/frame_se_glass_transp,
	  afterstep/desktop/bars/png/frame_south_glass_transp,
	  afterstep/desktop/bars/png/frame_sw_glass_transp,
	  afterstep/desktop/bars/png/frame_west_glass_transp,
	  afterstep/desktop/bars/png/title_lbtn_glass,
	  afterstep/desktop/bars/png/title_lspacer_glass_transp,
	  afterstep/desktop/bars/png/title_rbtn_glass,
	  afterstep/desktop/bars/png/title_rspacer_glass_transp,
	  afterstep/desktop/bars/png/title_tile_glass_red_a50,
	  afterstep/desktop/bars/xml/title_lspacer_glass,
	  afterstep/desktop/bars/xml/title_rspacer_glass,
	  afterstep/desktop/bars/xml/title_tile_glass_focused,
	  afterstep/desktop/bars/xml/title_tile_glass_sticky,
	  afterstep/desktop/bars/xml/title_tile_glass_unfocused,
	  afterstep/desktop/buttons/xml/glass-iconize,
	  afterstep/desktop/buttons/xml/glass-iconize-pressed,
	  afterstep/desktop/buttons/xml/glass-kill,
	  afterstep/desktop/buttons/xml/glass-kill-pressed,
	  afterstep/desktop/buttons/xml/glass-menu,
	  afterstep/desktop/buttons/xml/glass-menu-pressed,
	  afterstep/desktop/buttons/xml/glass-pin,
	  afterstep/desktop/buttons/xml/glass-pin-pressed,
	  afterstep/desktop/buttons/xml/glass-shade,
	  afterstep/desktop/buttons/xml/glass-shade-pressed,
	  afterstep/desktop/buttons/xml/glass-switchwindow,
	  afterstep/desktop/buttons/xml/glass-switchwindow-pressed,
	  afterstep/looks/look.Glass, libAfterBase/parse.c,
	  libAfterConf/Look.c, libAfterConf/afterconf.h,
	  libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, src/afterstep/configure.c,
	  src/afterstep/decorations.c: Completed implementing frame in
	  look.Glass. Fixed bugs in HSV conversion in color parser

2003-07-18 03:00  sasha

	* libAfterImage/asimage.h, libAfterImage/asvisual.c,
	  libAfterImage/asvisual.h, libAfterImage/import.c,
	  libAfterStep/mystyle.c, src/afterstep/afterstep.c,
	  src/afterstep/decorations.c, src/afterstep/events.c,
	  src/afterstep/menus.c: completed implementation and debugging of
	  shared memory extensions use in afterstep proper; Fixed
	  compression of xml images - save a bundle or root pixmaps

2003-07-17 16:07  sasha

	* afterstep/desktop/icons/dots/png/x_small,
	  afterstep/looks/look.Glass, libAfterStep/balloon.c,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  libAfterStep/moveresize.c, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/decorations.c,
	  src/afterstep/menus.c: fixed several titlebar layout problems and
	  more look.Glass development

2003-07-17 08:46  sasha

	* libAfterImage/asvisual.c, libAfterImage/ximage.c,
	  src/Wharf/Wharf.c: Fixed bug in asimage2ximage where asv->dpy was
	  used instead of asv; Fixed bug in Pager's handling of folders
	  while checking availability

2003-07-17 01:46  sasha

	* afterstep/wharf, libAfterImage/asvisual.c,
	  libAfterImage/asvisual.h, libAfterImage/ximage.c,
	  libAfterStep/screen.c, libAfterStep/screen.h,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/events.c: completed implementation of support for
	  shared memory XImages

2003-07-16 17:32  sasha

	* afterstep/looks/look.Glass, libAfterBase/parse.c,
	  libAfterConf/Look.c, libAfterImage/asimagexml.c,
	  libAfterStep/mystyle.c, src/afterstep/decorations.c,
	  src/afterstep/menuitem.c: added look.Glass (look-alike of 23 Oz
	  Glass E theme); Fixed shaped windows bug in mystyle image
	  rendering (alpha channel was being lost); Added ability to adjust
	  hsv of the color; fixed bug in window decorations handling -
	  background images

2003-07-16 00:47  sasha

	* configure, afterstep/database, afterstep/pager.in,
	  afterstep/wharf, libAfterStep/colorscheme.h,
	  src/WinList2/WinList.c: updated configure; wharf config

2003-07-15 17:35  sasha

	* libAfterConf/Look.c, libAfterConf/afterconf.h,
	  libAfterStep/mylook.c, libAfterStep/mylook.h,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/decorations.c: implemented better support for
	  shaped titlebars - titlebar could be assembled from 5 parts now.

2003-07-15 13:02  sasha

	* configure, afterstep/wharf, autoconf/configure.in,
	  libAfterConf/Look.c, libAfterConf/afterconf.h,
	  src/Wharf/Makefile.in, src/afterstep/decorations.c: fixed
	  configure and updated wharf looks a bit

2003-07-15 02:19  sasha

	* configure, afterstep/asetroot.in, afterstep/autoexec.in,
	  afterstep/compatibility.in, afterstep/wharf, afterstep/zharf.in,
	  afterstep/desktop/icons/logos/png/konqueror,
	  afterstep/looks/look.DEFAULT, afterstep/looks/look.Transparent,
	  afterstep/non-configurable/0_feel, autoconf/configure.in,
	  libAfterImage/configure, src/Zharf/.depend,
	  src/Zharf/Makefile.in, src/Zharf/Zharf.c, src/Zharf/Zharf.h,
	  src/Zharf/Zharf.man, src/Zharf/icons.c: mostly completed wharf
	  config

2003-07-14 17:14  sasha

	* afterstep/wharf, afterstep/wharf.in, libAfterStep/functions.c,
	  libAfterStep/functions.h, src/afterstep/menuitem.c,
	  src/afterstep/menus.c: menu handling of NOP items - should be
	  shown as disabled; wharf config cleanup

2003-07-14 16:35  sasha

	* afterstep/desktop/icons/logos/png/aterm,
	  afterstep/desktop/icons/xml/aterm,
	  afterstep/desktop/icons/xml/eterm,
	  afterstep/desktop/icons/xml/rxvt,
	  afterstep/desktop/icons/xml/xterm,
	  afterstep/start/2_Modules/MonitorWharf,
	  afterstep/start/2_Modules/Stop/MonitorWharf_Stop,
	  libAfterConf/Wharf.c, libAfterConf/afterconf.h,
	  libAfterImage/configure, libAfterStep/functions.c,
	  libAfterStep/functions.h, src/Wharf/Makefile.in,
	  src/Wharf/Wharf.c: added icons for terms and added better
	  availability check to Wharf and AfterStep - Wharf now allows to
	  choose from one of the icons

2003-07-13 23:46  sasha

	* configure, afterstep/wharf.in, autoconf/configure.in,
	  libAfterBase/configure, libAfterImage/configure,
	  libAfterImage/configure.in: fixed configure script to properly
	  compile libAfterImage apps

2003-07-12 01:39  sasha

	* libAfterStep/colorscheme.h, libAfterStep/hints.c,
	  src/afterstep/module.c: added code for fallback in case /tmp is
	  not writable and we need to create socket. Fixed workspace_state
	  writing for terms to use SizeInc hints in geometry

2003-07-11 16:58  sasha

	* configure.h.in, afterstep/feels/feel.DEFAULT,
	  libAfterImage/asimagexml.c, libAfterStep/asapp.c,
	  libAfterStep/functions.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, src/afterstep/functions.c: Implemented 3
	  more functions: TakeScreenShot, TakeWindowShot and TakeFrameShot,
	  as the side effect of debugging root background handling. Updated
	  feel.DEFAULT to use those

2003-07-11 14:53  sasha

	* afterstep/looks/look.Frames, afterstep/looks/look.Transparent,
	  afterstep/looks/look.Transparent.rev, libAfterConf/MyStyle.c,
	  libAfterImage/asimage.c, libAfterImage/transform.c,
	  libAfterStep/mystyle.c: fixed bug in inheritance code where
	  back_icon would get destroyed even if it was inherited, thus
	  causing wierd things to happen when same style is inherited
	  twice; Added code to mystyle_make_image to ensure that we always
	  produce valid ASImage

2003-07-11 12:21  sasha

	* libAfterConf/afterconf.h, src/afterstep/decorations.c,
	  src/afterstep/winstatus.c: fixed frame canvas mapping when look
	  is changed from no frames to frames

2003-07-10 17:28  sasha

	* src/afterstep/winstatus.c: frames debugging

2003-07-10 17:16  sasha

	* afterstep/looks/look.Transparent: created transparency look
	  (colorschemable)

2003-07-10 17:14  sasha

	* src/afterstep/configure.c: frames debugging

2003-07-10 14:15  sasha

	* libAfterStep/hints.c, libAfterStep/hints.h, src/Wharf/Wharf.c:
	  avoidCover window now pushes other windows out when its   first
	  placed, or when its resizing self

2003-07-10 12:27  sasha

	* src/afterstep/: add_window.c, asinternals.h, events.c,
	  placement.c, winstatus.c: avoidCover window now pushes other
	  windows out when its	 first placed, or when its resizing self

2003-07-09 16:24  sasha

	* libAfterStep/hints.c, src/WinList2/WinList.c: Made WinList coming
	  up without the titlebar by default

2003-07-08 17:28  sasha

	* libAfterConf/MyStyle.c, libAfterConf/afterconf.h,
	  libAfterStep/mystyle.c, libAfterStep/mystyle.h,
	  src/afterstep/configure.c, src/afterstep/menus.c,
	  src/afterstep/placement.c: rewrote mystyle parsing so that
	  modules should parse them properly too; Fixed window move
	  resizing , so that AvoidCover windows don't avaoid self (reported
	  by Vaevictus); Fixed pointer movement handling in menu, so that
	  if submenu is opened and pointer mover real fast - submenu don't
	  disappear;

2003-07-03 17:27  sasha

	* afterstep/feels/feel.DEFAULT, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/events.c,
	  src/afterstep/placement.c: Fixed AfterSTep segfault on window
	  withdrawing self while being placed

2003-07-01 16:09  sasha

	* libAfterConf/Database.c, libAfterStep/hints.c,
	  src/afterstep/configure.c: Fixed bug in Motif hints handling
	  causing Mozilla to not have decorations - function hints where
	  interpreted even if not set

2003-07-01 08:54  sasha

	* libAfterImage/asvisual.c: fixed uninitialized ximage pointer
	  usage in create_visual_ximage

2003-07-01 00:53  sasha

	* configure, autoconf/configure.in, libAfterImage/asvisual.h,
	  libAfterImage/configure, libAfterImage/configure.in,
	  src/afterstep/afterstep.c: continued development of the
	  xshmimages

2003-06-30 18:14  sasha

	* configure: fixed shmem autodetection

2003-06-30 18:12  sasha

	* autoconf/configure.in: added support X Shared Memory Image
	  extensions ( mostly ) ;

2003-06-30 17:50  sasha

	* configure, libAfterImage/configure: fixed shmem autodetection

2003-06-30 17:48  sasha

	* libAfterImage/asvisual.c: added support X Shared Memory Image
	  extensions ( mostly ) ;

2003-06-30 17:40  sasha

	* autoconf/configure.in, libAfterImage/asvisual.c,
	  libAfterImage/configure.in: added support X Shared Memory Image
	  extensions ( mostly ) ;

2003-06-28 01:43  sasha

	* afterstep/pager.in, afterstep/non-configurable/0_feel,
	  afterstep/start/0_Applications/Multimedia/1_mp3,
	  libAfterStep/moveresize.c, src/afterstep/aswindow.c,
	  src/afterstep/menus.c: Fixed wicked bug in stacking order
	  handling where new window would get put into the bottom of the
	  stack instead of to the top of it, while visually being on top;
	  Fixed slowness inmenu item selection that has been bothering
	  MG_Tak and some other ppl for long time - thank you all for
	  persistence in bugging me :); Fixed slowness in window
	  movement/resizing(same as slowness in menus :)

2003-06-27 17:51  sasha

	* afterstep/start/7_About_AfterStep/: 1_Whats_New, 2_libAfterImage,
	  3_International_Text, 4_XML_images, 5_Color_ Schemes,
	  6_Supported_Standards: added About menu

2003-06-27 00:50  sasha

	* configure, autoconf/acconfig.h, autoconf/config.h.in,
	  autoconf/configure.in, libAfterBase/fs.c,
	  libAfterImage/acconfig.h, libAfterImage/config.h.in,
	  libAfterImage/configure, libAfterImage/configure.in,
	  libAfterImage/ximage.c, src/afterstep/asinternals.h,
	  src/afterstep/decorations.c, src/afterstep/winstatus.c: Fixed
	  handling of xv's crazy WM_HINTS changing and overal;l hints
	  changing; Fixed out of bounds memory access in make_file_name and
	  picture_ximage2asimage; completed support in configure for X
	  Shared Memory images

2003-06-26 17:42  sasha

	* autoconf/configure.in, src/afterstep/asinternals.h,
	  src/afterstep/decorations.c, src/afterstep/winstatus.c: started
	  improving hint change handling

2003-06-26 15:23  sasha

	* afterstep/: looks/look.DEFAULT, non-configurable/0_look: fixed
	  semitransparent gradients in Pager

2003-06-26 12:22  sasha

	* afterstep/non-configurable/0_background,
	  afterstep/non-configurable/0_feel, libAfterImage/asimage.c,
	  libAfterImage/transform.c, src/afterstep/pager.c: Fixed bug in
	  libAfterImage causing garbadge in gradients 1 pixel wide

2003-06-25 17:35  sasha

	* afterstep/pager.in, afterstep/wharf.in, afterstep/winlist,
	  afterstep/looks/look.DEFAULT, afterstep/non-configurable/0_look,
	  libAfterBase/parse.c, libAfterConf/afterconf.h,
	  libAfterImage/transform.c, libAfterStep/balloon.c,
	  libAfterStep/balloon.h, libAfterStep/functions.c,
	  libAfterStep/mystyle.c, libAfterStep/mystyle_property.c,
	  src/Pager/Pager.c, src/Wharf/Wharf.c, src/WinList2/WinList.c,
	  src/afterstep/menus.c: Fixed transparent gradient drawing to do
	  alphablending instead of allanon; Fixed menu to not show
	  underscores; Fixed menu look update; Added feature to Wharf to
	  verify that Exec command commands are actually available in PATH;
	  Fixed balloons drawing to withdraw them as pointer leaves the
	  window

2003-06-24 17:27  sasha

	* afterstep/Makefile.in, afterstep/looks/look.DEFAULT,
	  afterstep/non-configurable/0_look, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/placement.c: Updated Wharf
	  and WinList to track changes in AfterStep styles and olorscheme;
	  Updated look.DEFAULT somewhat

2003-06-24 00:22  sasha

	* configure, afterstep/desktop/fonts/Default.ttf,
	  afterstep/desktop/fonts/DefaultBold.ttf,
	  afterstep/desktop/fonts/DefaultBoldOblique.ttf,
	  afterstep/desktop/fonts/DefaultOblique.ttf,
	  afterstep/desktop/fonts/DefaultSans.ttf,
	  afterstep/desktop/fonts/DefaultSansBold.ttf,
	  afterstep/desktop/fonts/DefaultSansBoldOblique.ttf,
	  afterstep/desktop/fonts/DefaultSansOblique.ttf,
	  libAfterStep/hints.c, libAfterStep/mystyle.c: Updated TTF fonts
	  to the latest version - has glyphs for some new characters

2003-06-23 17:02  sasha

	* autoconf/Makefile.common.lib.in, autoconf/configure.in,
	  libAfterBase/Makefile.in, libAfterImage/Makefile.in,
	  libAfterStep/afterstep.h, libAfterStep/aswindata.c,
	  libAfterStep/aswindata.h, libAfterStep/balloon.c,
	  libAfterStep/balloon.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/hints.c, libAfterStep/hints.h,
	  libAfterStep/moveresize.c, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/asinternals.h,
	  src/afterstep/decorations.c, src/afterstep/functions.c,
	  src/afterstep/menus.c, src/afterstep/module.c,
	  src/afterstep/winstatus.c: made afterstep UTF-8 aware.

2003-06-21 01:08  sasha

	* libAfterImage/: asfont.c, char2uni.h, apps/asi18n.c: debugged
	  UTF8 rendering with libAfterImage and Default.ttf font

2003-06-20 17:12  sasha

	* libAfterImage/char2uni.h: fixed UTF8 char size calculation

2003-06-20 01:52  sasha

	* libAfterImage/asfont.c, libAfterImage/asfont.h,
	  libAfterImage/apps/asi18n.c, libAfterStep/hints.c,
	  libAfterStep/wmprops.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/configure.c,
	  src/afterstep/winstatus.c: Fixed bug in unicode character drawing
	  causing segfaults

2003-06-19 17:48  sasha

	* afterstep/colorschemes/colorscheme.Stormy_Skies,
	  afterstep/non-configurable/0_colorscheme, libAfterStep/decor.c,
	  libAfterStep/mystyle.c, libAfterStep/mystyle.h: Fixed
	  transparency handling when semitransparent gradients are used;
	  Updated default colorscheme to have sticky and normal colors
	  being more different

2003-06-19 15:23  sasha

	* afterstep/Makefile.in,
	  afterstep/backgrounds/xml/Blurts_Michelson,
	  afterstep/backgrounds/xml/Default,
	  afterstep/backgrounds/xml/Defenseless_Elsie,
	  afterstep/backgrounds/xml/Dorchester_Consolidated,
	  afterstep/backgrounds/xml/Drop_Injures,
	  afterstep/backgrounds/xml/Evil_Car_Wash,
	  afterstep/backgrounds/xml/Libelous_Paintings,
	  afterstep/backgrounds/xml/Nordic_Powder_Pirate,
	  afterstep/backgrounds/xml/Psychiatrists_Imminently,
	  afterstep/backgrounds/xml/Simple_Texture,
	  afterstep/backgrounds/xml/Smooth,
	  afterstep/desktop/tiles/jpg/BlurtsMichelson,
	  afterstep/desktop/tiles/jpg/BlurtsMichelson.mini,
	  afterstep/desktop/tiles/jpg/DefenselessElsie,
	  afterstep/desktop/tiles/jpg/DefenselessElsie.mini,
	  afterstep/desktop/tiles/jpg/DorchesterConsolidated,
	  afterstep/desktop/tiles/jpg/DorchesterConsolidated.mini,
	  afterstep/desktop/tiles/jpg/DropInjures,
	  afterstep/desktop/tiles/jpg/DropInjures.mini,
	  afterstep/desktop/tiles/jpg/EvilCarWash,
	  afterstep/desktop/tiles/jpg/EvilCarWash.mini,
	  afterstep/desktop/tiles/jpg/LibelousPaintings,
	  afterstep/desktop/tiles/jpg/LibelousPaintings.mini,
	  afterstep/desktop/tiles/jpg/NordicPowderPirate,
	  afterstep/desktop/tiles/jpg/NordicPowderPirate.mini,
	  afterstep/desktop/tiles/jpg/PsychiatristsImminently,
	  afterstep/desktop/tiles/jpg/PsychiatristsImminently.mini,
	  afterstep/desktop/tiles/png/SimpleTexture,
	  afterstep/desktop/tiles/xpm/SimpleTexture,
	  libAfterStep/colorscheme.h: added 8 new backgrounds from
	  propaganda set, added Smooth and SimpleTexture backgrounds; fixed
	  gradient color generation in colorscheme code to use mopre
	  difference

2003-06-19 12:42  sasha

	* afterstep/backgrounds/xml/: Back.xpm, BlueStone.xpm,
	  Simple_Texture, aquamarine.xpm, black.xpm, darkblue.xpm,
	  darkgreen.xpm, midnightblue.xpm, purple.xpm, red.xpm, wheat.xpm:
	  rearranging backgrounds

2003-06-18 16:40  sasha

	* libAfterConf/Color.c, libAfterConf/afterconf.h,
	  libAfterStep/module.c, libAfterStep/wmprops.c, src/Pager/Pager.c,
	  src/afterstep/configure.c: implemented style update and
	  colorscheme update in Pager

2003-06-18 15:14  sasha

	* afterstep/looks/look.DEFAULT, libAfterStep/decor.c,
	  libAfterStep/moveresize.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, src/afterstep/add_window.c,
	  src/afterstep/events.c, src/afterstep/placement.c: some
	  improvements to Pager config; Finally fixed segfaulting when
	  window being dragged gets destroyed

2003-06-17 17:37  sasha

	* libAfterStep/asapp.c, libAfterStep/functions.h,
	  libAfterStep/module.h, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/afterstep/asinternals.h, src/afterstep/functions.c,
	  src/afterstep/pager.c, src/afterstep/winstatus.c: Fixed
	  broadcasting of the window status change, so modules now know
	  when window becomes sticky; Optimized desk/viewport switching to
	  avoid too many messages being sent - it all now could be done at
	  once - both desk and viewport changes, so that we should never
	  get into desk 10000; Fixed handling of as-responce waiting in
	  Pager

2003-06-17 08:35  sasha

	* src/afterstep/: events.c, placement.c, winstatus.c: optimization
	  of window moveresizing and geometry handling, to not broadcast
	  too many messages

2003-06-16 17:23  sasha

	* src/afterstep/: events.c, placement.c, winstatus.c: debugging
	  window moveresizing

2003-06-15 01:24  sasha

	* configure, autoconf/configure.in: applied patch conytributed by
	  cat@zip.com.au to make default values work with autoconf 2.50

2003-06-13 17:23  sasha

	* libAfterStep/wmprops.c: Fixed bug in wmprops.c where memory was
	  realloced as if it was for char instead of long, causing crashes
	  on desktop changes

2003-06-10 01:10  sasha

	* libAfterStep/mystyle.c, src/Pager/Pager.c, src/afterstep/pager.c:
	  Fixed Pager's geometry handling when no desk title is used

2003-06-09 22:40  sasha

	* libAfterImage/afterbase.c: Fixed compilation of libAfterImage
	  without libAfterBase

2003-06-09 22:36  sasha

	* libAfterStep/: afterstep.h, outline.c: Applied patch from
	  <cat@zip.com.au> to add twm rubberband

2003-06-07 01:36  sasha

	* afterstep/feels/feel.DEFAULT, libAfterConf/Base.c,
	  libAfterConf/Color.c, libAfterConf/afterconf.h,
	  libAfterStep/colorscheme.h, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/configure.c,
	  src/afterstep/winstatus.c, src/ascp/ascolor.c: Changed default
	  Feel to have more sensible EdgeResistance of 800; Fixed colormap
	  loading code to properly set default angle; Fixed config loading
	  code to reset images when look is changed ( by changing
	  ImageManager ); Fixed Stick/Unstick transition - it was shifting
	  windows on non-zero viewports

2003-06-06 16:30  sasha

	* libAfterStep/mystyle.c: implemented texture rotation for vertical
	  titlebars

2003-06-06 02:17  sasha

	* src/afterstep/functions.c: Fixed gradient type handling; Fixed
	  PinMenu in feel for button 5; Added check for what side should be
	  dragged when window is resized without pressing on the frame

2003-06-06 02:13  sasha

	* afterstep/feels/feel.DEFAULT, afterstep/looks/look.DEFAULT,
	  libAfterImage/asimage.c, libAfterStep/decor.c,
	  libAfterStep/mystyle.c, src/afterstep/decorations.c,
	  src/afterstep/functions.c: Fixed gradient type handling; Fixed
	  PinMenu in feel for button 5; Added check for what side should be
	  dragged when window is resized without pressing on the frame

2003-06-05 17:40  sasha

	* libAfterImage/asimage.c, libAfterImage/asimage.h,
	  libAfterStep/mystyle.c: gradient rotation code implemented for
	  vertical titlebars

2003-06-05 01:44  sasha

	* libAfterStep/decor.c, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, src/afterstep/pager.c: modified
	  mystyle_make_image to enable vertical images as needed

2003-06-05 01:32  sasha

	* libAfterImage/asimagexml.c, src/afterstep/placement.c:  fixed
	  manual placement so that window's corner is at the mouse position

2003-06-05 01:13  sasha

	* libAfterStep/: decor.c: testing cvs emailing

2003-06-05 01:09  sasha

	* libAfterStep/decor.h: testing cvs emailing

2003-06-05 00:27  sasha

	* afterstep/desktop/icons/dots/png/x_large: added missing icon

2003-06-04 17:46  sasha

	* afterstep/desktop/buttons/xml/default-iconize-dark-pressed,
	  afterstep/desktop/buttons/xml/default-kill-dark-pressed,
	  afterstep/desktop/buttons/xml/default-menu-light-pressed,
	  afterstep/desktop/buttons/xml/default-pin-light,
	  afterstep/desktop/buttons/xml/default-pin-light-pressed,
	  afterstep/desktop/buttons/xml/default-shade-dark-pressed,
	  afterstep/desktop/buttons/xml/default-switchwindow-light,
	  afterstep/desktop/buttons/xml/default-switchwindow-light-pressed,
	  afterstep/desktop/icons/dots/png/pin,
	  afterstep/looks/look.DEFAULT, libAfterBase/fs.c,
	  libAfterImage/asimagexml.c: created pressed buttons for the
	  default look; Fixed bug in load_file where file would get opened
	  twice

2003-06-04 01:16  sasha

	* afterstep/: desktop/buttons/xml/default-iconize-dark,
	  desktop/buttons/xml/default-kill,
	  desktop/buttons/xml/default-kill-dark,
	  desktop/buttons/xml/default-menu,
	  desktop/buttons/xml/default-menu-light,
	  desktop/buttons/xml/default-shade-dark,
	  desktop/buttons/xml/default-switchwindow,
	  desktop/buttons/xml/default-switchwindow-light,
	  desktop/icons/dots/png/bar_medium,
	  desktop/icons/dots/png/windows_medium,
	  desktop/icons/dots/png/x_medium, looks/look.DEFAULT: completed
	  tweaking default look titlebar buttons

2003-06-03 17:52  sasha

	* afterstep/desktop/buttons/xml/default-kill,
	  afterstep/desktop/buttons/xml/default-menu,
	  afterstep/desktop/buttons/xml/default-switchwindow,
	  afterstep/desktop/icons/dots/png/x_medium,
	  afterstep/looks/look.DEFAULT, libAfterImage/asimage.c,
	  libAfterImage/asimagexml.c, libAfterImage/import.c: redesigning
	  default titlebar buttons

2003-06-03 13:05  sasha

	* afterstep/desktop/buttons/xml/as-switchwindow-a.xpm,
	  libAfterConf/Database.c, libAfterConf/afterconf.h,
	  libAfterImage/asimagexml.c, libAfterStep/asdatabase.h,
	  libAfterStep/hints.c, libAfterStep/hints.h,
	  src/afterstep/events.c: Implemented NoFocusOnMap database hint;
	  Added opacity setting to solid tag in xml:

2003-06-02 17:43  sasha

	* libAfterImage/asimagexml.c: minor fixes to xml parser

2003-06-02 16:13  sasha

	* libAfterStep/event.c, libAfterStep/moveresize.c,
	  libAfterStep/mystyle.c, src/afterstep/placement.c: Hopefully
	  fixed transparency handlingwhen window is partially off-screen
	  (untested); Added capability to blend image with background even
	  if SHAPED type is used;Hopefully improved responce time while
	  dragging window around

2003-05-31 01:29  sasha

	* configure.h.in, afterstep/non-configurable/0_colorscheme: changed
	  default colorscheme to Stormy Skies

2003-05-31 01:19  sasha

	* configure, configure.h.in,
	  afterstep/colorschemes/colorscheme.NeXTish,
	  afterstep/non-configurable/0_colorscheme,
	  libAfterStep/colorscheme.c, libAfterStep/colorscheme.h,
	  src/ascp/ascolor.c: added NeXTish colorscheme and changed default
	  colorscheme color

2003-05-30 17:30  sasha

	* afterstep/Makefile.in, afterstep/looks/look.DEFAULT,
	  afterstep/non-configurable/0_background,
	  afterstep/non-configurable/0_colorscheme,
	  afterstep/non-configurable/0_look, autoconf/configure.in,
	  libAfterStep/colorscheme.c, libAfterStep/colorscheme.h,
	  src/afterstep/configure.c: Mostly done with the default look and
	  colorscheme stuff. Added code to generate NeXTish colorscheme as
	  the default

2003-05-30 12:45  sasha

	* afterstep/backgrounds/xml/Back.xpm,
	  afterstep/backgrounds/xml/Default,
	  afterstep/non-configurable/0_background,
	  libAfterImage/afterbase.h.in, libAfterImage/asimagexml.c: Added
	  several new attributes to composite and text tags for: text 3d
	  type, align, vailgn ( in asxml handler ); Fixed text foreground
	  image handling in asimagexml; Designed new default background as
	  composite of gradient and old texture with text on top of it.

2003-05-29 17:40  sasha

	* configure.h.in, afterstep/colorschemes/colorscheme.Crimson,
	  afterstep/colorschemes/colorscheme.Deep_Red,
	  afterstep/colorschemes/colorscheme.Gold_On_Blue,
	  afterstep/colorschemes/colorscheme.Green_Sea,
	  afterstep/colorschemes/colorscheme.Lime,
	  afterstep/colorschemes/colorscheme.Peru,
	  afterstep/colorschemes/colorscheme.Purple,
	  afterstep/colorschemes/colorscheme.Sea_Water,
	  afterstep/colorschemes/colorscheme.Silver,
	  afterstep/colorschemes/colorscheme.Stormy_Skies,
	  afterstep/colorschemes/colorscheme.Turquoise,
	  afterstep/colorschemes/colorscheme.Washed_Blue,
	  afterstep/start/1_Desktop/Color_Scheme/.include.in,
	  libAfterConf/Color.c, libAfterConf/afterconf.h,
	  libAfterStep/asapp.c, libAfterStep/asapp.h,
	  libAfterStep/colorscheme.c, libAfterStep/colorscheme.h,
	  libAfterStep/freestor.c, libAfterStep/functions.h,
	  libAfterStep/session.c, libAfterStep/session.h,
	  src/afterstep/configure.c, src/afterstep/functions.c,
	  src/ascp/ascolor.c: Completed debugging of the ascolor app, and
	  implemented suport for color schemes in Afterstep proper;
	  Generated couple color schemes

2003-05-28 17:50  sasha

	* libAfterConf/Color.c, libAfterImage/asvisual.h,
	  libAfterImage/blender.h, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h, src/afterstep/events.c,
	  src/ascp/ascolor.c: completed debugging colorscheme tools - need
	  to check into way of calculating saturation and value

2003-05-24 23:41  sasha

	* libAfterStep/colorscheme.c, libAfterStep/colorscheme.h,
	  src/ascp/ascolor.c: debugging of the greyscale coilorscheme

2003-05-23 17:41  sasha

	* libAfterConf/Color.c, libAfterConf/afterconf.h,
	  libAfterStep/colorscheme.c, libAfterStep/colorscheme.h,
	  src/ascp/ascolor.c: MOre work on colorscheme; It can now be saved
	  and greyscale scheme could be generated

2003-05-23 01:46  sasha

	* libAfterStep/decor.c, libAfterStep/decor.h, src/Pager/Pager.c,
	  src/afterstep/aswindow.c: fixed bug where windows were reparented
	  without consideration for its border width. Reported by MG_Tak.
	  May happen in other places where we move top level frame of the
	  window

2003-05-22 12:12  sasha

	* libAfterBase/Makefile.in, libAfterImage/Makefile.in: Makefile
	  fixes to make libAfterImage and libAfterBase packageable for
	  RedHat

2003-05-21 00:21  sasha

	* libAfterConf/.depend, libAfterConf/.shared,
	  libAfterConf/Makefile.in, src/Pager/.depend, src/Wharf/.depend,
	  src/afterstep/.depend, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/winstatus.c:	fixed bug
	  where unshaded windows would not have any focus

2003-05-20 17:20  sasha

	* libAfterConf/Color.c, libAfterConf/afterconf.h,
	  libAfterImage/blender.h, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h: Implemented colorscheme
	  parsing/writing (mostly)

2003-05-20 01:33  sasha

	* libAfterStep/mystyle.c, libAfterStep/parser.c,
	  libAfterStep/screen.h, src/Wharf/Wharf.c,
	  src/afterstep/add_window.c, src/afterstep/events.c,
	  src/afterstep/pager.c: removed XGrabServer from initial placement
	  for better redrawing; Mostly fixed flickering and slow viewport
	  changes; Still need to mod Wharf to update its clip area

2003-05-19 17:30  sasha

	* libAfterConf/Color.c, libAfterConf/afterconf.h,
	  libAfterStep/colorscheme.c, libAfterStep/parser.c,
	  libAfterStep/parser.h: Started implementing Color config
	  parsing/writing

2003-05-19 11:54  sasha

	* libAfterImage/Makefile.in, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h, src/ascp/ascolor.c: added handling of
	  button pressing to ascolor; Fixed bug in man page installation
	  for libAfterImage reported by MG_Tak

2003-05-19 00:45  sasha

	* libAfterStep/module.h, src/ascp/ascolor.c: fixed compilation bugs
	  in ascolor

2003-05-16 17:25  sasha

	* configure.h.in, libAfterConf/Base.c, libAfterConf/afterconf.h,
	  libAfterStep/asapp.c, libAfterStep/asapp.h,
	  libAfterStep/mystyle.c, libAfterStep/mystyle.h,
	  libAfterStep/screen.c, libAfterStep/screen.h,
	  libAfterStep/session.h, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/afterstep.c,
	  src/afterstep/configure.c, src/afterstep/module.c,
	  src/ascp/ascolor.c: sorted out base config loading

2003-05-15 23:19  sasha

	* autoconf/Makefile.common.in: fixed makefiles to properly install
	  data and man pages

2003-05-15 17:18  sasha

	* afterstep/wharf.in, libAfterStep/decor.c, libAfterStep/mylook.h,
	  src/Pager/Pager.c, src/Wharf/Wharf.c, src/afterstep/configure.c:
	  Fixed Pager crush on startup - reported bu Geoff Burling; Fixed
	  background not being displayed if not configured explicitely in
	  look file - reported by Geoff Burling; Added DontDrawBackground
	  to look to disabling usage of default background; Fixed Wharf's
	  handling of swallowed apps, so that they don't get MaxSwallowed
	  by default

2003-05-09 17:35  sasha

	* src/ascp/ascolor.c: added another menu

2003-05-09 17:25  sasha

	* libAfterConf/afterconf.h, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h, libAfterStep/freestor.h,
	  libAfterStep/moveresize.c, libAfterStep/moveresize.h,
	  libAfterStep/mystyle.c, src/afterstep/afterstep.c,
	  src/ascp/ascolor.c: Fixed lots of compilation problems when used
	  with shared libraries; added menus to ascolor

2003-05-09 14:46  sasha

	* configure: regenerated configure

2003-05-09 14:44  sasha

	* Makefile.in, autoconf/configure.in, libAfterBase/.depend,
	  libAfterStep/.depend, libAfterStep/.shared,
	  libAfterStep/colorscheme.c, libAfterStep/colorscheme.h,
	  src/Pager/.depend, src/Wharf/.depend, src/afterstep/.depend,
	  src/ascp/Makefile.in, src/ascp/ascolor.c: fixed configure and
	  Makefiles to still build in src/ascp dir even if ascp itself will
	  not be built

2003-05-09 14:28  sasha

	* autoconf/Makefile.common.lib.in, libAfterImage/asimage.c,
	  libAfterImage/asimagexml.c, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h, src/ascp/ascolor.c: Fixed image
	  storing in xml scripts using id= attribute; Added check for
	  minimum text color brightness when whitening it; Added more bars
	  to ascolor.c; Fixed bug in Makefiles for shared libraries;

2003-05-09 11:58  sasha

	* libAfterBase/parse.c, libAfterImage/asimagexml.c,
	  libAfterImage/asimagexml.h, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h: fixed compile bugs in parse.c and
	  completed hsv/rgb custom color parsing

2003-05-09 11:57  sasha

	* src/ascp/ascolor.c: added ascolor.c to easily preview as color
	  schemes

2003-05-08 16:24  sasha

	* autoconf/Makefile.common.in, autoconf/Makefile.defines.in,
	  libAfterBase/ashash.c, libAfterBase/ashash.h,
	  libAfterBase/output.c, libAfterBase/parse.c,
	  libAfterBase/parse.h, libAfterStep/colorscheme.c,
	  src/Ident/Makefile.in, src/Pager/Makefile.in,
	  src/Wharf/Makefile.in, src/WinList2/Makefile.in,
	  src/afterstep/Makefile.in, src/ascp/Makefile.in,
	  src/ascp/ascp.cxx, src/ascp/ascpui.cxx, src/ascp/ascpui.fl,
	  src/ascp/ascpui.h: Adding better color parsing capabilities

2003-05-08 11:13  sasha

	* configure, autoconf/configure.in: updated configure script

2003-05-07 16:49  sasha

	* src/ascp/: ascpui.cxx, ascpui.fl, ascpui.h: prototyped FLTK based
	  ascp; Made all the libraries C++ safe

2003-05-07 16:29  sasha

	* Makefile.in, autoconf/Makefile.common.in,
	  autoconf/Makefile.defines.in, autoconf/configure.in,
	  libAfterBase/ashash.h, libAfterBase/aslist.h,
	  libAfterBase/astypes.h, libAfterBase/asvector.h,
	  libAfterBase/audit.c, libAfterBase/audit.h, libAfterBase/fs.h,
	  libAfterBase/layout.h, libAfterBase/mystring.h,
	  libAfterBase/os.h, libAfterBase/output.h, libAfterBase/parse.h,
	  libAfterBase/regexp.h, libAfterBase/safemalloc.h,
	  libAfterBase/selfdiag.h, libAfterBase/sleep.h,
	  libAfterBase/socket.h, libAfterBase/timer.h,
	  libAfterBase/trace.h, libAfterBase/xprop.h, libAfterBase/xwrap.h,
	  libAfterConf/afterconf.h, libAfterImage/ascmap.h,
	  libAfterImage/asfont.h, libAfterImage/asimage.h,
	  libAfterImage/asimagexml.h, libAfterImage/asvisual.h,
	  libAfterImage/blender.h, libAfterImage/char2uni.h,
	  libAfterImage/export.h, libAfterImage/import.h,
	  libAfterImage/pixmap.h, libAfterImage/transform.h,
	  libAfterImage/ungif.h, libAfterImage/xcf.h,
	  libAfterImage/ximage.h, libAfterImage/xpm.h,
	  libAfterStep/afterstep.h, libAfterStep/alpha_header.h,
	  libAfterStep/asapp.h, libAfterStep/asdatabase.h,
	  libAfterStep/asfeel.h, libAfterStep/aswindata.h,
	  libAfterStep/background.h, libAfterStep/balloon.h,
	  libAfterStep/clientprops.h, libAfterStep/colorscheme.h,
	  libAfterStep/decor.h, libAfterStep/event.h, libAfterStep/font.h,
	  libAfterStep/freestor.h, libAfterStep/functions.h,
	  libAfterStep/hints.h, libAfterStep/module.h,
	  libAfterStep/moveresize.h, libAfterStep/myicon.h,
	  libAfterStep/mylook.h, libAfterStep/mystyle.h,
	  libAfterStep/mystyle_property.h, libAfterStep/parser.h,
	  libAfterStep/screen.h, libAfterStep/session.h,
	  libAfterStep/sun_headers.h, libAfterStep/wmprops.h,
	  src/ascp/Makefile.in, src/ascp/ascp.cxx, src/ascp/ascpui.cxx,
	  src/ascp/ascpui.fl, src/ascp/ascpui.h: prototyped FLTK based
	  ascp; Made all the libraries C++ safe

2003-05-07 10:04  sasha

	* afterstep/desktop/icons/xml/mini-as.xpm,
	  afterstep/desktop/icons/xml/mini-exit.xpm,
	  afterstep/desktop/icons/xml/mini-folder.xpm,
	  afterstep/desktop/icons/xml/mini-menu.xpm,
	  afterstep/desktop/icons/xml/mini-recycler.xpm,
	  libAfterStep/Makefile.in, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h: fixed image shortcut files reported
	  by Vaevictus, and completed colorscheme calculation code

2003-05-06 17:39  sasha

	* libAfterStep/: colorscheme.c, colorscheme.h: added csome code to
	  produce nice colorschemes automagically

2003-05-06 17:17  sasha

	* afterstep/desktop/icons/xml/mini-app.xpm,
	  libAfterImage/blender.h, libAfterStep/colorscheme.c,
	  libAfterStep/colorscheme.h: added csome code to produce nice
	  colorschemes automagically

2003-05-02 17:24  sasha

	* afterstep/autoexec.in, afterstep/base.in,
	  afterstep/compatibility.in, afterstep/pager.in,
	  afterstep/start/1_Desktop/Feel/.include.in,
	  afterstep/start/1_Desktop/Look/.include.in,
	  afterstep/start/1_Desktop/Pictures/.include.in,
	  afterstep/start/1_Desktop/Theme/.include.in, libAfterConf/Feel.c,
	  libAfterConf/afterconf.h, libAfterStep/afterstep.h,
	  libAfterStep/session.c, libAfterStep/session.h,
	  src/afterstep/functions.c, src/afterstep/theme.c: Completed theme
	  installation code and fixed most of the config file to correctly
	  set path to local user's dir

2003-05-01 17:34  sasha

	* autoconf/configure.in, include/myscandir.h, libAfterBase/fs.c,
	  libAfterBase/fs.h, libAfterConf/Feel.c, libAfterStep/asapp.h,
	  src/afterstep/Makefile.in, src/afterstep/dirtree.c,
	  src/afterstep/myscandir.c, src/afterstep/theme.c: trying to get
	  themes untarred

2003-04-30 17:23  sasha

	* configure.h.in, afterstep/Makefile.in, afterstep/themes/Default,
	  libAfterConf/Feel.c, libAfterConf/afterconf.h,
	  libAfterConf/function.c, libAfterStep/asapp.c,
	  libAfterStep/parser.c, src/afterstep/configure.c,
	  src/afterstep/theme.c: Made theme installation work when theme is
	  not a tarball; Changed theme install script to contain two
	  functions - Install and Apply, so we can check for files
	  existense prior to running apply script

2003-04-30 14:56  sasha

	* configure.h.in, afterstep/Makefile.in,
	  afterstep/start/1_Desktop/Theme/.include.in,
	  afterstep/themes/Default, libAfterBase/fs.c, libAfterBase/fs.h,
	  libAfterBase/mystring.c, libAfterStep/asapp.c,
	  libAfterStep/asapp.h, libAfterStep/functions.h,
	  libAfterStep/session.c, src/afterstep/asinternals.h,
	  src/afterstep/functions.c, src/afterstep/theme.c: more themes
	  develoipment

2003-04-30 08:46  sasha

	* src/Ident/: Ident.c, Ident.h: applied patch from Geoff Burling

2003-04-29 17:16  sasha

	* libAfterConf/afterconf.h, libAfterConf/function.c,
	  src/afterstep/theme.c: theme installation development

2003-04-25 17:16  sasha

	* NEW, afterstep/non-configurable/0_look, libAfterStep/afterstep.h,
	  libAfterStep/font.c, src/afterstep/Makefile.in,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/functions.c, src/afterstep/menus.c,
	  src/afterstep/theme.c: started implementing proper theme
	  installation code see src/afterstep/theme.c

2003-04-25 15:53  sasha

	* afterstep/desktop/buttons/xml/as-switchwindow-a-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-switchwindow-a.xpm,
	  libAfterImage/asimagexml.c, libAfterImage/asimagexml.h,
	  src/afterstep/configure.c: fixed loading of images inside xml
	  scripts to use same PixmapPath as everything else

2003-04-25 13:57  sasha

	* afterstep/desktop/buttons/xml/1,
	  afterstep/desktop/buttons/xml/1.xpm,
	  afterstep/desktop/buttons/xml/1p,
	  afterstep/desktop/buttons/xml/1p.xpm,
	  afterstep/desktop/buttons/xml/2,
	  afterstep/desktop/buttons/xml/2.xpm,
	  afterstep/desktop/buttons/xml/2p,
	  afterstep/desktop/buttons/xml/2p.xpm,
	  afterstep/desktop/buttons/xml/3,
	  afterstep/desktop/buttons/xml/3.xpm,
	  afterstep/desktop/buttons/xml/3p,
	  afterstep/desktop/buttons/xml/3p.xpm,
	  afterstep/desktop/buttons/xml/4,
	  afterstep/desktop/buttons/xml/4.xpm,
	  afterstep/desktop/buttons/xml/4p,
	  afterstep/desktop/buttons/xml/4p.xpm,
	  afterstep/desktop/buttons/xml/5,
	  afterstep/desktop/buttons/xml/5.xpm,
	  afterstep/desktop/buttons/xml/5p,
	  afterstep/desktop/buttons/xml/5p.xpm,
	  afterstep/desktop/buttons/xml/as-iconize,
	  afterstep/desktop/buttons/xml/as-iconize-pressed,
	  afterstep/desktop/buttons/xml/as-iconize-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-iconize.xpm,
	  afterstep/desktop/buttons/xml/as-kill,
	  afterstep/desktop/buttons/xml/as-kill-pressed,
	  afterstep/desktop/buttons/xml/as-kill-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-kill.xpm,
	  afterstep/desktop/buttons/xml/as-maximize-a,
	  afterstep/desktop/buttons/xml/as-maximize-a-pressed,
	  afterstep/desktop/buttons/xml/as-maximize-a-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-maximize-a.xpm,
	  afterstep/desktop/buttons/xml/as-menu-a,
	  afterstep/desktop/buttons/xml/as-menu-a-pressed,
	  afterstep/desktop/buttons/xml/as-menu-a-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-menu-a.xpm,
	  afterstep/desktop/buttons/xml/as-menu-b,
	  afterstep/desktop/buttons/xml/as-menu-b-pressed,
	  afterstep/desktop/buttons/xml/as-menu-b-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-menu-b.xpm,
	  afterstep/desktop/buttons/xml/as-minimize-a,
	  afterstep/desktop/buttons/xml/as-minimize-a-pressed,
	  afterstep/desktop/buttons/xml/as-minimize-a-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-minimize-a.xpm,
	  afterstep/desktop/buttons/xml/as-shade-a,
	  afterstep/desktop/buttons/xml/as-shade-a-pressed,
	  afterstep/desktop/buttons/xml/as-shade-a-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-shade-a.xpm,
	  afterstep/desktop/buttons/xml/as-switchwindow-a,
	  afterstep/desktop/buttons/xml/as-switchwindow-a-pressed,
	  afterstep/desktop/buttons/xml/as-switchwindow-a-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-switchwindow-a.xpm,
	  afterstep/desktop/buttons/xml/as-switchwindow-b,
	  afterstep/desktop/buttons/xml/as-switchwindow-b-pressed,
	  afterstep/desktop/buttons/xml/as-switchwindow-b-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-switchwindow-b.xpm,
	  afterstep/desktop/buttons/xml/as-switchwindow-c,
	  afterstep/desktop/buttons/xml/as-switchwindow-c-pressed,
	  afterstep/desktop/buttons/xml/as-switchwindow-c-pressed.xpm,
	  afterstep/desktop/buttons/xml/as-switchwindow-c.xpm,
	  afterstep/desktop/buttons/xml/as1.5-iconize,
	  afterstep/desktop/buttons/xml/as1.5-iconize-p,
	  afterstep/desktop/buttons/xml/as1.5-iconize-p.xpm,
	  afterstep/desktop/buttons/xml/as1.5-iconize.xpm,
	  afterstep/desktop/buttons/xml/as1.5-iconizeR,
	  afterstep/desktop/buttons/xml/as1.5-iconizeR-p,
	  afterstep/desktop/buttons/xml/as1.5-iconizeR-p.xpm,
	  afterstep/desktop/buttons/xml/as1.5-iconizeR.xpm,
	  afterstep/desktop/buttons/xml/as1.5-kill,
	  afterstep/desktop/buttons/xml/as1.5-kill-p,
	  afterstep/desktop/buttons/xml/as1.5-kill-p.xpm,
	  afterstep/desktop/buttons/xml/as1.5-kill.xpm,
	  afterstep/desktop/buttons/xml/as1.5-menu,
	  afterstep/desktop/buttons/xml/as1.5-menu-p,
	  afterstep/desktop/buttons/xml/as1.5-menu-p.xpm,
	  afterstep/desktop/buttons/xml/as1.5-menu.xpm,
	  afterstep/desktop/buttons/xml/as1.5-shade,
	  afterstep/desktop/buttons/xml/as1.5-shade-p,
	  afterstep/desktop/buttons/xml/as1.5-shade-p.xpm,
	  afterstep/desktop/buttons/xml/as1.5-shade.xpm,
	  afterstep/desktop/buttons/xml/fuf-iconify,
	  afterstep/desktop/buttons/xml/fuf-iconify-pressed,
	  afterstep/desktop/buttons/xml/fuf-iconify-pressed.xpm,
	  afterstep/desktop/buttons/xml/fuf-iconify.xpm,
	  afterstep/desktop/buttons/xml/fuf-kill,
	  afterstep/desktop/buttons/xml/fuf-kill-pressed,
	  afterstep/desktop/buttons/xml/fuf-kill-pressed.xpm,
	  afterstep/desktop/buttons/xml/fuf-kill.xpm,
	  afterstep/desktop/buttons/xml/fuf-shade,
	  afterstep/desktop/buttons/xml/fuf-shade-pressed,
	  afterstep/desktop/buttons/xml/fuf-shade-pressed.xpm,
	  afterstep/desktop/buttons/xml/fuf-shade.xpm,
	  afterstep/desktop/buttons/xml/fuf-switchwindow,
	  afterstep/desktop/buttons/xml/fuf-switchwindow-pressed,
	  afterstep/desktop/buttons/xml/fuf-switchwindow-pressed.xpm,
	  afterstep/desktop/buttons/xml/fuf-switchwindow.xpm,
	  afterstep/desktop/buttons/xml/fuf-windowmenu,
	  afterstep/desktop/buttons/xml/fuf-windowmenu-pressed,
	  afterstep/desktop/buttons/xml/fuf-windowmenu-pressed.xpm,
	  afterstep/desktop/buttons/xml/fuf-windowmenu.xpm,
	  afterstep/desktop/buttons/xml/g_iconize,
	  afterstep/desktop/buttons/xml/g_iconize.xpm,
	  afterstep/desktop/buttons/xml/g_shut,
	  afterstep/desktop/buttons/xml/g_shut.xpm, libAfterImage/asfont.c:
	  added .xpm to filenames of old buttons

2003-04-25 11:49  sasha

	* afterstep/non-configurable/0_look, libAfterConf/Look.c,
	  libAfterImage/asfont.c, libAfterStep/asapp.c,
	  libAfterStep/background.c, libAfterStep/balloon.c,
	  libAfterStep/font.c, libAfterStep/font.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, libAfterStep/mystyle_property.c,
	  src/afterstep/configure.c, src/afterstep/icons.c,
	  src/afterstep/menuitem.c: Got rid of old MyFont cruft; Got rid of
	  global GCs in MyStyles; Fixed handling of FontPath and loading of
	  TTF fonts

2003-04-24 17:23  sasha

	* afterstep/: Makefile.in, autoexec.in, base.in,
	  desktop/buttons/xml/1, desktop/buttons/xml/1p,
	  desktop/buttons/xml/2, desktop/buttons/xml/2p,
	  desktop/buttons/xml/4, desktop/buttons/xml/4p,
	  desktop/buttons/xml/5, desktop/buttons/xml/5p,
	  desktop/buttons/xml/as-iconize,
	  desktop/buttons/xml/as-iconize-pressed, non-configurable/0_look:
	  Fixed base and look files; Need to debug the way ttf fonts are
	  loaded and probably get rid of old font stuff

2003-04-24 16:03  sasha

	* configure: updated configure script

2003-04-24 16:01  sasha

	* autoconf/configure.in: added subst to configure

2003-04-24 15:57  sasha

	* configure: updated configure script

2003-04-24 15:55  sasha

	* configure.h.in, afterstep/Makefile.in, afterstep/base.15bpp.in,
	  afterstep/base.16bpp.in, afterstep/base.24bpp.in,
	  afterstep/base.32bpp.in, afterstep/base.8bpp.in,
	  afterstep/base.in, afterstep/non-configurable/0_feel,
	  afterstep/non-configurable/0_feel.15bpp,
	  afterstep/non-configurable/0_feel.16bpp,
	  afterstep/non-configurable/0_feel.24bpp,
	  afterstep/non-configurable/0_feel.32bpp,
	  afterstep/non-configurable/0_feel.8bpp,
	  afterstep/non-configurable/0_look,
	  afterstep/non-configurable/0_look.15bpp,
	  afterstep/non-configurable/0_look.16bpp,
	  afterstep/non-configurable/0_look.24bpp,
	  afterstep/non-configurable/0_look.32bpp,
	  afterstep/non-configurable/0_look.8bpp,
	  afterstep/non-configurable/1_background,
	  afterstep/non-configurable/1_feel.15bpp,
	  afterstep/non-configurable/1_feel.16bpp,
	  afterstep/non-configurable/1_feel.24bpp,
	  afterstep/non-configurable/1_feel.32bpp,
	  afterstep/non-configurable/1_feel.8bpp,
	  afterstep/non-configurable/1_look.15bpp,
	  afterstep/non-configurable/1_look.16bpp,
	  afterstep/non-configurable/1_look.24bpp,
	  afterstep/non-configurable/1_look.32bpp,
	  afterstep/non-configurable/1_look.8bpp,
	  afterstep/non-configurable/2_background,
	  afterstep/non-configurable/2_feel.15bpp,
	  afterstep/non-configurable/2_feel.16bpp,
	  afterstep/non-configurable/2_feel.24bpp,
	  afterstep/non-configurable/2_feel.32bpp,
	  afterstep/non-configurable/2_feel.8bpp,
	  afterstep/non-configurable/2_look.15bpp,
	  afterstep/non-configurable/2_look.16bpp,
	  afterstep/non-configurable/2_look.24bpp,
	  afterstep/non-configurable/2_look.32bpp,
	  afterstep/non-configurable/2_look.8bpp,
	  afterstep/non-configurable/3_background,
	  afterstep/non-configurable/3_feel.15bpp,
	  afterstep/non-configurable/3_feel.16bpp,
	  afterstep/non-configurable/3_feel.24bpp,
	  afterstep/non-configurable/3_feel.32bpp,
	  afterstep/non-configurable/3_feel.8bpp,
	  afterstep/non-configurable/3_look.15bpp,
	  afterstep/non-configurable/3_look.16bpp,
	  afterstep/non-configurable/3_look.24bpp,
	  afterstep/non-configurable/3_look.32bpp,
	  afterstep/non-configurable/3_look.8bpp, autoconf/configure.in,
	  libAfterStep/module.c, libAfterStep/session.c,
	  src/afterstep/configure.c, src/afterstep/functions.c,
	  src/afterstep/functions_old.c: Got rid of #bpp cruft

2003-04-24 14:35  sasha

	* afterstep/desktop/fonts/: CREDITS, Default.ttf, DefaultBold.ttf,
	  DefaultBoldOblique.ttf, DefaultFancy.ttf, DefaultOblique.ttf,
	  DefaultSans.ttf, DefaultSansBold.ttf, DefaultSansBoldOblique.ttf,
	  DefaultSansOblique.ttf: added ttf fonts to be used in default
	  themes: mono and sans sets from freefonts foundry ( GPL license )
	  and Black Chancery public domain font ( same as in libAfterImage
	  )

2003-04-23 16:21  sasha

	* afterstep/backgrounds/: Back.xpm, BlueStone.xpm, aquamarine.xpm,
	  black.xpm, darkblue.xpm, darkgreen.xpm, midnightblue.xpm,
	  purple.xpm, red.xpm, wheat.xpm, xml/Back.xpm, xml/BlueStone.xpm,
	  xml/aquamarine.xpm, xml/black.xpm, xml/darkblue.xpm,
	  xml/darkgreen.xpm, xml/midnightblue.xpm, xml/purple.xpm,
	  xml/red.xpm, xml/wheat.xpm: converted old background image files
	  into combination of xml and png.  That should complete updates to
	  old images set

2003-04-23 12:31  sasha

	* afterstep/desktop/: buttons/xml/as-minimize-a,
	  buttons/xml/as-shade-a, buttons/xml/as-shade-a-pressed,
	  buttons/xml/as-switchwindow-a,
	  buttons/xml/as-switchwindow-a-pressed,
	  buttons/xml/as-switchwindow-b,
	  buttons/xml/as-switchwindow-b-pressed,
	  buttons/xml/as-switchwindow-c,
	  buttons/xml/as-switchwindow-c-pressed, buttons/xml/as1.5-iconize,
	  buttons/xml/as1.5-iconize-p, buttons/xml/as1.5-iconizeR,
	  buttons/xml/as1.5-iconizeR-p, buttons/xml/as1.5-kill,
	  buttons/xml/as1.5-kill-p, buttons/xml/as1.5-menu,
	  buttons/xml/as1.5-menu-p, buttons/xml/as1.5-shade,
	  buttons/xml/as1.5-shade-p, buttons/xml/fuf-iconify,
	  buttons/xml/fuf-iconify-pressed, buttons/xml/fuf-kill,
	  buttons/xml/fuf-kill-pressed, buttons/xml/fuf-shade,
	  buttons/xml/fuf-shade-pressed, buttons/xml/fuf-switchwindow,
	  buttons/xml/fuf-switchwindow-pressed, buttons/xml/fuf-windowmenu,
	  buttons/xml/fuf-windowmenu-pressed, buttons/xml/g_iconize,
	  buttons/xml/g_shut, icons/dots/png/arrow_gr_medium,
	  icons/dots/png/arrow_gr_small, icons/dots/png/arrow_short_small,
	  icons/dots/png/bar_medium, icons/dots/png/windows_medium,
	  icons/dots/png/windows_small: completed writing up titlebar
	  buttons in xml

2003-04-22 17:08  sasha

	* afterstep/desktop/buttons/xml/1,
	  afterstep/desktop/buttons/xml/1p,
	  afterstep/desktop/buttons/xml/2,
	  afterstep/desktop/buttons/xml/2p,
	  afterstep/desktop/buttons/xml/3,
	  afterstep/desktop/buttons/xml/3p,
	  afterstep/desktop/buttons/xml/4,
	  afterstep/desktop/buttons/xml/4p,
	  afterstep/desktop/buttons/xml/5,
	  afterstep/desktop/buttons/xml/5p,
	  afterstep/desktop/buttons/xml/as-iconize,
	  afterstep/desktop/buttons/xml/as-iconize-pressed,
	  afterstep/desktop/buttons/xml/as-kill,
	  afterstep/desktop/buttons/xml/as-kill-pressed,
	  afterstep/desktop/buttons/xml/as-maximize-a,
	  afterstep/desktop/buttons/xml/as-maximize-a-pressed,
	  afterstep/desktop/buttons/xml/as-menu-a,
	  afterstep/desktop/buttons/xml/as-menu-a-pressed,
	  afterstep/desktop/buttons/xml/as-menu-b,
	  afterstep/desktop/buttons/xml/as-menu-b-pressed,
	  afterstep/desktop/buttons/xml/as-minimize-a,
	  afterstep/desktop/buttons/xml/as-minimize-a-pressed,
	  afterstep/desktop/buttons/xml/as-shade-a,
	  afterstep/desktop/buttons/xml/as-shade-a-pressed,
	  afterstep/desktop/buttons/xml/as-switchwindow-a,
	  afterstep/desktop/buttons/xml/as-switchwindow-a-pressed,
	  afterstep/desktop/buttons/xml/as-switchwindow-b,
	  afterstep/desktop/buttons/xml/as-switchwindow-b-pressed,
	  afterstep/desktop/buttons/xml/as-switchwindow-c,
	  afterstep/desktop/buttons/xml/as-switchwindow-c-pressed,
	  afterstep/desktop/buttons/xml/as1.5-iconize,
	  afterstep/desktop/buttons/xml/as1.5-iconize-p,
	  afterstep/desktop/buttons/xml/as1.5-iconizeR,
	  afterstep/desktop/buttons/xml/as1.5-iconizeR-p,
	  afterstep/desktop/buttons/xml/as1.5-kill,
	  afterstep/desktop/buttons/xml/as1.5-kill-p,
	  afterstep/desktop/buttons/xml/as1.5-menu,
	  afterstep/desktop/buttons/xml/as1.5-menu-p,
	  afterstep/desktop/buttons/xml/as1.5-shade,
	  afterstep/desktop/buttons/xml/as1.5-shade-p,
	  afterstep/desktop/buttons/xml/fuf-iconify,
	  afterstep/desktop/buttons/xml/fuf-iconify-pressed,
	  afterstep/desktop/buttons/xml/fuf-kill,
	  afterstep/desktop/buttons/xml/fuf-kill-pressed,
	  afterstep/desktop/buttons/xml/fuf-shade,
	  afterstep/desktop/buttons/xml/fuf-shade-pressed,
	  afterstep/desktop/buttons/xml/fuf-switchwindow,
	  afterstep/desktop/buttons/xml/fuf-switchwindow-pressed,
	  afterstep/desktop/buttons/xml/fuf-windowmenu,
	  afterstep/desktop/buttons/xml/fuf-windowmenu-pressed,
	  afterstep/desktop/buttons/xml/g_iconize,
	  afterstep/desktop/buttons/xml/g_shut,
	  afterstep/desktop/icons/dots/png/arrow_gr_medium,
	  afterstep/desktop/icons/dots/png/circle_medium,
	  afterstep/desktop/icons/dots/png/square_medium,
	  afterstep/desktop/icons/dots/png/square_small,
	  afterstep/desktop/icons/dots/png/triangle_squared_medium,
	  afterstep/desktop/icons/dots/png/window_medium,
	  afterstep/desktop/icons/dots/png/window_small,
	  afterstep/desktop/icons/dots/png/x_crooked_small,
	  afterstep/desktop/icons/dots/png/x_medium,
	  afterstep/desktop/icons/dots/png/x_small,
	  libAfterImage/transform.c: added bunch of xml icons for titlebar
	  buttons; removed fprintf from transform.c

2003-04-21 12:54  sasha

	* afterstep/desktop/icons/dots/png/arrow_gr_medium,
	  afterstep/desktop/icons/dots/png/arrow_gr_small,
	  afterstep/desktop/icons/dots/png/arrow_medium,
	  afterstep/desktop/icons/dots/png/arrow_short_medium,
	  afterstep/desktop/icons/dots/png/arrow_small,
	  afterstep/desktop/icons/dots/png/arrow_tiny,
	  afterstep/desktop/icons/dots/png/bar_medium,
	  afterstep/desktop/icons/dots/png/circle_medium,
	  afterstep/desktop/icons/dots/png/menu_medium,
	  afterstep/desktop/icons/dots/png/oval_medium,
	  afterstep/desktop/icons/dots/png/triangle_medium,
	  afterstep/desktop/icons/dots/png/triangle_squared_medium,
	  afterstep/desktop/icons/dots/png/triangle_squared_small,
	  afterstep/desktop/icons/dots/png/x_crooked_small,
	  afterstep/desktop/icons/dots/png/x_medium,
	  afterstep/desktop/icons/dots/png/x_small,
	  libAfterImage/apps/xpm2png.sh: generated bunch of dots icons from
	  buttons

2003-04-18 17:00  sasha

	* libAfterBase/fs.c, libAfterImage/asimagexml.c: improvements and
	  fixes to asimagexml adding new flags to bevel tag and fixing
	  handling of IMAGE_PATH env var

2003-04-18 16:59  sasha

	* afterstep/: base.24bpp.in, desktop/icons/dots/png/3_dots,
	  desktop/icons/dots/png/arrow, desktop/icons/dots/png/arrow_dots,
	  desktop/icons/large/png/FolderAqua,
	  desktop/icons/large/png/FolderOpenAqua,
	  desktop/icons/normal/xpm/scale48.sh: added missing png files

2003-04-18 16:55  sasha

	* afterstep/desktop/: bars/png/os8-title, bars/png/ostx,
	  bars/png/southeast, bars/png/southwest, bars/xml/blue,
	  bars/xml/darkblue, bars/xml/east, bars/xml/green, bars/xml/ostxs,
	  bars/xml/ostxu, bars/xml/red, bars/xml/south, bars/xml/west,
	  bars/xpm/east, bars/xpm/ostxs, bars/xpm/ostxu, bars/xpm/south,
	  bars/xpm/west, icons/mini/xml/AS, icons/mini/xml/App,
	  icons/mini/xml/Exit, icons/mini/xml/Folder, icons/mini/xml/Menu,
	  icons/mini/xml/Recycler, icons/xml/3_dots.xpm,
	  icons/xml/ASBBlockBlue.xpm, icons/xml/ASBBlockClear.xpm,
	  icons/xml/ASBBlockConvexBlue.xpm, icons/xml/ASBBlockDefault.xpm,
	  icons/xml/ASBBlockGreen.xpm, icons/xml/ASBBlockMarble.xpm,
	  icons/xml/ASBBlockRed.xpm, icons/xml/ASBBlockSlate.xpm,
	  icons/xml/ASBBlockTransparent.xpm, icons/xml/ASBBlockWater.xpm,
	  icons/xml/ASBBlockWhite.xpm, icons/xml/Plasma.xpm,
	  icons/xml/Publish.xpm, icons/xml/RayTracedGear.xpm,
	  icons/xml/Recycler.xpm, icons/xml/RedFire.xpm,
	  icons/xml/Start.xpm, icons/xml/Text.xpm, icons/xml/WWW.xpm,
	  icons/xml/YellowBlueRedGeometry.xpm, icons/xml/arrow-dots.xpm,
	  icons/xml/arrow.xpm, icons/xml/bluebar.xpm,
	  icons/xml/darkbluebar.xpm, icons/xml/east.xpm,
	  icons/xml/greenbar.xpm, icons/xml/mini-app.xpm,
	  icons/xml/mini-as.xpm, icons/xml/mini-exit.xpm,
	  icons/xml/mini-folder.xpm, icons/xml/mini-menu.xpm,
	  icons/xml/mini-recycler.xpm, icons/xml/os8-title.xpm,
	  icons/xml/ostx.xpm, icons/xml/ostxs.xpm, icons/xml/ostxu.xpm,
	  icons/xml/redbar.xpm, icons/xml/shutdown.xpm,
	  icons/xml/shutdown2.xpm, icons/xml/south.xpm,
	  icons/xml/southeast.xpm, icons/xml/southwest.xpm,
	  icons/xml/spreadsheet.xpm, icons/xml/spreadsheet2.xpm,
	  icons/xml/west.xpm, icons/xml/wharf.xpm, icons/xml/widget.xpm,
	  icons/xml/workshop.xpm, icons/xml/writeletter.xpm,
	  tiles/xml/Blue, tiles/xml/Clear, tiles/xml/ConvexBlue,
	  tiles/xml/Default, tiles/xml/Green, tiles/xml/Red,
	  tiles/xml/White: completed creating shortcuts for icons, and
	  converted all the tiles and bars into png and xml

2003-04-17 15:35  sasha

	* afterstep/desktop/: icons/xml/3dpaint.xpm,
	  icons/xml/ASBBlockDefault.xpm, icons/xml/AfterStep.xpm,
	  icons/xml/AfterStep2.xpm, icons/xml/AfterStep3.xpm,
	  icons/xml/AfterStep4.xpm, icons/xml/AfterStep5.xpm,
	  icons/xml/AfterStep6.xpm, icons/xml/BookArrows.xpm,
	  icons/xml/Bookshelf.xpm, icons/xml/Brush.xpm,
	  icons/xml/CDrom.xpm, icons/xml/CDrom2.xpm,
	  icons/xml/Computer.xpm, icons/xml/ComputerPC.xpm,
	  icons/xml/Database.xpm, icons/xml/Debug.xpm,
	  icons/xml/DeskGlobe.xpm, icons/xml/Eyecon.xpm,
	  icons/xml/FileFolders.xpm, icons/xml/Folder.xpm,
	  icons/xml/GNUSpace.xpm, icons/xml/Info.xpm,
	  icons/xml/Install.xpm, icons/xml/KeyPower.xpm,
	  icons/xml/KeysOnChain.xpm, icons/xml/Monitor.xpm,
	  icons/xml/Network.xpm, icons/xml/NetworkInfoManager.xpm,
	  icons/xml/OldFashionedRadio.xpm, icons/xml/Paint.xpm,
	  icons/xml/Plasma.xpm, icons/xml/Publish.xpm,
	  icons/xml/RayTracedGear.xpm, icons/xml/Recycler.xpm,
	  icons/xml/RedFire.xpm, icons/xml/Start.xpm, icons/xml/Text.xpm,
	  icons/xml/WWW.xpm, icons/xml/YellowBlueRedGeometry.xpm,
	  icons/xml/author.xpm, icons/xml/cpuchip.xpm,
	  icons/xml/disk.builder.xpm, icons/xml/draw.xpm,
	  icons/xml/hostmanager.xpm, icons/xml/interface.xpm,
	  icons/xml/linux-penguin.xpm, icons/xml/monalisa.xpm,
	  icons/xml/netscape.xpm, icons/xml/shutdown.xpm,
	  icons/xml/shutdown2.xpm, icons/xml/spreadsheet.xpm,
	  icons/xml/spreadsheet2.xpm, icons/xml/wharf.xpm,
	  icons/xml/widget.xpm, icons/xml/workshop.xpm,
	  icons/xml/writeletter.xpm, tiles/png/Marble, tiles/png/Plasma,
	  tiles/png/Slate, tiles/png/Transparent, tiles/png/Water,
	  tiles/png/empty, tiles/png/wharf: Implemented shortcuts to supply
	  old named icons using new ones

2003-04-16 22:56  sasha

	* afterstep/desktop/icons/mini/: app, as, exit, folder, menu,
	  recycler, xml/AS, xml/App, xml/Exit, xml/Folder, xml/Menu,
	  xml/Recycler: rearranging mini icons

2003-04-16 17:26  sasha

	* afterstep/: Makefile.in, desktop/icons/large/png/FileCabinet,
	  desktop/icons/large/png/Package, desktop/icons/normal/png/FTP,
	  desktop/icons/normal/png/FTPTransparent,
	  desktop/icons/normal/png/Monitor3DBlue,
	  desktop/icons/normal/png/Paint: updated Makefile and icons

2003-04-16 14:54  sasha

	* configure: updated configure script

2003-04-16 14:53  sasha

	* autoconf/configure.in:  fixed missing subst for image_format

2003-04-16 14:42  sasha

	* configure, libAfterImage/configure: updated configure script

2003-04-16 14:31  sasha

	* Makefile.in, afterstep/Makefile.in, autoconf/configure.in:  fixed
	  tabs in makefiles

2003-04-16 14:12  sasha

	* afterstep/desktop/icons/normal/png/: Menu, Table: added missing
	  icons

2003-04-16 14:09  sasha

	* Makefile.in, afterstep/Makefile.in,
	  afterstep/desktop/icons/mini/app,
	  afterstep/desktop/icons/mini/as,
	  afterstep/desktop/icons/mini/exit,
	  afterstep/desktop/icons/mini/folder,
	  afterstep/desktop/icons/mini/menu,
	  afterstep/desktop/icons/mini/recycler,
	  afterstep/desktop/icons/mini/png/scale16.sh,
	  autoconf/Makefile.defines.in, autoconf/configure.in,
	  libAfterImage/afterimage-libs.in, libAfterImage/configure.in,
	  libAfterImage/apps/ascompose.c: Fixin Makefiles for new icons etc

2003-04-16 08:47  sasha

	* afterstep/desktop/icons/normal/png/: ExitSign, NoSign: added few
	  more icons

2003-04-15 15:40  sasha

	* afterstep/desktop/icons/normal/png/: Bookshelf, Bookshelf.png:
	  added few more icons

2003-04-15 12:58  sasha

	* afterstep/desktop/icons/: CREDITS, large/png/AfterStep3,
	  large/png/AfterStep4, large/png/Bookshelf, large/png/CD,
	  large/png/CDR, large/png/Chat, large/png/Computer, large/png/DVD,
	  large/png/Document, large/png/Document2,
	  large/png/DocumentScroll, large/png/Globe, large/png/Harddrive,
	  large/png/Harddrive2, large/png/Home, large/png/HomeAqua,
	  large/png/Interface, large/png/Monitor1, large/png/Monitor2,
	  large/png/Monitor3, large/png/NeXTishTerm,
	  large/png/NetworkedGlobe, large/png/Package, large/png/RedLight,
	  large/png/Speaker, large/png/Stopsign, large/png/Terminal,
	  large/png/Typewriter, large/png/Window, logos/png/AfterStep,
	  logos/png/AfterStep2, logos/png/AfterStep5, logos/png/GNU,
	  logos/png/GNUStep, logos/png/MSWindows, logos/png/PDF,
	  logos/png/Real, logos/png/XWindow, logos/png/Xmms,
	  logos/png/gimp, logos/png/linux-penguin, logos/png/mozilla,
	  normal/png/Battery, normal/png/Bell, normal/png/Bomb,
	  normal/png/Bookshelf, normal/png/Bookshelf.png,
	  normal/png/Boombox, normal/png/Boot, normal/png/Brain,
	  normal/png/Brushes, normal/png/Bug, normal/png/CAD,
	  normal/png/CD, normal/png/CDInHand, normal/png/CDR,
	  normal/png/CDRInHand, normal/png/Calculator2, normal/png/Camera2,
	  normal/png/Camera3, normal/png/Cardgames, normal/png/Cash,
	  normal/png/Cat, normal/png/Chair, normal/png/Charts,
	  normal/png/Chat, normal/png/Chip, normal/png/Clock,
	  normal/png/Coffee, normal/png/Corkscrew, normal/png/Cpufan,
	  normal/png/Crayon, normal/png/Cron, normal/png/Cube,
	  normal/png/DNA, normal/png/Desktop, normal/png/Desktop2,
	  normal/png/DialogEdit, normal/png/Document,
	  normal/png/DrawingPad, normal/png/Engine, normal/png/Eraser,
	  normal/png/Ethernet, normal/png/ExpansionCard,
	  normal/png/Eyedropper, normal/png/Fax, normal/png/Feather,
	  normal/png/Filecabinet2, normal/png/Fish, normal/png/Floppy,
	  normal/png/Floppy525, normal/png/Font, normal/png/Gear,
	  normal/png/Gear2, normal/png/Ghost, normal/png/Globe,
	  normal/png/Glove, normal/png/Glue, normal/png/HammerBrown,
	  normal/png/HandOnWindowCloseIcon,
	  normal/png/HandshakeTransparent2, normal/png/Harddrive,
	  normal/png/Headphones, normal/png/Helm, normal/png/House,
	  normal/png/House2, normal/png/House3, normal/png/InkJetPrinter,
	  normal/png/Key, normal/png/KeysOnChain, normal/png/LaserPrinter,
	  normal/png/LeatherBag, normal/png/Leatherman, normal/png/Letter,
	  normal/png/Library, normal/png/License, normal/png/Lifejacket,
	  normal/png/Lightbulb, normal/png/LockClosed, normal/png/LockOpen,
	  normal/png/MagnifyingGlass, normal/png/Mail, normal/png/MailBox2,
	  normal/png/MailBox3, normal/png/MenuEdit, normal/png/Modem,
	  normal/png/Mona, normal/png/MonitorLCD, normal/png/Moon,
	  normal/png/MoonInMonitor, normal/png/Mouse, normal/png/Move,
	  normal/png/MovieProjector, normal/png/MusicalNote,
	  normal/png/Newspaper, normal/png/Notebook, normal/png/Notebook2,
	  normal/png/OldFashionedRadio, normal/png/PCCase,
	  normal/png/PCMCIA, normal/png/PDA, normal/png/Package,
	  normal/png/PackageBlack, normal/png/Pallette,
	  normal/png/PaperClip, normal/png/Pen, normal/png/PencilCup,
	  normal/png/Piano, normal/png/Player, normal/png/Pliers,
	  normal/png/PowerOutlet, normal/png/PowerPlug, normal/png/PushPin,
	  normal/png/Puzzle, normal/png/Pyramid, normal/png/Python,
	  normal/png/Recycle, normal/png/RedLight,
	  normal/png/RemoteControl, normal/png/Rolodex,
	  normal/png/Rubberstamp, normal/png/Run, normal/png/SCSIConnector,
	  normal/png/Safe, normal/png/Scanner, normal/png/Scissors,
	  normal/png/Shell, normal/png/Shredder, normal/png/Speaker,
	  normal/png/Stamp, normal/png/Stickynote, normal/png/Stopsign,
	  normal/png/Stratacaster, normal/png/SwissArmyKnife,
	  normal/png/Sword, normal/png/TV, normal/png/Tapemeasure,
	  normal/png/Thumbsup, normal/png/ToolbarInHand,
	  normal/png/Trashcan, normal/png/Trashcan2, normal/png/Typewriter,
	  normal/png/USB, normal/png/WWW, normal/png/Window,
	  normal/png/Wireless, normal/png/Wrench2, normal/png/WritingHand,
	  normal/png/Zip, normal/png/Zipdisk, normal/png/scale48.sh: added
	  bunch of new icons under normal/png

2003-04-10 15:08  sasha

	* afterstep/desktop/icons/: CREDITS, logos/png/BitchX,
	  logos/png/GNOME, logos/png/GNUStep3D, logos/png/GNUStepGlow,
	  logos/png/Opera, normal/png/AquaFolder,
	  normal/png/AquaFolderOpen, normal/png/Butterfly,
	  normal/png/CDRom, normal/png/CISCORouter, normal/png/Calculator,
	  normal/png/Camera, normal/png/Chess, normal/png/Dollar,
	  normal/png/Dollars, normal/png/EyeInMonitor,
	  normal/png/EyeInMonitor2, normal/png/EyeInMonitor2Shadow,
	  normal/png/EyeInMonitorShadow, normal/png/FTP,
	  normal/png/Filecabinet, normal/png/FilecabinetOpen,
	  normal/png/GIMP, normal/png/HammerGrey, normal/png/HammerRed,
	  normal/png/Handshake, normal/png/HandshakeTransparent,
	  normal/png/IRC, normal/png/IRCTransparent, normal/png/IRC_Transp,
	  normal/png/Info, normal/png/Keyboard, normal/png/MCInMonitor,
	  normal/png/MCInMonitorShadow, normal/png/MailBox,
	  normal/png/Monitor1, normal/png/Monitor1Shadow,
	  normal/png/Monitor3D, normal/png/Monitor3DBlue,
	  normal/png/NeXTFatFolder, normal/png/NeXTFatFolderOpen,
	  normal/png/NeXTFatFolderOpenShadow,
	  normal/png/NeXTFatFolderShadow, normal/png/NeXTFolder,
	  normal/png/NeXTFolderOpen, normal/png/NeXTFolderOpenShadow,
	  normal/png/NeXTFolderShadow, normal/png/NeXTFolders,
	  normal/png/NeXTFoldersShadow, normal/png/Paint, normal/png/Pen1,
	  normal/png/Pen2, normal/png/People, normal/png/Ruller,
	  normal/png/RullerShadow, normal/png/Screwdriver,
	  normal/png/Screwdriver2, normal/png/Timer, normal/png/Wrench,
	  normal/png/WrenchShadow, normal/png/XV, normal/png/scale48.sh:
	  Added bunch of 48x48 icons into normal/png

2003-04-08 14:55  sasha

	* afterstep/desktop/icons/CREDITS,
	  afterstep/desktop/icons/large/png/Bookshelf,
	  afterstep/desktop/icons/large/png/Computer,
	  afterstep/desktop/icons/large/png/Document2,
	  afterstep/desktop/icons/large/png/Interface,
	  afterstep/desktop/icons/large/png/Monitor3,
	  afterstep/desktop/icons/large/png/NeXTishTerm,
	  afterstep/desktop/icons/large/png/Package,
	  afterstep/desktop/icons/large/png/Terminal,
	  afterstep/desktop/icons/large/xpm/Bookshelf,
	  afterstep/desktop/icons/large/xpm/Computer,
	  afterstep/desktop/icons/large/xpm/Document2,
	  afterstep/desktop/icons/large/xpm/Interface,
	  afterstep/desktop/icons/large/xpm/Monitor3,
	  afterstep/desktop/icons/large/xpm/NeXTishTerm,
	  afterstep/desktop/icons/large/xpm/Package,
	  afterstep/desktop/icons/large/xpm/Terminal,
	  libAfterImage/ascmap.c, libAfterImage/import.c,
	  libAfterStep/functions.c: missing braces in ico import code;
	  Fixed large icons broken by broken libAfterImage; Added Bookshelf
	  and Package icons

2003-04-08 12:25  sasha

	* libAfterImage/: ascmap.c, asimage.c, export.c, import.c,
	  transform.c, xpm.c, apps/xpm2png.sh: Fixed scaling Up algorithm
	  to put correct last line ( it was putting 4th line before last
	  instead); Fixed MS Icon file format reading to allow for
	  arbitrary size of images ( it was affecting AndMask not being
	  read correctly;

2003-04-04 16:34  sasha

	* afterstep/desktop/icons/: CREDITS, large/png/AfterStep3,
	  large/png/AfterStep4, large/png/CD, large/png/CDR,
	  large/png/Chat, large/png/Computer, large/png/DVD,
	  large/png/Document, large/png/DocumentScroll,
	  large/png/FolderAquaBlue, large/png/FolderAquaYellow,
	  large/png/FolderOpenBlueAqua, large/png/FolderOpenRedAqua,
	  large/png/Globe, large/png/Harddrive, large/png/Harddrive2,
	  large/png/Home, large/png/HomeAqua, large/png/Interface,
	  large/png/Monitor1, large/png/Monitor2, large/png/Monitor3,
	  large/png/NeXTishTerm, large/png/NetworkedGlobe,
	  large/png/RedLight, large/png/Speaker, large/png/Stopsign,
	  large/png/Terminal, large/png/Typewriter, large/png/Window,
	  large/png/scale56.sh, large/xpm/AfterStep3, large/xpm/AfterStep4,
	  large/xpm/CD, large/xpm/CDR, large/xpm/Chat, large/xpm/Computer,
	  large/xpm/DVD, large/xpm/Document, large/xpm/DocumentScroll,
	  large/xpm/FolderAquaBlue, large/xpm/FolderAquaYellow,
	  large/xpm/FolderOpenBlueAqua, large/xpm/FolderOpenRedAqua,
	  large/xpm/Globe, large/xpm/Harddrive, large/xpm/Harddrive2,
	  large/xpm/Home, large/xpm/HomeAqua, large/xpm/Interface,
	  large/xpm/Monitor1, large/xpm/Monitor2, large/xpm/Monitor3,
	  large/xpm/NeXTishTerm, large/xpm/NetworkedGlobe,
	  large/xpm/RedLight, large/xpm/Speaker, large/xpm/Stopsign,
	  large/xpm/Terminal, large/xpm/Typewriter, large/xpm/Window,
	  large/xpm/scale56.sh: finilized set of 56x large icons

2003-04-04 12:37  sasha

	* src/afterstep/module.c: fixed handling of incoming module
	  communications where protocol 2 is used ( wrong size of the
	  variable was used while reading func val and unit)

2003-04-03 17:32  sasha

	* afterstep/desktop/icons/logos/: png/AfterStep, png/AfterStep2,
	  png/AfterStep5, png/GNUStep, png/XWindow, png/Xmms, png/gimp,
	  png/linux-penguin, png/mozilla, png/scale48.sh, xpm/Xmms,
	  xpm/gimp, xpm/linux-penguin, xpm/mozilla, xpm/scale48.sh:
	  compiled set of logos

2003-04-03 15:52  sasha

	* libAfterImage/apps/xpm2png.sh: added xpm2png conversion script

2003-04-01 14:24  sasha

	* afterstep/desktop/icons/logos/xpm/linux-penguin: fixed
	  linux-penguin's commanet

2003-03-31 17:42  sasha

	* afterstep/desktop/: icons/large/xpm/AfterStep3,
	  icons/large/xpm/AfterStep4, icons/logos/xpm/AfterStep,
	  icons/logos/xpm/AfterStep2, icons/logos/xpm/AfterStep5,
	  icons/logos/xpm/GNUStep, icons/normal/xpm/3dpaint,
	  icons/normal/xpm/BookArrows, icons/normal/xpm/Bookshelf,
	  icons/normal/xpm/Brush, icons/normal/xpm/CDrom,
	  icons/normal/xpm/CDrom2, icons/normal/xpm/Computer,
	  icons/normal/xpm/ComputerPC, icons/normal/xpm/Database,
	  icons/normal/xpm/Debug, icons/normal/xpm/DeskGlobe,
	  icons/normal/xpm/Eyecon, icons/normal/xpm/FileFolders,
	  icons/normal/xpm/Folder, icons/normal/xpm/Info,
	  icons/normal/xpm/Install, icons/normal/xpm/KeyPower,
	  icons/normal/xpm/KeysOnChain, icons/normal/xpm/Monitor,
	  icons/normal/xpm/Network, icons/normal/xpm/NetworkInfoManager,
	  icons/normal/xpm/OldFashionedRadio, icons/normal/xpm/Paint,
	  icons/normal/xpm/Publish, icons/normal/xpm/RayTracedGear,
	  icons/normal/xpm/Recycler, tiles/xpm/Marble, tiles/xpm/Plasma,
	  tiles/xpm/Slate, tiles/xpm/Transparent, tiles/xpm/Water,
	  icons/logos/xpm/Netscape, icons/logos/xpm/XWindow,
	  icons/logos/xpm/linux-penguin, icons/normal/xpm/RedFire,
	  icons/normal/xpm/Start, icons/normal/xpm/Text,
	  icons/normal/xpm/WWW, icons/normal/xpm/YellowBlueRedGeometry,
	  icons/normal/xpm/author, icons/normal/xpm/cpuchip,
	  icons/normal/xpm/disk, icons/normal/xpm/draw,
	  icons/normal/xpm/hostmanager, icons/normal/xpm/interface,
	  icons/normal/xpm/monalisa, icons/normal/xpm/shutdown,
	  icons/normal/xpm/spreadsheet, icons/normal/xpm/spreadsheet2,
	  icons/normal/xpm/widget, icons/normal/xpm/workshop,
	  icons/normal/xpm/writeletter, tiles/xpm/wharf, bars/xpm/east,
	  bars/xpm/os8-title, bars/xpm/ostx, bars/xpm/ostxs,
	  bars/xpm/ostxu, bars/xpm/south, bars/xpm/southeast,
	  bars/xpm/southwest, bars/xpm/west, icons/dots/xpm/3_dots,
	  icons/dots/xpm/arrow, icons/dots/xpm/arrow-dots, tiles/xpm/empty:
	  tossing xpms around to free up space for png's

2003-03-31 17:30  sasha

	* afterstep/desktop/buttons/: 1.xpm, 1p.xpm, 2.xpm, 2p.xpm, 3.xpm,
	  3p.xpm, 4.xpm, 4p.xpm, 5.xpm, 5p.xpm, as-iconize-pressed.xpm,
	  as-iconize.xpm, as-kill-pressed.xpm, as-kill.xpm,
	  as-maximize-a-pressed.xpm, as-maximize-a.xpm,
	  as-menu-a-pressed.xpm, as-menu-a.xpm, as-menu-b-pressed.xpm,
	  as-menu-b.xpm, as-minimize-a-pressed.xpm, as-minimize-a.xpm,
	  as-shade-a-pressed.xpm, as-shade-a.xpm,
	  as-switchwindow-a-pressed.xpm, as-switchwindow-a.xpm,
	  as-switchwindow-b-pressed.xpm, as-switchwindow-b.xpm,
	  as-switchwindow-c-pressed.xpm, as-switchwindow-c.xpm,
	  as1.5-iconize-p.xpm, as1.5-iconize.xpm, as1.5-iconizeR-p.xpm,
	  as1.5-iconizeR.xpm, as1.5-kill-p.xpm, as1.5-kill.xpm,
	  as1.5-menu-p.xpm, as1.5-menu.xpm, as1.5-shade-p.xpm,
	  as1.5-shade.xpm, fuf-iconify-pressed.xpm, fuf-iconify.xpm,
	  fuf-kill-pressed.xpm, fuf-kill.xpm, fuf-shade-pressed.xpm,
	  fuf-shade.xpm, fuf-switchwindow-pressed.xpm,
	  fuf-switchwindow.xpm, fuf-windowmenu-pressed.xpm,
	  fuf-windowmenu.xpm, g_iconize.xpm, g_shut.xpm: moving xpm files
	  around

2003-03-31 15:07  sasha

	* src/: Pager/Pager.c, afterstep/pager.c, afterstep/winstatus.c:
	  Fixed all the problems with icons not being deiconified on
	  correct viewport, icons not shown properly on Pager; shaded
	  windows not shown properly on pager

2003-03-28 17:38  sasha

	* libAfterStep/myicon.c, libAfterStep/mylook.c,
	  src/afterstep/configure.c, src/afterstep/icons.c,
	  src/afterstep/pager.c: Fixed Icons placement inside iconbox. Need
	  to debug: deiconification viewport - windows get restored off
	  screen when current viewport is not 0,0; icons are displayed by
	  Pager as full size windows - need to debug that too; Need to
	  debug multirow iconbox filling, as well as left-to-right and
	  top-to-bottom filling orders

2003-03-28 16:19  sasha

	* libAfterImage/ximage.c: Fixed bug where while writing bitmap mask
	  we would forget to unset flag indicating that it is 8 bit mask

2003-03-28 14:42  sasha

	* libAfterConf/WinList.c, libAfterStep/event.h,
	  src/WinList2/WinList.c, src/afterstep/afterstep.c: Fixed
	  h_spacing/v_spacing in WinLIst; Changed defaults used for WinList
	  styles and bevel; Fixed bug in AfterSTep where PanFrames would
	  get decorated

2003-03-27 17:39  sasha

	* NEW, libAfterBase/selfdiag.c, libAfterConf/WinList.c,
	  libAfterConf/afterconf.h, src/WinList2/WinList.c,
	  src/afterstep/.depend, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/events.c,
	  src/afterstep/menus.c: Fixed handling of menus in ClickToFocus
	  mode; Fixed clearing of ungrabbed variable; Fixed window focusing
	  on mapping; Fixed handling of the composition method variable in
	  WinList; Fixed handling of MaxWidth setting in WinLIst; Added
	  spacing settings to WinList config Updated NEW file

2003-03-27 09:17  sasha

	* src/afterstep/: Makefile.in, add_window.c, aswindow.c,
	  decorations.c, events.c, winstatus.c: Completed
	  ClickToFocus/AutoRaise/ClickToRaise debugging and
	  reimplementation; Splid add_window.c into add_window.c and
	  winstatus.c to make it mor emanageable

2003-03-26 17:59  sasha

	* NEW, libAfterBase/timer.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/housekeeping.c, src/afterstep/misc.c: hopefully
	  debugged ClickToFocus/ClickToRaise/AutoRaise stuff - behaviour
	  changed thou - ClickToFocus alone will not raise window unless
	  AutoRaise or ClickToRaise is specified

2003-03-26 11:02  sasha

	* libAfterBase/astypes.h, libAfterImage/asvisual.c,
	  libAfterImage/xpm.c, src/Pager/Pager.c,
	  src/afterstep/colormaps.c: Fixed segfaulting with 64bit compile
	  due to 32bit values used instead of pointers in calls to
	  get_hash_item

2003-03-25 17:16  sasha

	* src/afterstep/configure.c: Fixed broken PinOn button on menu
	  update

2003-03-25 16:52  sasha

	* src/afterstep/module.c: compilation error on SPARC

2003-03-25 16:47  sasha

	* libAfterConf/function.c, libAfterStep/afterstep.h,
	  libAfterStep/aswindata.h, libAfterStep/functions.c,
	  libAfterStep/session.c, src/Wharf/Wharf.c,
	  src/afterstep/configure.c, src/afterstep/module.c: implemented
	  feature allowing different base files for different screens

2003-03-25 14:56  sasha

	* libAfterStep/functions.h, src/afterstep/asinternals.h,
	  src/afterstep/functions.c, src/afterstep/module.c: Implemented
	  changes that should hopefully fix 64 bit port of AfterSTep

2003-03-25 12:42  sasha

	* NEW, libAfterStep/decor.c, libAfterStep/mystyle.c,
	  src/Wharf/Wharf.c: fixed handling of WharfBevel setting ( it was
	  ignored ); Fixed handling of transparency in Wharf and other
	  places, related to teh fact that tbar root position may not be
	  up-to-date;

2003-03-25 11:32  sasha

	* libAfterBase/xprop.c, libAfterBase/xprop.h, libAfterBase/xwrap.h,
	  libAfterImage/xwrap.h, libAfterStep/clientprops.c,
	  libAfterStep/clientprops.h, libAfterStep/hints.c,
	  libAfterStep/module.c, libAfterStep/wmprops.c,
	  libAfterStep/wmprops.h, src/Gnome/Gnome.c:  some changes to make
	  code 64-bit safe

2003-03-25 01:01  sasha

	* libAfterStep/decor.c, libAfterStep/decor.h, src/Pager/Pager.c,
	  src/Wharf/Wharf.c, src/WinList2/WinList.c,
	  src/afterstep/add_window.c, src/afterstep/menus.c: Fixed
	  transparency update in Pager , Wharf and hopefully in WinList as
	  well, on ackground changes

2003-03-24 13:28  sasha

	* libAfterConf/Wharf.c, src/Wharf/Wharf.c: wharf debugging

2003-03-24 01:12  sasha

	* src/Wharf/Wharf.c: Fixed Wharf behaviour on item selection - we
	  should withdraw everything up to the root; Fixed Items order in
	  Wharf subfolders; Fixed Wharf folder opening on when ther is no
	  enough space left;

2003-03-22 02:12  sasha

	* libAfterStep/asapp.c, libAfterStep/asapp.h, libAfterStep/decor.c,
	  libAfterStep/hints.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/events.c: debugged Motif
	  hints handling where _ALL hints was never interpreted; debugged
	  name hints handling where we should check if name really has
	  changed, otherwise we get into race confition with some older
	  apps such as netscape:

2003-03-21 18:00  sasha

	* NEW, libAfterBase/safemalloc.c, libAfterImage/asimage.c,
	  libAfterStep/afterstep.h, libAfterStep/aswindata.c,
	  libAfterStep/screen.h, libAfterStep/wmprops.c,
	  libAfterStep/wmprops.h, src/afterstep/afterstep.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c,
	  src/afterstep/pager.c: fixed nasty segfault in image tracing
	  code; addede more descriptions to NEW; continued work on saving
	  desk/viewport:

2003-03-20 17:42  sasha

	* NEW, libAfterStep/clientprops.c, libAfterStep/wmprops.c,
	  libAfterStep/wmprops.h, src/Pager/Pager.c,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/decorations.c, src/afterstep/pager.c: some work on
	  support for root properties of ExtWM; Fixed bug in Destroy()
	  where pressed window would never get forgotten;

2003-03-20 02:00  sasha

	* src/Pager/Pager.c: Fixed Bad match eror in Pager when restacking
	  windows; Fixed BadREsource(0) error in Pager when restacking
	  windows; still there is a misterious segfault in place_selection
	  in Pager

2003-03-19 17:36  sasha

	* NEW, NEW.1.x: drafted list of new features in NEW file

2003-03-19 13:52  sasha

	* libAfterImage/: asfont.c, apps/astext.c: Fixed text size
	  miscalculation due to starting counting from second character
	  instead of first

2003-03-19 12:02  sasha

	* libAfterImage/: asimagexml.c, transform.c, transform.h:
	  implemented gaussian blurr for selected channels in ascompose:)
	  WE can now easily convert icons into png

2003-03-19 10:39  sasha

	* libAfterStep/functions.c, libAfterStep/moveresize.c,
	  src/Pager/Pager.c: Fixed bug in function copy/duplication
	  functions where hotkey and unit_vals were lost; Fixed bug in
	  moveresize code where curr position was initialized to root
	  coordinates even if moveresize was not in the root window; Fixed
	  coordinates translation in Pager when applying results of the
	  interactive operation; All of the above fixed window movement in
	  Pager :)

2003-03-19 01:50  sasha

	* autoconf/Makefile.defines.in: minor cleanup

2003-03-18 17:39  sasha

	* libAfterStep/moveresize.c, src/afterstep/asinternals.h,
	  src/afterstep/module.c: Fixed bug when functions from modules
	  were deffered; Fixed few bugs in moveresize when parent is not a
	  root canvas

2003-03-18 16:10  sasha

	* afterstep/base.24bpp.in, libAfterStep/decor.c,
	  libAfterStep/decor.h, src/Pager/Pager.c,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/pager.c, src/afterstep/placement.c: Fixed numerous
	  bugs in Pager, as well as implemented more efficient updating of
	  the shape of it; Implemented feature request from Vaevictus where
	  AvoidCover would be disabled if window is to big; Fixed root
	  background handling to crop images to the display size

2003-03-18 01:30  sasha

	* src/afterstep/: events.c, functions.c: yet another fix for
	  click/defer execution foes - this time for complex functions

2003-03-17 17:41  sasha

	* libAfterBase/xprop.c, libAfterStep/clientprops.c,
	  libAfterStep/hints.c, src/Pager/Pager.c,
	  src/afterstep/add_window.c, src/afterstep/events.c,
	  src/afterstep/functions.c: fixed handling of moveresizing of dead
	  windows by preempting DestroyNoitify events; Fixed window startup
	  desktop setting; Fixed some Ext wm hints handling (state);

2003-03-17 11:43  sasha

	* src/: Wharf/Wharf.c, afterstep/add_window.c,
	  afterstep/afterstep.c: Fixed Vae bug where windows would always
	  start on first desktop regardless of the current; Fixed bug where
	  Wharf would not set its name/class and as the result would get
	  listed on winlist as empoty bar; Fixed bug where viewport was not
	  changed back to 0 0 on restart/shutdown

2003-03-17 11:03  sasha

	* src/afterstep/events.c: compile bug in event.c

2003-03-14 23:21  sasha

	* configure.h.in, src/afterstep/asinternals.h,
	  src/afterstep/events.c:  fixed handling of Wait command - we now
	  have 30 sec default timeout, so that AS would not hung forever;
	  Fixed handling of press/release while deffering execution, so
	  that we don't start running additional functions as the result of
	  waited for event

2003-03-14 16:45  sasha

	* libAfterBase/aslist.c, libAfterBase/aslist.h,
	  src/afterstep/add_window.c, src/afterstep/asinternals.h,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/placement.c: Implemented function scheduling so we
	  don't have to recurse deep when functions are run from whithin
	  functions; Cleaned up and fixed bugs in ButtonRElease event
	  handling, so that now all the bars/buttons get depressed at the
	  proper time; Implemented window maximization

2003-03-14 02:11  sasha

	* libAfterStep/: decor.c, mylook.c: Fixed a bug in default frame
	  decor where unfocused window would not have bevel drawn on
	  sidebar

2003-03-13 23:51  sasha

	* configure.h.in, src/Pager/Pager.c, src/afterstep/configure.c:
	  implemented support for legacy root background configuration in
	  asetroot file

2003-03-13 17:19  sasha

	* libAfterConf/Database.c, libAfterConf/Look.c,
	  libAfterStep/afterstep.h, libAfterStep/asdatabase.c,
	  libAfterStep/audit.c, libAfterStep/audit.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/event.c,
	  libAfterStep/freestor.c, libAfterStep/freestor.h,
	  libAfterStep/functions.c, libAfterStep/functions.h,
	  libAfterStep/myicon.h, libAfterStep/mylook.c,
	  libAfterStep/mylook.h, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/functions.c,
	  src/afterstep/placement.c: implemented TileButtonOrder fetaure
	  suggested by Vaevictus - use it to set what button goes onto what
	  side; Fixed some broken titlebar label layouting

2003-03-13 09:23  sasha

	* src/afterstep/: .depend, Makefile.in, add_window.c, aswindow.c,
	  functions_old.c, module.c, pager.c, windows.c: got rid of
	  redundand windows.o

2003-03-13 00:57  sasha

	* src/afterstep/: add_window.c, events.c: Fixed wait period while
	  running Complex function and waiting for double click; fixed
	  segfault and inter-layer stacking problem caused by not updating
	  window's layer when its been moved from one list to another

2003-03-12 17:14  sasha

	* libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/afterstep/add_window.c, src/afterstep/aswindow.c,
	  src/afterstep/configure.c, src/afterstep/menus.c: fixed segfault
	  in stacking order (bogus windows added to layers); Implemented
	  shaped Pager; Fixed swallowed window layout in Wharf; Fixed label
	  text layout on unequal font size; Fixed subitem layouting;
	  Implemented separate style for subitems;

2003-03-12 00:16  sasha

	* libAfterStep/.depend, libAfterStep/.shared,
	  libAfterStep/asfeel.c, src/Pager/.depend, src/Wharf/.depend,
	  src/afterstep/.depend, src/afterstep/menus.c,
	  src/afterstep/menus.h: debugged submenu recently used items
	  feature - set default to 4 submenu items;

2003-03-11 17:13  sasha

	* libAfterStep/asfeel.c, libAfterStep/asfeel.h,
	  libAfterStep/functions.c, libAfterStep/functions.h,
	  libAfterStep/screen.h, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.c, src/afterstep/menus.h: Implemented
	  windowlist menu and proportional icon scaling to max size in
	  menus; mostly implemented recent submenu items feature - needs
	  debugging;

2003-03-11 09:22  sasha

	* libAfterStep/session.c, libAfterStep/session.h,
	  libAfterStep/wmprops.c, src/afterstep/functions.c,
	  src/afterstep/pager.c: finally eleminated the problem of crashing
	  aterms - type of the pixmap property used was wrong

2003-03-11 02:43  sasha

	* libAfterStep/session.c, libAfterStep/session.h,
	  src/afterstep/functions.c, src/afterstep/pager.c: amended
	  ASSession code to allow for updating of default files when
	  look/feel/back is changed using the menu

2003-03-10 17:37  sasha

	* libAfterBase/fs.c, libAfterConf/MyStyle.c,
	  libAfterImage/asimage.c, libAfterImage/asimage.h,
	  libAfterImage/transform.c, libAfterImage/xcf.c,
	  libAfterStep/.depend, libAfterStep/.shared,
	  libAfterStep/Makefile.in, libAfterStep/asapp.c,
	  libAfterStep/background.c, libAfterStep/decor.c,
	  libAfterStep/loadimg.c, libAfterStep/loadimg.h,
	  libAfterStep/myicon.c, libAfterStep/mylook.c,
	  libAfterStep/mystyle.c, libAfterStep/wmprops.c,
	  src/Pager/.depend, src/Wharf/.depend, src/afterstep/.depend,
	  src/afterstep/afterstep.c, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.c, src/afterstep/pager.c: debugged root
	  background handling so that aterms should not crash now;
	  Scaled/tiled/clipped backgrounds should reload now; There will be
	  no multiple copies of the image kept in AS memory anymore;

2003-03-10 08:17  sasha

	* src/afterstep/pager.c: added some debug statements to background
	  code

2003-03-07 17:30  sasha

	* TODO/TODO_2.0.0: updated TODO list

2003-03-07 17:25  sasha

	* src/afterstep/placement.c: completed implementation of the
	  smart/random/tile/placement and WindowBox placement management;

2003-03-07 08:43  sasha

	* libAfterStep/asfeel.c, src/afterstep/placement.c: Implemented and
	  debugged SmartPlacement in conjunction with WindowBox

2003-03-05 17:52  sasha

	* libAfterConf/Look.c, libAfterConf/Wharf.c,
	  libAfterConf/WinList.c, libAfterConf/afterconf.h,
	  libAfterStep/balloon.c, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/mylook.c,
	  libAfterStep/mylook.h, libAfterStep/mystyle.c, src/Pager/Pager.c,
	  src/Wharf/Wharf.c, src/WinList2/WinList.c,
	  src/afterstep/add_window.c, src/afterstep/configure.c,
	  src/afterstep/menus.c: Implemented separate beveling for
	  focus/sticky/unfocus states; Implemented configurable composition
	  methods for titlebar, menu, wharf , WinList

2003-03-04 17:06  sasha

	* libAfterStep/asfeel.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/freestor.c,
	  libAfterStep/hints.h, libAfterStep/moveresize.c,
	  libAfterStep/moveresize.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, src/Pager/Pager.c,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/placement.c: Implemented
	  manual initial placement of windows; Fixed bug in moveresize code
	  happening when moveresize is canceled; Fixed bug in AfterStep
	  restart code to avoid corrupted memory; Fixed bug in function
	  parsing where frunction name would have empty quotes; Added
	  functionality for any texture type to be used for superimposition
	  of titlebar buttons on the titlebar

2003-03-04 09:14  sasha

	* src/Pager/Pager.c: compilation fixes related to ASWindow
	  relocation into asinternals.h

2003-03-04 09:02  sasha

	* libAfterStep/: .depend, .shared: [no log message]

2003-03-04 02:33  sasha

	* include/afterstep.h, libAfterConf/.depend, libAfterConf/Look.c,
	  libAfterConf/MyStyle.c, libAfterConf/function.c,
	  libAfterStep/Makefile.in, libAfterStep/afterstep.h,
	  libAfterStep/clientprops.c, libAfterStep/mystyle.h,
	  libAfterStep/screen.c, libAfterStep/screen.h, src/Pager/.depend,
	  src/Pager/Pager.c, src/Wharf/.depend, src/Wharf/Wharf.c,
	  src/WinList2/.depend, src/WinList2/WinList.c,
	  src/afterstep/.depend, src/afterstep/Makefile.in,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  src/afterstep/borders.c, src/afterstep/clientwin.c,
	  src/afterstep/colormaps.c, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/dirtree.c,
	  src/afterstep/dirtree.h, src/afterstep/events.c,
	  src/afterstep/frame.c, src/afterstep/functions.c,
	  src/afterstep/globals.h, src/afterstep/gnome.c,
	  src/afterstep/housekeeping.c, src/afterstep/icons.c,
	  src/afterstep/menuitem.c, src/afterstep/menus.c,
	  src/afterstep/menus.h, src/afterstep/misc.c,
	  src/afterstep/module.c, src/afterstep/move.c,
	  src/afterstep/myscandir.c, src/afterstep/pager.c,
	  src/afterstep/placement.c, src/afterstep/resize.c,
	  src/afterstep/style.c, src/afterstep/windows.c: completed
	  updating includes for new libraries

2003-03-04 01:42  sasha

	* AfterStep.spec, Makefile.in, README, configure,
	  autoconf/Makefile.common.in, autoconf/configure.in,
	  doc/languages/README.cz, doc/languages/README.de,
	  doc/languages/README.dk, doc/languages/README.es,
	  doc/languages/README.fi, doc/languages/README.fr,
	  doc/languages/README.gr, doc/languages/README.id,
	  doc/languages/README.it, doc/languages/README.jp,
	  doc/languages/README.nl, doc/languages/README.no,
	  doc/languages/README.pl, doc/languages/README.ro,
	  doc/languages/README.ru.koi8, doc/languages/README.se,
	  doc/languages/README.tw, doc/languages/README.yu,
	  include/afterstep.h, include/alpha_header.h, include/asapp.h,
	  include/asdatabase.h, include/asfeel.h, include/aswindata.h,
	  include/audit.h, include/background.h, include/balloon.h,
	  include/clientprops.h, include/confdefs.h, include/decor.h,
	  include/event.h, include/font.h, include/frame.h,
	  include/freestor.h, include/functions.h, include/hints.h,
	  include/loadimg.h, include/misc.h, include/module.h,
	  include/moveresize.h, include/myicon.h, include/mylook.h,
	  include/mystyle.h, include/mystyle_property.h, include/parse.h,
	  include/parser.h, include/screen.h, include/session.h,
	  include/style.h, include/sun_headers.h, include/wmprops.h,
	  libAfterBase/Makefile.in, libAfterBase/configure,
	  libAfterBase/configure.in, libAfterConf/.depend,
	  libAfterConf/.shared, libAfterConf/ASetRoot.c,
	  libAfterConf/Base.c, libAfterConf/Database.c,
	  libAfterConf/Feel.c, libAfterConf/Look.c,
	  libAfterConf/Makefile.in, libAfterConf/MyStyle.c,
	  libAfterConf/Pager.c, libAfterConf/Wharf.c,
	  libAfterConf/WinList.c, libAfterConf/balloon.c,
	  libAfterConf/function.c, libAfterImage/Makefile.in,
	  libAfterImage/configure, libAfterImage/configure.in,
	  libAfterStep/ASmodule.c, libAfterStep/Makefile.in,
	  libAfterStep/afterstep.xpm, libAfterStep/asapp.c,
	  libAfterStep/asapp.h, libAfterStep/asdatabase.c,
	  libAfterStep/asfeel.c, libAfterStep/aswindata.c,
	  libAfterStep/audit.c, libAfterStep/background.c,
	  libAfterStep/balloon.c, libAfterStep/decor.c,
	  libAfterStep/event.c, libAfterStep/font.c,
	  libAfterStep/freestor.c, libAfterStep/functions.c,
	  libAfterStep/hints.c, libAfterStep/loadimg.c,
	  libAfterStep/module.c, libAfterStep/moveresize.c,
	  libAfterStep/myicon.c, libAfterStep/mylook.c,
	  libAfterStep/myscandir.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle_property.c, libAfterStep/outline.c,
	  libAfterStep/parse.c, libAfterStep/parse.h,
	  libAfterStep/parser.c, libAfterStep/screen.c,
	  libAfterStep/session.c, libAfterStep/wmprops.c,
	  src/afterstep/.depend, src/afterstep/Makefile.in: upgraded
	  version, rearranged and renamed libraries to match as-devel;
	  updated includes in libAfterConf and libAfterStep

2003-03-03 16:57  sasha

	* include/afterstep.h, include/asdatabase.h, include/asfeel.h,
	  include/confdefs.h, include/hints.h, libAfterConf/Database.c,
	  libAfterConf/Feel.c, libAfterConf/afterconf.h,
	  libAfterStep/afterstep.h, libAfterStep/asdatabase.c,
	  libAfterStep/asdatabase.h, libAfterStep/asfeel.c,
	  libAfterStep/asfeel.h, libAfterStep/hints.c,
	  libAfterStep/hints.h, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/functions.c,
	  src/afterstep/placement.c: some work for prototyping of
	  ASWindowBox window placement; added Windowbox setting to database
	  options; annded desk, min_layer,max_layer to windowbox options

2003-03-03 14:11  sasha

	* src/afterstep/: add_window.c, menus.c: Fixed startup of the apps
	  on the wrong viewport; Fixed Submenu poping up on different
	  viewport ( Vx swapped with Vy); Made menus sticky by default:

2003-03-03 12:51  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c: lets hope that now we finally fixed
	  shaped window problems

2003-03-02 15:57  sasha

	* libAfterConf/.shared: added missing .shared files for lib and
	  src/Config for deps checking

2003-03-02 15:55  sasha

	* include/decor.h, libAfterStep/decor.h, libAfterConf/.depend,
	  libAfterConf/Wharf.c, libAfterStep/Makefile.in,
	  libAfterStep/asfeel.c, libAfterStep/decor.c, src/Pager/.depend,
	  src/WinList2/.depend, src/afterstep/.depend,
	  src/afterstep/add_window.c, src/afterstep/events.c,
	  src/afterstep/menus.c: Fixed handling of property changes by
	  fixing camvas config invalidation and SetShape/ClearShape; Fixed
	  submenu positioning so it is now easier to get to submenu with
	  the pointer; Fixed dependancies chacking including headers;

2003-02-28 17:32  sasha

	* include/asfeel.h, include/confdefs.h, libAfterConf/afterconf.h,
	  libAfterStep/asfeel.h, libAfterConf/Feel.c,
	  libAfterStep/asfeel.c, libAfterStep/functions.c,
	  libAfterStep/screen.c, src/afterstep/aswindow.c,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/menuitem.c: fixed bug in edge scrolling - now it
	  should scroll just fine

2003-02-27 17:59  sasha

	* include/event.h, libAfterStep/event.h, libAfterBase/output.c,
	  libAfterBase/output.h, libAfterStep/asapp.c,
	  libAfterStep/aswindata.c, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/events.c: fixed off-by 3
	  bug in determination of the command length for spawning new
	  module

2003-02-27 11:16  sasha

	* libAfterStep/asapp.c, src/Wharf/Wharf.c,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/events.c, src/afterstep/module.c: Fixed one-off bug
	  in command string allocation while spawing child processes

2003-02-27 10:25  sasha

	* src/afterstep/: add_window.c, events.c, icons.c: Fixed some bugs
	  that appear when windows erroneously attempt to map itself twice

2003-02-26 17:26  sasha

	* include/asfeel.h, libAfterStep/asfeel.c, libAfterStep/asfeel.h,
	  libAfterStep/event.c, libAfterConf/Feel.c: fixed nasty bugs in
	  event handling code that could crash AS if event is from the
	  extention

2003-02-26 16:40  sasha

	* libAfterStep/: asfeel.c, freestor.c: Added SaveWorkspace function
	  to enable taking a snapshots of apps running at arbitrary moments

2003-02-26 16:27  sasha

	* include/functions.h, libAfterConf/Feel.c, libAfterStep/asapp.c,
	  libAfterStep/functions.h, src/afterstep/functions.c: Added
	  SaveWorkspace function to enable taking a snapshots of apps
	  running at arbitrary moments

2003-02-26 15:43  sasha

	* include/confdefs.h, libAfterConf/Feel.c,
	  libAfterConf/afterconf.h, libAfterStep/freestor.c,
	  src/afterstep/icons.c: hopefully fixed segfault experienced by
	  Vaevictus while starting AWharf with some apps being iconic

2003-02-26 14:07  sasha

	* include/event.h, libAfterStep/event.h: Completed backporting
	  Feel.c and asfeel.c; backported function.c; Hopefully fixed race
	  condition between AfterStep and Wharf ;

2003-02-26 12:34  sasha

	* include/asfeel.h, libAfterStep/asfeel.h, include/confdefs.h,
	  include/event.h, include/functions.h, libAfterConf/Feel.c,
	  libAfterConf/Look.c, libAfterConf/Makefile.in,
	  libAfterConf/afterconf.h, libAfterConf/function.c,
	  libAfterStep/asapp.c, libAfterStep/event.h,
	  libAfterStep/functions.c, libAfterStep/functions.h,
	  src/Pager/Pager.c, src/Wharf/Wharf.c, src/WinList2/WinList.c,
	  src/afterstep/configure.c: Completed backporting Feel.c and
	  asfeel.c; backported function.c; Hopefully fixed race condition
	  between AfterStep and Wharf ;

2003-02-26 09:34  sasha

	* libAfterConf/Feel.c, libAfterStep/session.c: compile bug fix due
	  to asfeel.c backport

2003-02-26 09:17  sasha

	* include/asfeel.h, libAfterStep/Makefile.in,
	  libAfterStep/asfeel.c, libAfterStep/asfeel.h,
	  src/afterstep/configure.c: compile bug fix due to asfeel.c
	  backport

2003-02-26 08:48  sasha

	* libAfterStep/session.c: compile bug fix

2003-02-26 08:36  sasha

	* include/asfeel.h, include/screen.h, libAfterStep/asfeel.h,
	  libAfterStep/screen.h, libAfterConf/Feel.c, src/Wharf/Wharf.c,
	  libAfterStep/asfeel.c: backported Feel.c from as-devel; split
	  screen.h to asfeel.h and screen.h; Fixed bug in Wharf related to
	  swallowing iconic windows without proper icon window

2003-02-26 02:47  sasha

	* libAfterStep/asapp.c, libAfterBase/asvector.c,
	  libAfterBase/asvector.h, libAfterConf/MyStyle.c,
	  src/afterstep/aswindow.c, src/afterstep/events.c: Fixed bugs in
	  vector element adding delition; Fixed bugs in MyStyle definition
	  parsing; Disable Title updates since its breaking things down for
	  now; Fixed DISPLAY var pasing setting;

2003-02-25 16:36  sasha

	* include/confdefs.h, libAfterConf/afterconf.h,
	  libAfterBase/asvector.c, src/Wharf/Wharf.c: lock_mods handling
	  fix to alle=viate potential segfaults experienced by Vaevictus

2003-02-25 16:04  sasha

	* libAfterBase/asvector.c, libAfterStep/ASmodule.c: Fixed bug in
	  ConnectAfterSTep where not enough memory was allocated for
	  temporary string holding module name; Fixed bug in libAfterBase
	  where we may go out of bounds on move_data_down

2003-02-25 14:14  sasha

	* include/asapp.h, include/screen.h, libAfterStep/asapp.c,
	  libAfterStep/asapp.h, libAfterStep/screen.c,
	  libAfterStep/screen.h, src/Wharf/Wharf.c,
	  src/afterstep/afterstep.c, src/afterstep/misc.c,
	  src/afterstep/pager.c: lock_mods handling fix to alle=viate
	  potential segfaults experienced by Vaevictus

2003-02-25 11:59  sasha

	* libAfterBase/output.h, libAfterStep/decor.c,
	  libAfterStep/moveresize.c, libAfterConf/ASetRoot.c,
	  src/Pager/Pager.c, src/afterstep/add_window.c,
	  src/afterstep/functions.c, src/afterstep/pager.c: Fixed
	  background scaling where there was no size
	  specified(toscreensize); Fixe OpaqueMove/Resize treatment ( it
	  was inversed ); fixed SetShape behaviour when window was
	  moved/resized and shape would appear in the wrong place, cutting
	  off parts of the window;

2003-02-25 00:52  sasha

	* Makefile.in, include/confdefs.h, libAfterConf/afterconf.h,
	  libAfterStep/loadimg.c, src/Wharf/Wharf.c:  fixed Wharf using
	  path without replacing env vars for image search

2003-02-24 17:57  sasha

	* include/confdefs.h, include/screen.h, libAfterConf/Wharf.c,
	  libAfterConf/afterconf.h, libAfterStep/screen.h,
	  src/Wharf/Wharf.c, src/afterstep/configure.c,
	  src/afterstep/menus.c: Fixed menus to get withdrawn when mouse
	  clicked on root window again; That could be turned off by new
	  option in feel file : ParsistentMenus; Brought back to Wharf
	  feature where there was possible to define individual button
	  size; Changed AlignContents option in Wharf to use verbal
	  settings instead of numbers; Added WharfBevel option to define
	  how exactly Wharf should be 3D-drawn;

2003-02-24 15:59  sasha

	* libAfterImage/: import.c, import.h: Hopefully fixed gamma
	  correction issue in PNG images

2003-02-24 15:39  sasha

	* include/confdefs.h, libAfterBase/parse.c, libAfterBase/parse.h,
	  libAfterConf/WinList.c, libAfterConf/afterconf.h,
	  libAfterStep/hints.c, src/WinList2/WinList.c: Completed redesign
	  and testing of the new WinList2: fixed several layout bugs and
	  implemented button pressing, balloons and MouseActions

2003-02-21 17:31  sasha

	* afterstep/winlist, include/confdefs.h, include/decor.h,
	  libAfterBase/asvector.h, libAfterConf/WinList.c,
	  libAfterConf/afterconf.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, src/Pager/Pager.c, src/WinList2/WinList.c:
	  updated WinList2 and implemented all the features except for
	  MouseAction and ShapeToContents; Debugged and it seems to work
	  quite well; updated config file with all the new setting;

2003-02-20 17:21  sasha

	* include/afterstep.h, include/decor.h, libAfterStep/afterstep.h,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  libAfterStep/mylook.c, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/add_window.c,
	  src/afterstep/configure.c, src/afterstep/menus.c: Fixed segfaults
	  on QuickRestart - so look and feel should now change with no
	  problem; There is a bug thou in placing frame decoration canvases
	  - needs to be debugged

2003-02-20 13:49  sasha

	* src/afterstep/functions.c: Fixed background switching using the
	  menu where image would not get reloaded

2003-02-20 13:42  sasha

	* libAfterStep/aswindata.c: Enabled balloons in Wharf; started
	  fixin WinList2

2003-02-20 12:44  sasha

	* include/aswindata.h, include/confdefs.h,
	  libAfterConf/afterconf.h, libAfterStep/aswindata.h,
	  libAfterConf/WinList.c, libAfterStep/aswindata.c,
	  src/Pager/Pager.c, src/Wharf/Wharf.c, src/WinList2/WinList.c,
	  src/afterstep/functions.c, src/afterstep/pager.c: Enabled
	  balloons in Wharf; started fixin WinList2

2003-02-19 17:31  sasha

	* include/confdefs.h, include/decor.h, include/hints.h,
	  libAfterConf/afterconf.h, libAfterStep/decor.h,
	  libAfterStep/hints.h, libAfterConf/Pager.c,
	  libAfterConf/balloon.c, libAfterStep/balloon.c,
	  libAfterStep/decor.c, libAfterStep/moveresize.c,
	  libAfterStep/mystyle.c, src/Pager/Pager.c,
	  src/afterstep/add_window.c, src/afterstep/configure.c: Debugged
	  balloons in Pager; Implemented shaped balloons; Debugged shaped
	  frame decorations; Implemented proper TitleBackground for
	  MyFrame;

2003-02-19 11:46  sasha

	* include/afterstep.h, libAfterStep/Makefile.in,
	  libAfterStep/afterstep.h, libAfterStep/asapp.c,
	  libAfterStep/balloon.c, libAfterStep/decor.c,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/configure.c: Balloons work in afterstep-proper; Now
	  need to reenable them in Wharf and Pager; Removed redundand
	  timer.c from lib - it is now in libAfterBase

2003-02-18 17:43  sasha

	* include/balloon.h, include/confdefs.h, include/decor.h,
	  include/mylook.h, libAfterConf/afterconf.h,
	  libAfterStep/balloon.c, libAfterStep/balloon.h,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  libAfterStep/mylook.h, libAfterConf/Look.c,
	  libAfterConf/balloon.c, libAfterStep/mylook.c,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/configure.c, src/afterstep/events.c: Reimplemented
	  balloons and inserted all the needed code into afterstep-proper.
	  Don't have time to debug - probably still does not work

2003-02-14 17:30  sasha

	* src/Wharf/Wharf.c: Implemented Wharf with multiple columns and
	  rows

2003-02-14 16:19  sasha

	* libAfterStep/decor.c: unneeded debug output was being displayed
	  in normal build - slowing things down considerably

2003-02-14 11:18  sasha

	* libAfterStep/freestor.c, libAfterBase/mystring.c,
	  libAfterConf/Look.c, src/afterstep/add_window.c: Further
	  debugging of MyFrames: parsing of corners side fixed; corners are
	  made the same as height of bottom canvas;

2003-02-13 16:55  sasha

	* TODO/TODO_2.0.0: updated TODO list

2003-02-13 16:47  sasha

	* include/afterstep.h, include/confdefs.h, include/mylook.h,
	  libAfterConf/Look.c, libAfterConf/afterconf.h,
	  libAfterStep/afterstep.h, libAfterStep/freestor.c,
	  libAfterStep/mylook.c, libAfterStep/mylook.h,
	  src/afterstep/add_window.c, src/afterstep/configure.c: completed
	  MyFRame implementation except for FIT_LABEL_SIZE bit;

2003-02-12 17:34  sasha

	* libAfterConf/Look.c, libAfterConf/Makefile.in,
	  libAfterConf/MyStyle.c, include/afterstep.h, include/confdefs.h,
	  libAfterConf/afterconf.h, libAfterStep/afterstep.h,
	  include/myicon.h, include/mylook.h, include/parser.h,
	  libAfterStep/freestor.c, libAfterStep/myicon.c,
	  libAfterStep/myicon.h, libAfterStep/mylook.c,
	  libAfterStep/mylook.h, libAfterStep/parser.h: Backported Look
	  parsing using the parser; Implemented new structure for MyFrame
	  stuff to include all the thinkable options for align, bevel, and
	  whatever in it; Implemented most of the parsing code for new
	  MyFrame stuff;

2003-02-11 17:27  sasha

	* include/afterstep.h, libAfterStep/afterstep.h, include/decor.h,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c: Fixed frame decor sizing and drawing;
	  Tbar tiles could now be scaled or tiled; need to add
	  NormalStyle/FocusStyle to MyFRame and then have
	  NormalFrame/StickyFrame setting

2003-01-22 00:15  sasha

	* src/afterstep/afterstep.c: fixed envvars setting

2003-01-21 17:30  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  libAfterStep/decor.c, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/icons.c: Implemented iconbox placement of icons;
	  debugged icon resizing and rendering; TODO: icons on desk
	  changes, icon's moving, icon update on hints changes, icon look
	  updates;

2003-01-17 17:28  sasha

	* TODO/TODO_2.0.0, include/afterstep.h, include/clientprops.h,
	  libAfterStep/afterstep.h, libAfterStep/clientprops.c,
	  libAfterStep/clientprops.h, libAfterStep/decor.c,
	  src/afterstep/add_window.c, src/afterstep/aswindow.c,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menus.c,
	  src/afterstep/pager.c: Added checks to menu drawing code to
	  accound for situations when window is too small(no visible items)
	  or items are out of the window area; Implemented hints tracking
	  code; Hopefully fixed mapping/unmapping/reparenting handling -
	  wm_state_transition variable has been added to track what actions
	  should be performed on window on map/unmap events; Implemented
	  proper iconification/deiconification cod3e - now need to complete
	  icon box code and icons should be done; minor cleanups and
	  speedups;

2003-01-17 01:43  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c: Fixed bug in window redecoration
	  where nothing would get refreshed if size remains the same -
	  added canvas invalidation function

2003-01-16 23:55  sasha

	* libAfterStep/parser.c: compile bugfix for O_BINARY not being UNIX
	  thing

2003-01-14 17:11  sasha

	* include/afterstep.h, include/hints.h, libAfterStep/afterstep.h,
	  libAfterStep/hints.c, libAfterStep/hints.h,
	  libAfterStep/mylook.c, libAfterStep/screen.c,
	  libAfterStep/wmprops.c, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/aswindow.c,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menus.c: fixed X errors
	  when windows would be focused while being unmapped and
	  non-existant pan frames would get configured

2003-01-14 14:22  sasha

	* configure: updated configure to allo0w disabling the debug output

2003-01-14 14:13  sasha

	* autoconf/configure.in, libAfterBase/output.h: implemented
	  switching off the debug output

2003-01-14 14:03  sasha

	* configure, src/Wharf/.depend, src/afterstep/.depend: updated deps

2003-01-14 13:56  sasha

	* src/afterstep/configure.c: unneeded debug message removed

2003-01-14 13:55  sasha

	* autoconf/configure.in, include/afterstep.h,
	  libAfterStep/afterstep.h, libAfterStep/decor.c,
	  src/afterstep/add_window.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/housekeeping.c, src/afterstep/pager.c: Implemented
	  alt-tabbing (window switching) - all 3 modes should now work just
	  fine

2003-01-09 15:36  sasha

	* include/asapp.h, libAfterStep/asapp.h, include/module.h,
	  include/screen.h, libAfterStep/ASmodule.c,
	  libAfterStep/Makefile.in, libAfterStep/asapp.c,
	  libAfterStep/module.h, libAfterStep/screen.c,
	  libAfterStep/screen.h, src/Pager/Pager.c, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/afterstep.c: library
	  cleanup from stale files; ConnectX does not need display_name
	  anymore and does not have to be checked; as_fd is no longer
	  needed in modules;

2003-01-09 14:43  sasha

	* TODO/TODO_2.0.0: Compiled new TODO list for ppl to chew on

2003-01-09 14:05  sasha

	* TODO/: BUGLIST.1st, BUGLIST.l8r, TODO-WinList, active.desk.gz,
	  autoconf.patch.gz, classic.afterstep.gz, classic.wharf.gz,
	  fvwm.startondeskNpage.patch.gz, gnome.html.gz, multifocusidea.gz,
	  savedesktop.gz: removed useless TODO garbadge

2003-01-08 17:35  sasha

	* include/decor.h, libAfterStep/decor.h, libAfterStep/decor.c,
	  src/Wharf/Wharf.c, src/WinList2/WinList.c: somewhat improved
	  wharf shaping; Implemented alpha blended text labels; started
	  updating WinList2 to what it supposed to be

2003-01-07 16:53  sasha

	* include/afterstep.h, include/decor.h, include/hints.h,
	  libAfterImage/asimage.c, libAfterImage/asimage.h,
	  libAfterImage/transform.c, libAfterStep/afterstep.h,
	  libAfterStep/decor.c, libAfterStep/decor.h, libAfterStep/hints.h,
	  src/Wharf/Wharf.c, src/afterstep/add_window.c,
	  src/afterstep/events.c: IMplemented shaped windows support in
	  as-proper; Implemented shaped Wharf; Debugged labels in Wharf;
	  Fixed bug in image flipping code where color could get lost when
	  original uses back_color;

2003-01-06 17:28  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c: Added some code to handle shaped
	  subwindows - needs some debugging

2003-01-06 09:13  sasha

	* include/confdefs.h, libAfterConf/Wharf.c,
	  libAfterConf/afterconf.h, src/Wharf/Wharf.c,
	  src/afterstep/add_window.c, src/afterstep/events.c: Fixed bugs in
	  as-proper ConfigureNotify handling - now using real window size
	  instead of event's window size; Implemented main Wharf folder
	  withdrawing; Implemented Swallowing; Implemented Swallowing on
	  top of the folder button Implemented different types of wharf
	  button sizing and aligning; Implemented shaped Wharf with OSX
	  thinger type of buttons - all differently sized

2003-01-02 17:16  sasha

	* include/afterstep.h, include/asapp.h, include/confdefs.h,
	  libAfterConf/afterconf.h, libAfterStep/ASmodule.c,
	  libAfterStep/afterstep.h, libAfterStep/asapp.c,
	  libAfterStep/asapp.h, libAfterBase/aslist.c,
	  libAfterStep/decor.c, libAfterStep/screen.c, src/Pager/Pager.c,
	  src/Wharf/Wharf.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/aswindow.c,
	  src/afterstep/colormaps.c, src/afterstep/events.c,
	  src/afterstep/menus.c, src/afterstep/module.c,
	  src/afterstep/pager.c: Fixed nasty bug in linked list memory
	  reuse, causing AS to endlessly loop on window list iterations;
	  Implemented swallowing by Wharf; Fixed close-on-exec bug in
	  CYGWIN preventing AS from properly killing modules; Fixed
	  SET_NAME command handling by AS

2002-12-31 17:28  sasha

	* configure.h.in, include/module.h, libAfterBase/socket.c,
	  libAfterBase/socket.h, libAfterConf/Wharf.c,
	  libAfterStep/ASmodule.c, libAfterStep/asapp.c,
	  libAfterStep/freestor.c, libAfterStep/module.h,
	  libAfterStep/mystyle_property.c, libAfterStep/parser.c,
	  src/Wharf/Wharf.c, src/afterstep/module.c: implemented Wharf
	  folder opening and command execution on mouse press;

2002-12-30 17:36  sasha

	* include/asapp.h, include/aswindata.h, include/confdefs.h,
	  include/functions.h, include/mystyle.h, libAfterConf/Wharf.c,
	  libAfterConf/afterconf.h, libAfterStep/asapp.c,
	  libAfterStep/asapp.h, libAfterStep/aswindata.c,
	  libAfterStep/aswindata.h, libAfterStep/functions.c,
	  libAfterStep/functions.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, libAfterStep/mystyle_property.c,
	  libAfterStep/wmprops.c, src/Pager/Pager.c, src/Wharf/Wharf.c: got
	  wharf folders to properly display self and animate nicely; Fixed
	  bugs in MyStylke property handling where shared pixmaps would get
	  destroyed, yet loaded fonts never get freed and show up in memory
	  report; Added function to asapp.c to do all the cleanup tasks;
	  minor memory leaks elimination

2002-12-27 17:40  sasha

	* include/confdefs.h, include/functions.h, libAfterConf/Wharf.c,
	  libAfterConf/afterconf.h, libAfterStep/functions.h,
	  libAfterStep/parser.c, src/Wharf/Wharf.c: debugged Wharf config
	  parsing/reading and started implementing Wharf folders/buttons

2002-12-27 09:51  sasha

	* include/mystyle.h, include/parser.h, libAfterStep/mystyle.h,
	  libAfterStep/parser.h, libAfterConf/ASetRoot.c,
	  libAfterStep/freestor.c, libAfterStep/mystyle.c,
	  src/Pager/Pager.c: completed fixing for new parser - everything
	  should now work as before, only faster

2002-12-27 09:28  sasha

	* libAfterStep/: Makefile.in, asapp.c, functions.c: fixed
	  compilation bugs left over from upgrade to new parser

2002-12-27 09:18  sasha

	* src/: Pager/.depend, Script/.depend, Wharf/.depend,
	  Zharf/.depend, afterstep/.depend: updated deps

2002-12-27 09:11  sasha

	* include/parser.h, libAfterStep/parser.c, libAfterStep/parser.h:
	  added code to allow for per-line reading in backported parser so
	  to make it play nicely with older config reading in afterstep
	  -proper

2002-12-26 17:41  sasha

	* include/afterstep.h, include/asapp.h, include/confdefs.h,
	  include/freestor.h, include/functions.h, include/module.h,
	  include/parser.h, include/screen.h, libAfterConf/ASetRoot.c,
	  libAfterConf/Base.c, libAfterConf/Database.c,
	  libAfterConf/Makefile.in, libAfterConf/MyStyle.c,
	  libAfterConf/afterconf.h, libAfterStep/Makefile.in,
	  libAfterStep/afterstep.h, libAfterStep/asapp.c,
	  libAfterStep/asapp.h, libAfterStep/freestor.c,
	  libAfterStep/freestor.h, libAfterStep/functions.c,
	  libAfterStep/functions.h, libAfterStep/module.h,
	  libAfterStep/parser.c, libAfterStep/parser.h,
	  libAfterStep/screen.c, libAfterStep/screen.h,
	  libAfterConf/Pager.c, libAfterConf/Wharf.c,
	  libAfterConf/WinList.c, libAfterConf/balloon.c,
	  src/Pager/Pager.c, src/Wharf/Makefile.in, src/Wharf/Wharf.c,
	  src/Wharf/Wharf.h, src/afterstep/functions.c,
	  src/afterstep/menuitem.c, src/afterstep/menus.h: started
	  reimplementing Wharf - so far done with config reading; caved in
	  to the pressure and backported parser and freestor stuff from
	  as-devel tree - shold enable backporting of entire libAfterConf
	  in the future;

2002-12-24 16:55  sasha

	* include/afterstep.h, include/decor.h, include/moveresize.h,
	  libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/moveresize.c,
	  libAfterStep/moveresize.h, src/Pager/Pager.c,
	  src/afterstep/add_window.c, src/afterstep/functions.c,
	  src/afterstep/module.c, src/afterstep/pager.c: completed
	  reimplementation of Pager: MOving of windows now works and with
	  snaping to edges too (use Shift+ to disable); Windows could now
	  be resized in Pager  - press Ctrl+ prior to pressing mouse
	  button; Transparent desks properly update on background changes;
	  Viewport scrolls on Button3 pressess; Implemented change desktop
	  command in AfterSTep; fixed transprency updates in decor.c

2002-12-24 09:05  sasha

	* libAfterStep/Makefile.in, libAfterStep/moveresize.c,
	  libAfterStep/outline.c, src/afterstep/Makefile.in,
	  src/afterstep/events.c, src/afterstep/functions.c: moved
	  moveresize.c/h and outline.c to the lib, so that we can use them
	  in Pager as well

2002-12-23 17:37  sasha

	* libAfterStep/aswindata.c, libAfterStep/decor.c,
	  libAfterStep/wmprops.c, src/Pager/Pager.c,
	  src/afterstep/add_window.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/module.c, src/afterstep/pager.c: implemented
	  hiliting of Pager desks; hilitiong of client windows in Pager;
	  DeskTitles are now getting pressed; Viewport changes properly
	  move sticky windows around; Fixed segfaults in Pager related to
	  removal of clients; Fixed segafults in afterstep related to wm
	  props bugs where new desks were improperly added/removed;
	  MOveViewport does not update status of sticky windows; Fixed bug
	  in handle_canvas_config always returning Y_RESIZED;

2002-12-20 17:03  sasha

	* libAfterStep/clientprops.c, libAfterBase/xprop.c,
	  src/Pager/Pager.c, src/afterstep/asinternals.h,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/pager.c: implemented protocol for clients to
	  request root background for any particular desktop; Enabled Pager
	  to set its background to the actuall desktop background's scaled
	  copy; Fixed bug in setting  atom list property - all the
	  WM_PROTOCOLS are now set properly

2002-12-19 16:53  sasha

	* include/afterstep.h, include/mylook.h, include/screen.h,
	  include/wmprops.h, libAfterStep/afterstep.h,
	  libAfterStep/mylook.h, libAfterStep/screen.h,
	  libAfterStep/wmprops.h, libAfterConf/ASetRoot.c,
	  libAfterImage/asimage.c, libAfterImage/asimage.h,
	  libAfterStep/aswindata.c, libAfterStep/decor.c,
	  libAfterStep/session.c, libAfterStep/wmprops.c,
	  src/Pager/Pager.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/menuitem.c, src/afterstep/pager.c: cleaned up and
	  debugged background image handling; fixed clients stacking order
	  in Pager; ICCCM ConfigureNotify on frame moves reenabled; proper
	  config broadcasting at the time of the actuall ConfigureNotify;
	  stacking order gets sent on WindowList request;

2002-12-18 17:30  sasha

	* include/mylook.h, include/mystyle.h, include/screen.h,
	  libAfterStep/mylook.h, libAfterStep/mystyle.h,
	  libAfterStep/screen.h, libAfterBase/parse.c,
	  libAfterConf/ASetRoot.c, libAfterStep/decor.c,
	  libAfterStep/parser.c, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/pager.c: implemented
	  somewhat correct root background management scheme - needs to be
	  tried with multiple backgrounds switching; implemented root
	  background scaling and padding; added ConfigureNotify prehandling
	  prior to desktop switching so to get everything reparented in
	  correct position;

2002-12-17 17:36  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  include/background.h, include/confdefs.h, include/decor.h,
	  include/mylook.h, include/parser.h, include/screen.h,
	  libAfterConf/ASetRoot.c, libAfterConf/Base.c,
	  libAfterConf/Database.c, libAfterConf/MyStyle.c,
	  libAfterConf/Pager.c, libAfterConf/WinList.c,
	  libAfterConf/afterconf.h, libAfterStep/Makefile.in,
	  libAfterStep/background.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/mylook.c,
	  libAfterStep/mylook.h, libAfterStep/mystyle.c,
	  libAfterStep/parser.c, libAfterStep/parser.h,
	  libAfterStep/screen.h, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/configure.c,
	  src/afterstep/pager.c: began implementing root background
	  handling in as-proper; implemented all the needed config parsing
	  code - now need to work out the actuall image switching

2002-12-16 17:36  sasha

	* include/aswindata.h, include/module.h, include/mystyle.h,
	  libAfterStep/aswindata.c, libAfterStep/aswindata.h,
	  libAfterStep/hints.c, libAfterStep/module.h,
	  libAfterStep/mystyle.c, libAfterStep/mystyle.h,
	  src/Pager/Pager.c, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/module.c:  cleaned up
	  intermodule communications command set;
	  Implemented M_STACKING_ORDER command; Implemented client windows
	  in Pager; fixed bug in module.c where wrong mask was checked for;
	  implemented proper window stacking in Pager

2002-12-13 17:29  sasha

	* include/screen.h, libAfterStep/screen.h, src/Pager/Pager.c,
	  src/afterstep/configure.c, src/afterstep/pager.c: Added
	  DontRestoreFocus to feel options - forces AS to hide focus on
	  desk changes when ClickToFocus is used; began implementing Pager
	  reprtesentations of client windows; Made MWM options in feel
	  obsolete - should be disabled on per app basis from now on ( see
	  new database options)

2002-12-13 12:23  sasha

	* include/decor.h, include/screen.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/screen.h, src/Pager/Pager.c,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/functions.c, src/afterstep/module.c,
	  src/afterstep/pager.c: implemented and hopefully debugged virtual
	  desktop switching; Pager properly reflects viewport position;
	  nasty bug in module command execution is fixed - scr member of
	  event was not initialized causing random failures and crashes

2002-12-12 17:56  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/Pager/Pager.c, src/afterstep/functions.c,
	  src/afterstep/module.c: Implemented Pager page separator grid and
	  current viewport selection; fixed transparency changes and root
	  position handling; Fixed module command processing by the
	  afterstep - ExecuteFunction actually works now; added function to
	  query canvas window geometry

2002-12-11 17:10  sasha

	* include/confdefs.h, include/decor.h, libAfterConf/Pager.c,
	  libAfterConf/afterconf.h, libAfterStep/ASmodule.c,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  libAfterStep/mystyle.c, src/Pager/Pager.c,
	  src/afterstep/add_window.c: Implemented Pager shading of a single
	  desktop; Implemented vertical desk labels in Pager; Implemented
	  actuall desk switching on mouse click in Pager - need to debug
	  Afterstep proper for that to work; Implemented proper pressing of
	  buttons on the titlebar

2002-12-10 17:23  sasha

	* include/afterstep.h, include/confdefs.h, include/event.h,
	  include/myicon.h, include/screen.h, libAfterConf/afterconf.h,
	  libAfterStep/afterstep.h, libAfterStep/event.h,
	  libAfterStep/myicon.h, libAfterStep/screen.h,
	  libAfterBase/xprop.c, libAfterConf/Base.c,
	  libAfterConf/MyStyle.c, libAfterConf/Pager.c,
	  libAfterStep/ASmodule.c, libAfterStep/decor.c,
	  libAfterStep/event.c, libAfterStep/myicon.c,
	  libAfterStep/mystyle.c, libAfterStep/mystyle_property.c,
	  libAfterStep/screen.c, src/Pager/Pager.c,
	  src/afterstep/configure.c, src/afterstep/events.c: debugged Pager
	  drawing and config reading; Implemented more efficient way of
	  storing Root image - only needed part of screen will be stored;
	  Added Shading button to Pager desks, so that desks could be
	  shaded :); Fixed bug in read_as_property where first 4 bytes were
	  left uninitialized;

2002-12-09 17:36  sasha

	* include/confdefs.h, include/module.h, libAfterConf/afterconf.h,
	  libAfterStep/ASmodule.c, libAfterStep/asapp.c,
	  libAfterStep/module.h, libAfterStep/parser.c, src/Pager/Pager.c:
	  Implemented desktop representation drawing in Pager; Implemented
	  better pipe listening function in ASmodule.c to be used by
	  modules

2002-12-06 17:57  sasha

	* include/asapp.h, include/confdefs.h, include/module.h,
	  libAfterConf/Pager.c, libAfterConf/afterconf.h,
	  libAfterStep/ASmodule.c, libAfterStep/asapp.c,
	  libAfterStep/asapp.h, libAfterStep/module.h,
	  libAfterStep/wmprops.c, src/Pager/Makefile.in, src/Pager/Pager.c,
	  src/Pager/Pager.h, src/WinList2/.depend,
	  src/afterstep/afterstep.c, src/afterstep/menuitem.c,
	  src/afterstep/module.c: fixed bug where Session was initialized
	  prior to Scr and everything was screwed; Debugged intermodule
	  communications - now commands are parsed properly; Implemented
	  module file reading using Session

2002-12-05 17:47  sasha

	* include/asapp.h, include/aswindata.h, include/hints.h,
	  include/module.h, libAfterImage/transform.c,
	  libAfterStep/Makefile.in, libAfterStep/asapp.c,
	  libAfterStep/asapp.h, libAfterStep/aswindata.c,
	  libAfterStep/aswindata.h, libAfterStep/decor.c,
	  libAfterStep/hints.c, libAfterStep/hints.h,
	  libAfterStep/module.h, libAfterStep/mystyle.c, src/Pager/Pager.c,
	  src/Pager/Pager_old.c, src/WinList2/Makefile.in,
	  src/WinList2/WinData.c, src/WinList2/WinData.h,
	  src/WinList2/WinList.c, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/menus.c,
	  src/afterstep/module.c: Fixed bug in image flipping where
	  back_color would get lost; Implemented menu style in database as
	  Style ASMenu; began working on Pager and WinList2 to get them to
	  compile and run with new as-proper

2002-12-05 12:32  sasha

	* include/hints.h, libAfterStep/decor.c, libAfterStep/hints.c,
	  libAfterStep/hints.h, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/decorations.c,
	  src/afterstep/functions.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.c: Completed implementation of pinned menu:
	  fixed bug in decor.c where not all tiles would get deleted from
	  the tbar; Implemented withdrawing of menu chain when one of them
	  becomes pinned; Implemented proper tbar sizing for menus

2002-12-05 01:12  sasha

	* libAfterStep/mystyle.c, src/afterstep/add_window.c,
	  src/afterstep/menuitem.c, src/afterstep/menus.c: fixed bug in
	  focusing on second head(typo); Fixed bug in Popups being
	  substituted for Nop; Fixed segfault in menu closing; Fixed
	  segfault in mystyle freeing;

2002-12-04 17:41  sasha

	* include/confdefs.h, include/decor.h, libAfterConf/afterconf.h,
	  libAfterStep/decor.h, include/event.h, include/functions.h,
	  include/screen.h, libAfterImage/ximage.c, libAfterStep/asapp.c,
	  libAfterStep/decor.c, libAfterStep/event.c, libAfterStep/event.h,
	  libAfterStep/functions.h, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.c, src/afterstep/menus.h:  sugnificantly
	  improved speed of menu rendering as well as loading time;
	  mostly implemented Pinning of the menus - need to debug
	  redecoration of the frame window;

2002-12-04 01:13  sasha

	* libAfterStep/decor.c, src/afterstep/menus.c: fixed memory
	  corruption in buil_astbar_btn_block and close_asmenu

2002-12-03 17:41  sasha

	* include/afterstep.h, include/decor.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/mystyle.c,
	  libAfterStep/screen.h, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/functions.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.c, src/afterstep/menus.h: Implemented all the
	  modes of DrawMenuBorders setting; Minipixmaps and arrow pixmaps
	  on them menus; Something actually happen when you click on menu
	  item; Submenus open when pointer is hovering over arrow pixmap;
	  Vertical tilebars and sidebars are working now; Hilite of
	  titlebars and menu items are adjustable now;

2002-12-02 23:33  sasha

	* libAfterImage/asvisual.c, libAfterStep/decor.c,
	  libAfterStep/mystyle.c, src/afterstep/functions.c,
	  src/afterstep/menus.c: Fixed root pixmap grabbing using
	  ParentRelative; Fixed label layout moving label off alittle bit;
	  Began implementing support for DrawMenuBorders setting

2002-12-02 17:38  sasha

	* include/afterstep.h, include/decor.h, libAfterStep/afterstep.h,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  libAfterStep/moveresize.c, src/afterstep/add_window.c,
	  src/afterstep/menus.c: debugged never layout code; Implemented
	  align/padding of tiles - now text label could be aligned right or
	  center ; debugged vertical tbars and buttons layout

2002-12-02 00:16  sasha

	* libAfterStep/: decor.c, mystyle.c: implemented root background
	  grab when pixmap ID is not set; When Root background is
	  unavailable - instead of returning empty image - better  create
	  some solid ASImage

2002-11-30 01:09  sasha

	* libAfterStep/moveresize.c, src/afterstep/menus.c: Fixed remains
	  of as-proper to work with new decor stuff

2002-11-29 17:32  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c: completed implementing flexible bar
	  layout technology - few fixes to as-proper are left, but its
	  almost done

2002-11-29 00:27  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h:
	  began implementing more flexible structure for tbar data

2002-11-27 17:34  sasha

	* libAfterStep/decor.c, src/afterstep/add_window.c,
	  src/afterstep/menus.c, src/afterstep/menus.h: implemented submenu
	  poping on menu item pressing; Implemented menu stack ;
	  Implemented disabling items in menu ;

2002-11-26 17:57  sasha

	* libAfterStep/moveresize.c, src/afterstep/menus.c,
	  src/afterstep/menus.h, include/event.h, libAfterStep/event.h: not
	  much of a changes - pressing in menu and started implementing
	  submenus

2002-11-25 17:52  sasha

	* include/event.h, libAfterStep/event.c, libAfterStep/event.h,
	  src/afterstep/add_window.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menus.c,
	  src/afterstep/menus.h, src/afterstep/misc.c,
	  libAfterStep/moveresize.c: Began implementing menu item
	  selection; Implemented menu open at pointer position

2002-11-22 17:47  sasha

	* include/afterstep.h, include/screen.h, libAfterStep/afterstep.h,
	  libAfterStep/screen.h, include/moveresize.h,
	  libAfterStep/decor.c, libAfterStep/moveresize.c,
	  libAfterStep/moveresize.h, src/afterstep/add_window.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  src/afterstep/decorations.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/housekeeping.c,
	  src/afterstep/menus.c, src/afterstep/menus.h: Fixed
	  moving/resizing of shaded windows; Implemented correct recursive
	  allowed function check for complex functions; Implemented menu
	  destruction; Implemented menu selection on pointer motion - still
	  need to do something about submenus; Fixed handling of
	  ButtonRelease events in WaitForClick loop - titlebar should be
	  depressed; Fixed bug with window autoraising due to unsigned
	  AutoRaiseDelay being assigned -1; Fixed sizing of shaded windows;
	  Fixed overlapping check for shaded windows; TODO: Need to see why
	  ClientMessage to accept focus gets sent twice; Fixed shaded menu
	  handling to not loop endlessly(hopefully);

2002-11-21 18:02  sasha

	* include/afterstep.h, include/decor.h, include/hints.h,
	  libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/hints.h,
	  src/afterstep/add_window.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/functions.c,
	  src/afterstep/menus.c, src/afterstep/menus.h: Implemented frame
	  decorations for the menus as well as partial event propagation,
	  allowing to handle menu events as part of overall scheme

2002-11-20 17:35  sasha

	* include/afterstep.h, include/asapp.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/asapp.h,
	  libAfterStep/screen.h, src/afterstep/menuitem.c,
	  src/afterstep/menus.c, src/afterstep/menus.h: Implemented most of
	  menu creation, look and data updating, as well as scrolling
	  functionality

2002-11-19 17:53  sasha

	* src/afterstep/: Makefile.in, add_window.c, menuitem.c, menus.c,
	  menus.h, windows.c: minor things

2002-11-19 17:10  sasha

	* include/screen.h, libAfterStep/screen.c, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  include/moveresize.h, libAfterStep/moveresize.c,
	  libAfterStep/moveresize.h, libAfterStep/outline.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/menuitem.c, src/afterstep/menus.c,
	  src/afterstep/menus.h, src/afterstep/menus_old.c,
	  src/afterstep/pager.c, src/afterstep/windows.c: Implemented
	  window resizing; Implemented Snapping to screen edges and window
	  decoration edges with overriding using modifier key; Implemented
	  proper restrains on sizing for windows that that have relevant
	  hints set; Fixed updating of the client canvas config on
	  ConfigureNotify; Began implementing new menus using ASCanvas.

2002-11-18 17:35  sasha

	* include/afterstep.h, include/decor.h, include/functions.h,
	  include/screen.h, libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/functions.h,
	  libAfterStep/moveresize.c, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/housekeeping.c, src/afterstep/menuitem.c,
	  include/moveresize.h, libAfterStep/moveresize.h,
	  libAfterStep/outline.c: Implemented level counting while doing
	  Grab/UngrabEm; Implemented intercative window movement; Fixed
	  FousIn handling to not loose focus while mouse is
	  grabbed;Implemented updating of bar's root position when frame is
	  only moved, but not resiized.

2002-11-15 17:34  sasha

	* include/afterstep.h, include/moveresize.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/moveresize.c,
	  libAfterStep/moveresize.h, libAfterStep/screen.h,
	  src/afterstep/Makefile.in, libAfterStep/outline.c: backported
	  move-resizing code from as-devel - now need to figure out how to
	  plug it in to everything else

2002-11-15 15:39  sasha

	* libAfterStep/ASmodule.c: redundand SetMyName() in ASmodule.c

2002-11-15 14:56  sasha

	* include/afterstep.h, include/screen.h, libAfterStep/afterstep.h,
	  libAfterStep/clientprops.c, libAfterStep/decor.c,
	  libAfterStep/screen.h, libAfterBase/aslist.c,
	  libAfterBase/aslist.h, libAfterImage/asfont.c,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/aswindow.c, src/afterstep/configure.c,
	  src/afterstep/menuitem.c: Fixed memory leaks in
	  asfont.c,list.c,decor.c and InitLook(); Implemented proper
	  cleanup to produce clean memory leak output; Implemented smooth
	  shading animation in both directions

2002-11-14 18:00  sasha

	* include/afterstep.h, include/decor.h, libAfterImage/asfont.c,
	  libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menuitem.c: Fixed
	  titlebar button contexts;Fixed decoration focusing/unfocusing;
	  fixed pressing/depressing; Fixed segfaults in LookInit (pixmaps);
	  Fixed numerous memory leaks in menu parsing and in font loading;

2002-11-13 17:29  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c, src/afterstep/configure.c,
	  src/afterstep/events.c: Debugged resizing of frame decorations;
	  Fixed segfault in DigestEvent; Implemented titlebar button
	  drawing (for horizontal bars only for now);

2002-11-12 17:51  sasha

	* include/afterstep.h, include/screen.h, libAfterStep/afterstep.h,
	  libAfterStep/decor.c, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/aswindow.c, src/afterstep/events.c,
	  src/afterstep/menuitem.c: debugged function execution; window
	  registration and partially configurenotify handling

2002-11-08 17:34  sasha

	* include/hints.h, libAfterStep/decor.c, libAfterStep/hints.h,
	  src/afterstep/add_window.c, src/afterstep/aswindow.c,
	  src/afterstep/colormaps.c: debugged AddWindow, restacking and
	  colormaps; Need to debug ExecFunction - it loops endlessly now on
	  InitFunction

2002-11-07 16:37  sasha

	* configure.h.in, include/afterstep.h, include/parser.h,
	  libAfterStep/afterstep.h, libAfterStep/asapp.c,
	  libAfterStep/decor.c, libAfterStep/event.c,
	  libAfterStep/mystyle.c, libAfterStep/parser.h,
	  libAfterConf/.depend, libAfterConf/Database.c,
	  libAfterStep/screen.c, libAfterStep/session.c,
	  libAfterStep/wmprops.c, src/Script/.depend,
	  src/Script/Widgets/.depend, src/Wharf/.depend, src/Zharf/.depend,
	  src/afterstep/.depend, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/functions.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.h: fixed remaining compilation problems;
	  updated depenfd files; Fixed Session to correctly build config
	  tree and use correct paths; Fixed atoms interning; Fixed config
	  reading order; added QuickRestart base and database;Implemented
	  function body parsing; debugged to the point that config loads
	  successfuly

2002-11-06 17:04  sasha

	* include/afterstep.h, include/asapp.h, include/hints.h,
	  include/mystyle.h, include/mystyle_property.h, include/parser.h,
	  include/screen.h, libAfterStep/afterstep.h, libAfterStep/asapp.h,
	  libAfterStep/hints.h, libAfterStep/mystyle.h,
	  libAfterStep/mystyle_property.h, libAfterStep/parser.h,
	  libAfterStep/screen.h, libAfterConf/.depend,
	  libAfterConf/ASetRoot.c, libAfterConf/Base.c,
	  libAfterConf/Database.c, libAfterConf/MyStyle.c,
	  libAfterConf/Pager.c, libAfterConf/WinList.c,
	  libAfterImage/asvisual.c, libAfterImage/pixmap.c,
	  libAfterImage/apps/ascompose.c, libAfterStep/mystyle.c,
	  libAfterStep/mystyle_property.c, libAfterStep/wmprops.c,
	  src/Pager/Pager.c, src/Wharf/Wharf.c, src/WinList2/WinList.c,
	  src/afterstep/Makefile.in, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/dirtree.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/housekeeping.c, src/afterstep/icons.c,
	  src/afterstep/menuitem.c, src/afterstep/menus.h,
	  src/afterstep/misc.c, src/afterstep/module.c,
	  src/afterstep/myscandir.c, src/afterstep/pager.c,
	  src/afterstep/windows.c, src/asetroot/asetroot.c: Moved MyStyles
	  to use Hash table, Fixed mystyle_property code to use wmprops;
	  updated libConfig to use asapp and fixed MyStyle parsing; cleaned
	  up bits and pieces and at long last got AfterStep proper to
	  compile cleanly cd as-stable! Now its time for some debugging

2002-11-05 16:30  sasha

	* include/afterstep.h, include/functions.h, include/mystyle.h,
	  include/screen.h, include/session.h, libAfterStep/afterstep.h,
	  libAfterStep/asapp.c, libAfterStep/font.c,
	  libAfterStep/functions.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, libAfterStep/screen.h,
	  libAfterStep/session.c, libAfterStep/session.h,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/configure.c, src/afterstep/functions.c: Completed
	  configure.c update - need to update mystyle.c to use hash table
	  instead of list now; ASSession upgraded to handle theme file and
	  multihead config properly

2002-11-04 17:46  sasha

	* include/afterstep.h, include/asapp.h, include/module.h,
	  include/screen.h, libAfterStep/afterstep.h, libAfterStep/asapp.h,
	  libAfterStep/module.h, libAfterStep/screen.c,
	  libAfterStep/screen.h, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  src/afterstep/colormaps.c, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/functions.c: completed
	  rewriting afterstep.c and started cleaning up the config handling
	  - lastthing I hope

2002-11-04 09:36  sasha

	* configure: fix to configure to not mangle dir names

2002-11-04 09:30  sasha

	* autoconf/configure.in, include/afterstep.h, include/asapp.h,
	  include/decor.h, include/module.h, include/screen.h,
	  include/session.h, libAfterStep/afterstep.h,
	  libAfterStep/asapp.h, libAfterStep/decor.h,
	  libAfterStep/module.h, libAfterStep/screen.h,
	  libAfterStep/session.h, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.h, src/afterstep/module.c: missing files

2002-11-01 16:37  sasha

	* libAfterStep/: Makefile.in, asapp.c, screen.c, session.c:
	  backported rewritten modules.c and session management code from
	  devel. Mostly updated/cleaned AS initialization code; added
	  missing files to CVS

2002-10-31 16:25  sasha

	* include/afterstep.h, include/aftersteplib.h,
	  include/asdatabase.h, include/balloon.h, include/decor.h,
	  include/event.h, include/functions.h, include/general.h,
	  include/misc.h, include/module.h, include/myicon.h,
	  include/mystyle.h, include/parser.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/asdatabase.h,
	  libAfterStep/balloon.h, libAfterStep/decor.h,
	  libAfterStep/event.h, libAfterStep/functions.h,
	  libAfterStep/module.h, libAfterStep/myicon.h,
	  libAfterStep/mystyle.h, libAfterStep/parser.h,
	  libAfterStep/screen.h, libAfterStep/ASmodule.c,
	  libAfterStep/Makefile.in, libAfterStep/asdatabase.c,
	  libAfterStep/audit.c, libAfterStep/background.c,
	  libAfterStep/balloon.c, libAfterStep/clientprops.c,
	  libAfterStep/decor.c, libAfterStep/event.c, libAfterStep/font.c,
	  libAfterStep/hints.c, libAfterStep/loadimg.c,
	  libAfterStep/myicon.c, libAfterStep/mystyle.c,
	  libAfterStep/mystyle_property.c, libAfterStep/parse.c,
	  libAfterStep/parser.c, libAfterStep/wmprops.c,
	  src/Banner/Banner.c, src/Ident/Ident.c, src/Pager/Pager.c,
	  src/Pager/x_pager.c, src/Script/Script.c, src/Scroll/Scroll.c,
	  src/Wharf/Wharf.c, src/Zharf/Zharf.c, src/afterstep/Makefile.in,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/configure.c,
	  src/afterstep/functions.c, src/afterstep/globals.h,
	  src/afterstep/icons.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.h: Fixed Frames, backported asapp.c.h, got
	  rid of aftersteplib.h, cleaned up headers in lib

2002-10-30 17:13  sasha

	* include/afterstep.h, include/hints.h, include/misc.h,
	  libAfterStep/afterstep.h, libAfterStep/hints.c,
	  libAfterStep/hints.h, libAfterImage/import.h,
	  src/afterstep/Makefile.in, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/colormaps.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/icons.c, src/afterstep/menus.h,
	  src/afterstep/misc.c, src/afterstep/module.c,
	  src/afterstep/move.c, src/afterstep/pager.c: making progress to
	  get as to compile - link time errors now

2002-10-25 17:08  sasha

	* include/afterstep.h, include/screen.h, libAfterStep/afterstep.h,
	  libAfterStep/screen.h, src/afterstep/Makefile.in,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/asinternals.h, src/afterstep/aswindow.c,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/functions_old.c,
	  src/afterstep/housekeeping.c, src/afterstep/pager.c: completed
	  updating most of them functions.c

2002-10-24 16:40  sasha

	* include/afterstep.h, libAfterStep/afterstep.h, include/hints.h,
	  include/misc.h, include/screen.h, libAfterBase/aslist.c,
	  libAfterBase/aslist.h, libAfterStep/hints.c,
	  libAfterStep/hints.h, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/functions.c: completed
	  backporting aswindow.c; rewrittend add_window.c to use new
	  windowlist stuff and continued on with functions.c

2002-10-23 16:10  sasha

	* include/afterstep.h, include/functions.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/functions.h,
	  libAfterStep/screen.h, src/afterstep/Makefile.in,
	  src/afterstep/add_window.c, src/afterstep/asinternals.h,
	  src/afterstep/aswindow.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menus.h: some
	  backporting of windowlist functionality from devel to reuse
	  restacking functions

2002-10-22 16:26  sasha

	* src/afterstep/Makefile.in, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/asinternals.h,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/functions_old.c,
	  src/afterstep/housekeeping.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.h, src/afterstep/windows.c,
	  include/afterstep.h, include/functions.h, include/misc.h,
	  include/screen.h, libAfterStep/afterstep.h,
	  libAfterStep/functions.h, libAfterStep/screen.h: backporting
	  large portion of function/menu handling code from as-devel branch

2002-10-21 23:54  sasha

	* src/afterstep/: events.c, functions.c, menuitem.c, menus.h:
	  FuncKey, MouseButton and MenuItem now all contain instance of
	  FunctionData

2002-10-18 17:34  sasha

	* include/functions.h, libAfterStep/event.c,
	  libAfterStep/functions.h, libAfterImage/pixmap.h,
	  src/afterstep/functions.c: started fixing functions.c; fixed bug
	  in event.c reported by tildouf

2002-10-17 17:47  sasha

	* include/afterstep.h, include/decor.h, include/hints.h,
	  include/misc.h, libAfterStep/afterstep.h, libAfterStep/decor.h,
	  libAfterStep/hints.h, src/afterstep/Makefile.in,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menus.h: Completed
	  events handling rewriting - now off to functions

2002-10-10 17:39  sasha

	* include/afterstep.h, include/event.h, libAfterStep/afterstep.h,
	  libAfterStep/event.h, include/hints.h, include/misc.h,
	  include/screen.h, libAfterStep/event.c, libAfterStep/hints.h,
	  libAfterStep/screen.h, src/afterstep/add_window.c,
	  src/afterstep/colormaps.c, src/afterstep/events.c: completed
	  colormap handling, UnmapNotify and EnterNotify handling

2002-10-09 17:42  sasha

	* libAfterBase/aslist.c, libAfterBase/aslist.h,
	  src/afterstep/colormaps.c: painfull work on implementing proper
	  colormap handling

2002-10-07 17:39  sasha

	* include/afterstep.h, include/misc.h, libAfterStep/afterstep.h,
	  include/screen.h, libAfterStep/decor.c, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/colormaps.c,
	  src/afterstep/events.c, src/afterstep/module.c: updated
	  HandleMapNotify and HandleUnmapNotify, and started reworking
	  Colormap handling

2002-10-04 17:22  sasha

	* include/afterstep.h, include/misc.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/screen.h,
	  src/Scroll/GrabWindow.c, src/Scroll/Scroll.c, src/Wharf/Wharf.c,
	  src/Zharf/Zharf.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/misc.c: updated Destroy and
	  REstoreWithdrawnLocation from as-devel; cleaned up misc.c abit;
	  Updated HandleDestroy and HandleMapRequest

2002-10-03 17:37  sasha

	* include/afterstep.h, include/misc.h, libAfterStep/afterstep.h,
	  libAfterStep/decor.c, src/afterstep/add_window.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/module.c: implemented frame hiliting on focusIn,
	  updated 50% event handlers

2002-10-01 17:47  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c, src/afterstep/events.c: focusIn?

2002-09-30 17:42  sasha

	* src/afterstep/events.c: focusIn?

2002-09-27 16:59  sasha

	* include/aftersteplib.h, include/decor.h, include/event.h,
	  include/screen.h, libAfterStep/asdatabase.c,
	  libAfterStep/decor.c, libAfterStep/decor.h, libAfterStep/event.c,
	  libAfterStep/event.h, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/colormaps.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menus.c,
	  src/afterstep/misc.c, src/afterstep/move.c,
	  src/afterstep/pager.c, src/afterstep/resize.c: started fixing
	  event handling - completed event digestion(event time, ASWindow,
	  context, widget, etc.; backported event.c/h from as-devel for
	  better event time/window handling

2002-09-25 17:35  sasha

	* include/afterstep.h, include/aftersteplib.h, include/event.h,
	  include/misc.h, include/screen.h, libAfterStep/Makefile.in,
	  libAfterStep/afterstep.h, libAfterStep/event.c,
	  libAfterStep/event.h, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c: getting
	  everything to compile

2002-09-05 17:23  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  src/afterstep/add_window.c: completed implementation of
	  button/key grabbing/ungrabbing - need to do special case of
	  RaiseToClick without ClickToFocus

2002-09-05 09:45  sasha

	* src/afterstep/add_window.c: moved keyboard and mouse grabbing
	  into add_window.c and cleaned it up abit

2002-09-05 09:38  sasha

	* src/afterstep/: add_window.c, misc.c: moved keyboard and mouse
	  grabbing into add_window.c and cleaned it up abit

2002-09-05 09:30  sasha

	* src/afterstep/: add_window.c, icons.c: moved keyboard and mouse
	  grabbing into add_window.c and cleaned it up abit

2002-09-04 17:44  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  src/afterstep/add_window.c, src/afterstep/icons.c: mostly done
	  with add_window.c - need proper feel stuff ( grabs and such)

2002-09-04 00:48  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  libAfterStep/decor.c, src/afterstep/add_window.c: completed
	  redecorate_window icluding icon image

2002-09-03 17:35  sasha

	* include/afterstep.h, include/decor.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/borders.c, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/icons.c, src/afterstep/placement.c: implemented
	  creation of canvas for frame, client and icon; got rid of
	  Textures

2002-09-03 01:36  sasha

	* include/afterstep.h, include/screen.h, libAfterStep/afterstep.h,
	  libAfterStep/screen.h, src/afterstep/icons.c: adde ASIconBox and
	  AWSDesktop, started implementing ASIconBox

2002-09-02 01:56  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/configure.c, src/afterstep/events.c,
	  src/afterstep/icons.c, src/afterstep/menuitem.c,
	  src/afterstep/misc.c: need to rewrite icon handling using
	  ASCanvas as well

2002-08-31 01:21  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  src/afterstep/Makefile.in, src/afterstep/add_window.c,
	  src/afterstep/borders.c, src/afterstep/icons.c: discontinued
	  borders.c - moved SetShape and SetFocus to add_window.c; Cleaned
	  up all old junk from ASWindow struct

2002-08-30 17:37  sasha

	* include/afterstep.h, include/misc.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/colormaps.c, src/afterstep/configure.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/icons.c, src/afterstep/menuitem.c,
	  src/afterstep/pager.c: Started switching over everything to use
	  new canvas/tbar scheme of window decorations drawing

2002-08-30 01:28  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c: implemented frame size calculation
	  and resing on status change

2002-08-29 17:38  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c: implemented move/resizing handling
	  and drawing

2002-08-28 17:01  sasha

	* include/decor.h, libAfterStep/decor.h, libAfterStep/decor.c,
	  src/afterstep/add_window.c: keep on working

2002-08-28 01:13  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c: added tbar data creation code

2002-08-27 17:43  sasha

	* include/afterstep.h, include/decor.h, libAfterStep/afterstep.h,
	  libAfterStep/decor.c, libAfterStep/decor.h,
	  src/afterstep/add_window.c: started implementing new ASWindow
	  decorations

2002-08-27 01:07  sasha

	* include/afterstep.h, libAfterStep/afterstep.h: musings

2002-08-26 17:19  sasha

	* include/afterstep.h, include/decor.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/screen.h,
	  src/afterstep/add_window.c: implemented titlebar button placement
	  structures

2002-08-23 17:13  sasha

	* include/afterstep.h, include/decor.h, include/myicon.h,
	  include/screen.h, libAfterStep/afterstep.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/myicon.c,
	  libAfterStep/myicon.h, libAfterStep/screen.h,
	  src/afterstep/configure.c: started backporting MyFrames from
	  as-devel - created as-stable specific MyFrame structure

2002-08-23 01:22  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  src/afterstep/add_window.c: prototyped new window decoration
	  elements

2002-08-22 01:16  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  src/afterstep/add_window.c, src/afterstep/borders.c,
	  src/afterstep/decorations.c, src/afterstep/frame.c,
	  src/afterstep/functions.c, src/afterstep/icons.c,
	  src/afterstep/menuitem.c, src/afterstep/misc.c,
	  src/afterstep/move.c, src/afterstep/placement.c,
	  src/afterstep/resize.c: cleaned up most none-state (permanent)
	  flags - now state flags todo

2002-08-21 01:33  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  src/afterstep/add_window.c, src/afterstep/borders.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/menuitem.c: fixed focus handling and titlebar
	  buttons

2002-08-17 02:15  sasha

	* include/afterstep.h, libAfterStep/afterstep.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/borders.c, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/events.c,
	  src/afterstep/functions.c, src/afterstep/menus.c,
	  src/afterstep/misc.c, src/afterstep/resize.c: replaced TITLE,
	  BORDER and VERT_TITLE with relkevant flags from hints; Rewrote
	  button handling to use better button numbering (from ashints as
	  well)

2002-08-16 01:43  sasha

	* libAfterBase/.depend, src/Script/.depend, src/afterstep/.depend:
	  updated dependancies

2002-08-16 01:42  sasha

	* include/parser.h, libAfterStep/ASmodule.c,
	  libAfterStep/asdatabase.c, libAfterStep/background.c,
	  libAfterStep/balloon.c, libAfterStep/clientprops.c,
	  libAfterStep/decor.c, libAfterStep/font.c, libAfterStep/hints.c,
	  libAfterStep/loadimg.c, libAfterStep/myicon.c,
	  libAfterStep/mystyle.c, libAfterStep/mystyle_property.c,
	  libAfterStep/parse.c, libAfterStep/parser.c,
	  libAfterStep/parser.h, libAfterStep/wmprops.c: fixed parser to
	  corretly handle database config

2002-08-15 17:43  sasha

	* include/parser.h, libAfterStep/parser.c, libAfterStep/parser.h,
	  src/afterstep/configure.c: debugging database parsing

2002-08-15 01:51  sasha

	* libAfterStep/clientprops.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/functions.c,
	  src/afterstep/placement.c, src/afterstep/resize.c: afterstep
	  compiles now, but does not run due to multiple faults - needs
	  debuggin

2002-08-14 02:01  sasha

	* src/afterstep/: Makefile.in, functions.c, icons.c, misc.c,
	  module.c, pager.c, resize.c, windows.c: afterstep now compiles,
	  but some functions needs to be added/reimplemented for it to link

2002-08-13 01:42  sasha

	* src/afterstep/: borders.c, colormaps.c, events.c: further
	  progress in fixing as to compile

2002-08-10 01:54  sasha

	* src/afterstep/: afterstep.c, decorations.c, placement.c: fixed
	  decorations.c and afterstep.c

2002-08-09 02:37  sasha

	* include/afterstep.h, include/misc.h, libAfterStep/afterstep.h,
	  src/afterstep/add_window.c: some progress in updating to proper
	  ASHints usage

2002-08-08 01:04  sasha

	* include/afterstep.h, libAfterStep/afterstep.h, include/screen.h,
	  include/style.h, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c,
	  src/afterstep/globals.h: Merged work in progress - conversion to
	  new fashioned ASHints and ASDatabase - AS does not compile

2002-08-04 01:48  sasha

	* include/afterstep.h, include/confdefs.h, include/general.h,
	  include/parser.h, libAfterConf/afterconf.h,
	  libAfterStep/afterstep.h, libAfterStep/parser.h,
	  libAfterConf/ASetRoot.c, libAfterConf/Database.c,
	  libAfterConf/Makefile.in, libAfterConf/Pager.c,
	  libAfterStep/parser.c, src/Gnome/Gnome.h,
	  src/afterstep/add_window.c, src/afterstep/borders.c,
	  src/afterstep/configure.c, src/afterstep/dirtree.c,
	  src/afterstep/icons.c, src/afterstep/misc.c: backported database
	  parsing code from as-devel

2002-08-03 02:18  sasha

	* include/afterstep.h, include/clientprops.h, include/hints.h,
	  include/screen.h, include/style.h, libAfterStep/afterstep.h,
	  libAfterStep/clientprops.c, libAfterStep/clientprops.h,
	  libAfterStep/hints.c, libAfterStep/hints.h,
	  libAfterStep/screen.h, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/borders.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c,
	  src/afterstep/events.c, src/afterstep/functions.c,
	  src/afterstep/icons.c, src/afterstep/misc.c,
	  src/afterstep/placement.c, src/afterstep/style.c,
	  src/afterstep/windows.c: Switched ASWindowd to use new names
	  stored in ASHints; Implemented support for new GNOME/KDE hints
	  for window names

2002-08-01 00:48  sasha

	* src/afterstep/: add_window.c, afterstep.c, misc.c: cleanup for
	  new ASHints added

2002-07-31 00:56  sasha

	* include/afterstep.h, include/aftersteplib.h, include/screen.h,
	  libAfterStep/afterstep.h, libAfterStep/screen.h,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/borders.c, src/afterstep/functions.c,
	  src/afterstep/module.c, src/afterstep/placement.c,
	  src/afterstep/resize.c, src/afterstep/style.c: added structures
	  for new ASHints to ASWindow

2002-07-29 01:49  sasha

	* include/afterstep.h, include/asdatabase.h, include/clientprops.h,
	  include/functions.h, include/hints.h, libAfterStep/Makefile.in,
	  libAfterStep/afterstep.h, libAfterStep/asdatabase.c,
	  libAfterStep/asdatabase.h, libAfterStep/clientprops.c,
	  libAfterStep/clientprops.h, libAfterStep/functions.h,
	  libAfterStep/hints.h, libAfterStep/hints.c,
	  libAfterStep/wmprops.c, src/WinList2/.depend,
	  src/afterstep/.depend, src/afterstep/dirtree.h,
	  src/afterstep/functions.h, src/afterstep/menus.h,
	  src/afterstep/resize.c: backported hints.c and asdatabase.c as a
	  prelude to implementing proper gravity handling and maybe even
	  support for gnome/KDE

2002-07-28 01:33  sasha

	* include/confdefs.h, include/parser.h, libAfterConf/Makefile.in,
	  libAfterConf/MyStyle.c, libAfterConf/WinList.c,
	  libAfterConf/afterconf.h, libAfterStep/parser.h,
	  src/WinList2/WinList.c: some debugging on the WinList config
	  reading in WinList2 - made it as backward compatible as possible

2002-07-26 01:40  sasha

	* include/afterstep.h, include/confdefs.h, libAfterConf/WinList.c,
	  libAfterConf/afterconf.h, libAfterStep/afterstep.h,
	  src/WinList2/WinList.c: work to read config of the new WinList

2002-07-24 01:32  sasha

	* include/decor.h, libAfterStep/decor.h, include/myicon.h,
	  include/mystyle.h, libAfterImage/blender.c,
	  libAfterImage/ximage.c, libAfterImage/ximage.h,
	  libAfterStep/Makefile.in, libAfterStep/decor.c,
	  libAfterStep/myicon.c, libAfterStep/myicon.h,
	  libAfterStep/mystyle.c, libAfterStep/mystyle.h,
	  src/afterstep/configure.c, src/afterstep/frame.c,
	  src/afterstep/menuitem.c: implemented shaped decoration drawing -
	  see winlist2 with BackPixmap set to 125 or 126 for any of the
	  styles

2002-07-23 01:47  sasha

	* include/afterstep.h, include/myicon.h, include/mystyle.h,
	  include/screen.h, libAfterStep/afterstep.h,
	  libAfterStep/balloon.c, libAfterStep/loadimg.c,
	  libAfterStep/myicon.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, libAfterStep/screen.h,
	  libAfterImage/ximage.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/borders.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c,
	  src/afterstep/frame.c, src/afterstep/menuitem.c: Fixed afterstep
	  proper to use same functions as mystyles for icon loading( with
	  shapes and alpha-channel) Fixed bugs in mystyle text drawing;
	  some ximage.c functions where bitmap parameter was wrong; Changed
	  titlebar buttoins to use MyIcon and MyButton; Changed Frames to
	  use MyIcon with shapes and everything; Fixed menu to properly
	  load and unload icons

2002-07-22 01:39  sasha

	* afterstep/looks/look.AfterStep, afterstep/looks/look.DEFAULT,
	  afterstep/looks/look.Guylhem, afterstep/looks/look.Metallic,
	  afterstep/looks/look.NEW, afterstep/looks/look.Ostx,
	  afterstep/looks/look.PureNext,
	  afterstep/looks/look.Transparent.rev,
	  afterstep/looks/look.purple, include/mystyle.h,
	  libAfterImage/asimage.c, libAfterImage/asimage.h,
	  libAfterImage/ximage.c, libAfterImage/ximage.h,
	  libAfterStep/mystyle.c, libAfterStep/mystyle.h,
	  libAfterStep/mystyle_property.c, src/Audio/Audio.c,
	  src/Wharf/Wharf.c, src/afterstep/afterstep.man,
	  src/afterstep/resize.c: completed implementation of 8-bit alpha
	  channel pixmaps in libAfterImage; added function to hopefully
	  determine the most efficient depth of alpha channel (8 or 1);
	  added 8-bit alpha support to icon_t and mystyles; fixed bugs in
	  MyStyles cloning of mask; added twm rubberband; fixed Audio (see
	  AS ML)

2002-07-20 01:14  sasha

	* libAfterImage/: ximage.c, ximage.h: added some functions for
	  export of alpha channel into 8 bit pixmap and back

2002-07-18 01:34  sasha

	* libAfterStep/mystyle.c, src/WinList2/WinData.h,
	  src/WinList2/WinList.c: debugging shaped images in modules

2002-07-17 01:18  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/WinList2/WinList.c: Added focused/sticky display to WinList2;
	  Fixed bevel width; Fixed window adding;

2002-07-16 01:38  sasha

	* include/decor.h, libAfterImage/transform.c, libAfterStep/decor.c,
	  libAfterStep/decor.h, src/WinList2/WinList.c: Parameter check
	  bugfix in marge_layers in libAfterImage; Rewrote WinList layout,
	  to do it two steps

2002-07-14 23:34  sasha

	* libAfterStep/decor.c, src/WinList2/WinList.c: further winlist2
	  fixes

2002-07-12 01:20  sasha

	* include/decor.h, libAfterStep/decor.h, libAfterStep/decor.c,
	  src/WinList2/WinList.c:  prototyped updating of transparency

2002-07-09 01:59  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  libAfterStep/mystyle.c, src/WinList2/WinData.c,
	  src/WinList2/WinList.c: further improvemet of tbar drawing in
	  winlist2

2002-07-08 02:14  sasha

	* include/decor.h, libAfterStep/decor.c, libAfterStep/decor.h,
	  src/WinList2/WinList.c: implemented canvas drawing and debugged
	  large part of WinList2 redrawing code

2002-07-06 02:17  sasha

	* autoconf/configure.in, libAfterStep/decor.c,
	  libAfterStep/mystyle.c, src/WinList2/WinList.c,
	  src/afterstep/add_window.c, src/afterstep/afterstep.c,
	  src/afterstep/borders.c, src/afterstep/clientwin.c,
	  src/afterstep/colormaps.c, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/dirtree.c,
	  src/afterstep/events.c, src/afterstep/frame.c,
	  src/afterstep/functions.c, src/afterstep/gnome.c,
	  src/afterstep/icons.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.c, src/afterstep/misc.c,
	  src/afterstep/module.c, src/afterstep/move.c,
	  src/afterstep/myscandir.c, src/afterstep/pager.c,
	  src/afterstep/placement.c, src/afterstep/resize.c,
	  src/afterstep/style.c, src/afterstep/windows.c:  back to hacking
	  WinLIst2 to implement TrueType font rendering

2002-06-24 17:14  allanon

	* libAfterImage/: asimagexml.c, apps/ascompose.c:  o re-ordered a
	  bit of code so that the width and height attributes of
	     <scale> could use variables defined by children of the tag

2002-05-24 00:14  sasha

	* libAfterImage/import.c: compilation warning

2002-05-22 12:28  allanon

	* include/afterbase.h, include/aftersteplib.h,
	  libAfterBase/ashash.c, libAfterBase/aslist.c,
	  libAfterBase/asvector.c, libAfterBase/fs.c,
	  libAfterBase/layout.c, libAfterBase/mystring.c,
	  libAfterBase/os.c, libAfterBase/parse.c, libAfterBase/parse.h,
	  libAfterBase/regexp.c, libAfterBase/socket.c,
	  libAfterBase/xprop.c, libAfterImage/afterbase.c,
	  libAfterImage/asvisual.c, libAfterStep/ASmodule.c,
	  libAfterStep/mystyle.c, src/afterstep/add_window.c,
	  src/afterstep/afterstep.c, src/afterstep/borders.c,
	  src/afterstep/configure.c, src/afterstep/decorations.c,
	  src/afterstep/frame.c, src/afterstep/functions.c,
	  src/afterstep/icons.c, src/afterstep/menuitem.c,
	  src/afterstep/menus.c:  o added support for multi-bit-depth
	  displays like those found on Solaris
	     boxes: 8bpp root window, with 24bpp possible to afterstep;
	  note that
	     asetroot still does not support this situation, so
	  transparency modes
	     do not work
	   o moved around audit.h includes to allow AS to be compiled with
	     --enable-audit again

2002-05-20 00:55  sasha

	* libAfterBase/parse.c, libAfterStep/mystyle.c,
	  libAfterStep/mystyle_property.c, src/Pager/x_pager.c: fixed all
	  of the color bugs I could find - let me know if you find any more

2002-05-18 01:18  sasha

	* configure, autoconf/acconfig.h, autoconf/config.h.in,
	  autoconf/configure.in, libAfterImage/transform.c,
	  libAfterImage/ximage.c, libAfterStep/mystyle.c,
	  libAfterStep/mystyle_property.c: added configure option to enable
	  reusing loaded font by modules (old way)

2002-05-16 02:30  sasha

	* include/decor.h, include/mystyle.h, libAfterBase/aslist.c,
	  libAfterBase/aslist.h, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, src/Wharf/Wharf.c,
	  src/WinList2/WinList.c, src/afterstep/afterstep.c,
	  src/afterstep/events.c, src/afterstep/icons.c,
	  src/afterstep/misc.c, tools/importasmenu: fixed several bugs and
	  got it practically ready for the general use

2002-05-10 01:03  sasha

	* src/WinList2/: WinData.c, WinList.c:	added main window creation
	  code and prototyped WinList config stuff

2002-05-07 01:46  sasha

	* src/WinList2/: Makefile.in, WinData.c, WinList.c: implemented
	  generic winlist data handling

2002-05-03 01:25  sasha

	* configure, autoconf/configure.in, include/aftersteplib.h,
	  include/clientprops.h, include/wmprops.h,
	  libAfterStep/Makefile.in, libAfterStep/clientprops.c,
	  libAfterStep/clientprops.h, libAfterStep/wmprops.c,
	  libAfterStep/wmprops.h, src/WinList2/Makefile.in,
	  src/WinList2/WinList.c: backported wmprops and clientprops code
	  for maybe support for KDE/GNOME

2002-05-01 01:15  sasha

	* libAfterStep/font.c, src/Ident/Makefile.in: preoared WinList to
	  be converted to use TRueType fonts

2002-05-01 00:41  sasha

	* include/font.h, libAfterStep/font.c, libAfterStep/font.h,
	  libAfterStep/mystyle.c: fixed bug in style parsing

2002-04-30 02:11  sasha

	* include/mystyle.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h: Hopefully fixed problem with tinting
	  color by adding another texture type(149); added more texture
	  types to enable image scaling (127,150-165), added usage of
	  image_manager to load images

2002-04-28 02:24  sasha

	* libAfterStep/mystyle.c: fixed text colors on non-24bpp displays

2002-04-27 01:23  sasha

	* AfterStep.spec, README, autoconf/configure.in,
	  doc/languages/README.cz, doc/languages/README.de,
	  doc/languages/README.dk, doc/languages/README.es,
	  doc/languages/README.fi, doc/languages/README.fr,
	  doc/languages/README.gr, doc/languages/README.id,
	  doc/languages/README.it, doc/languages/README.jp,
	  doc/languages/README.nl, doc/languages/README.no,
	  doc/languages/README.pl, doc/languages/README.ro,
	  doc/languages/README.ru.koi8, doc/languages/README.se,
	  doc/languages/README.tw, doc/languages/README.yu,
	  include/afterstep.h, include/screen.h, libAfterStep/afterstep.h,
	  libAfterStep/screen.h, src/Script/Instructions.c,
	  src/Script/Makefile.in, src/Script/Script.c, src/Script/types.h,
	  src/Script/Widgets/CheckBox.c, src/Script/Widgets/HDipstick.c,
	  src/Script/Widgets/HScrollBar.c, src/Script/Widgets/ItemDraw.c,
	  src/Script/Widgets/List.c, src/Script/Widgets/Makefile.in,
	  src/Script/Widgets/Menu.c, src/Script/Widgets/MiniScroll.c,
	  src/Script/Widgets/PopupMenu.c, src/Script/Widgets/PushButton.c,
	  src/Script/Widgets/RadioButton.c, src/Script/Widgets/Rectangle.c,
	  src/Script/Widgets/Swallow.c, src/Script/Widgets/TextField.c,
	  src/Script/Widgets/VDipstick.c, src/Script/Widgets/VScrollBar.c,
	  src/Zharf/Zharf.c: fixed compilation of everything

2002-04-26 01:20  sasha

	* afterstep/feels/feel.DEFAULT, include/decor.h, include/frame.h,
	  include/misc.h, include/mystyle.h, include/screen.h,
	  libAfterStep/Makefile.in, libAfterStep/decor.c,
	  libAfterStep/decor.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, libAfterStep/screen.h, src/Wharf/Wharf.c:
	  fixed bug in Wharf where apps where launched on wrong screen in
	  multihead config; Implemented prototype for automated titlebar
	  rendering

2002-04-25 01:23  sasha

	* include/frame.h: started implementing new tbar drawing

2002-04-25 01:07  sasha

	* include/aftersteplib.h, include/asproperty.h,
	  libAfterBase/xprop.c, libAfterBase/xprop.h,
	  libAfterStep/Makefile.in, libAfterStep/background.c,
	  libAfterStep/mystyle.c, libAfterStep/mystyle_property.c,
	  src/Pager/.depend, src/Pager/x_pager.c, src/afterstep/.depend,
	  src/afterstep/borders.c, src/afterstep/configure.c,
	  src/afterstep/decorations.c, src/afterstep/frame.c,
	  src/afterstep/menus.c, src/asetroot/.depend,
	  src/asetroot/asetroot.c: more includes cleanup

2002-04-25 00:46  sasha

	* Makefile.in, configure, autoconf/Makefile.common.in,
	  autoconf/configure.in, include/XImage_utils.h, include/ascolor.h,
	  include/hashtable.h, include/pixmap.h, include/stepgfx.h,
	  include/timer.h, libAfterImage/.depend, libAfterImage/.shared,
	  libAfterImage/apps/.depend, libAfterStep/Makefile.in,
	  src/Animate/.depend, src/Audio/.depend, src/Banner/.depend,
	  src/Cascade/.depend, src/Clean/.depend, src/Form/.depend,
	  src/Gnome/.depend, src/Ident/.depend, src/Pager/.depend,
	  src/Pager/Makefile.in, src/Save/.depend, src/Script/.depend,
	  src/Scroll/.depend, src/Scroll/Makefile.in, src/Sound/.depend,
	  src/Tile/.depend, src/Wharf/.depend, src/Wharf/Makefile.in,
	  src/Zharf/.depend, src/Zharf/Makefile.in, src/afterstep/.depend,
	  src/afterstep/Makefile.in, src/asetroot/.depend,
	  src/asetroot/Makefile.in:  cleaned up headers and fixed Makefiles

2002-04-25 00:25  sasha

	* src/Scroll/GrabWindow.c: added custom GetColor for Scroll - will
	  have to be rewritten at some point ab=nyways, no nee dto waste
	  too much time on it now

2002-04-24 01:47  sasha

	* include/afterstep.h, include/module.h, include/screen.h,
	  libAfterStep/ASmodule.c, libAfterStep/afterstep.h,
	  libAfterStep/module.h, libAfterStep/screen.h, src/Form/Form.c,
	  src/Gnome/Gnome.c, src/Ident/Ident.c, src/Ident/Makefile.in,
	  src/Save/Save.c, src/Save/Save.h, src/Scroll/GrabWindow.c,
	  src/Scroll/Scroll.c, src/Sound/ASSound.c, src/Tile/Tile.c,
	  src/afterstep/afterstep.c: more cleanups - Ident now works

2002-04-23 01:25  sasha

	* libAfterImage/afterbase.c, libAfterImage/afterbase.h.in,
	  libAfterImage/asvisual.c, src/Animate/Makefile.in,
	  src/Audio/Makefile.in, src/Cascade/Makefile.in,
	  src/Clean/Makefile.in, src/Pager/Pager.c, src/Pager/Pager.h,
	  src/Pager/x_pager.c, src/Wharf/Wharf.c, src/Wharf/Wharf.h: Fixed
	  Pager to use correct color parsing; Added ARGB2PIXEL converters
	  for pseudo-color modes; Removed GCs from Wharf

2002-04-21 02:14  sasha

	* include/aftersteplib.h, include/mystyle.h,
	  libAfterStep/balloon.c, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, libAfterStep/mystyle_property.c,
	  libAfterConf/MyStyle.c, libAfterImage/transform.c,
	  libAfterStep/Makefile.in, src/Wharf/Wharf.c, src/Wharf/Wharf.h,
	  src/Wharf/icons.c, src/afterstep/configure.c: fixed Wharf to
	  (hopefully) work with libAfterImage. Fixed several minor bugs in
	  libAfterImage

2002-04-21 02:14  allanon

	* tools/makeastheme.pl.in: makeastheme.pl now checks the root
	  window bitdepth first, if possible; this is the ideal thing to
	  do, but may not always work, so it falls back to the old depths
	  line detection if necessary

2002-04-19 01:37  sasha

	* libAfterImage/import.c, libAfterImage/import.h,
	  libAfterImage/xpm.c, src/Wharf/Wharf.c, src/Wharf/Wharf.h,
	  src/Wharf/icons.c: more wharf work. Added xpm_data2ASImage()

2002-04-18 01:19  sasha

	* include/mystyle.h, include/screen.h, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, libAfterStep/screen.h, src/Pager/Pager.h,
	  src/Pager/x_pager.c, src/Wharf/Wharf.c, src/Wharf/Wharf.h,
	  src/Wharf/icons.c, src/afterstep/events.c: Updated Pager to use
	  libAfterImage; pending work on Wharf; added mystyle_make_image
	  function and Scr.RootImage

2002-04-17 22:20  sasha

	* libAfterImage/ximage.c: fixed bug in ASImage->XImage conversion
	  where back_color was not properly padding scanlines

2002-04-16 01:35  sasha

	* libAfterImage/: configure, configure.in, transform.c: slightly
	  improved logic of gradient drawing to account for completely
	  messed up offsets

2002-04-15 01:15  sasha

	* include/afterbase.h, src/asetroot/asetroot.c: Converted asetroot
	  to use libAfterImage for image loading and transformations

2002-04-15 00:15  sasha

	* libAfterBase/xwrap.h: synced with as-devel/libAfterBase

2002-04-15 00:13  sasha

	* libAfterImage/: afterbase.c, afterbase.h.in, afterimage.h,
	  asimage.c, configure, configure.in, pixmap.c, transform.c,
	  xwrap.h: synced with as-devel/libAfterImage

2002-04-13 02:42  sasha

	* include/afterstep.h, include/aftersteplib.h, include/mystyle.h,
	  include/pixmap.h, include/screen.h, libAfterStep/afterstep.h,
	  libAfterStep/background.c, libAfterStep/mystyle.c,
	  libAfterStep/mystyle.h, libAfterStep/mystyle_property.c,
	  libAfterStep/screen.h, include/stepgfx.h, libAfterConf/MyStyle.c,
	  libAfterImage/afterimage.h, libAfterImage/asimage.c,
	  libAfterImage/import.c, libAfterImage/ximage.c,
	  src/afterstep/afterstep.c, src/afterstep/borders.c,
	  src/afterstep/configure.c, src/afterstep/gnome.c,
	  src/afterstep/menus.c, src/afterstep/myscandir.c: Reimplemented
	  MyStyles using libAfterImage - include ssome changes to MyStyle
	  data structure. Tinting now works both ways - darkens and
	  lightens. all 15 blending methods should work now. half of the
	  modules needs fixing to compile

2002-04-11 00:30  sasha

	* doc/languages/: README.cz, README.de, README.dk, README.es,
	  README.fi, README.fr, README.gr, README.id, README.it, README.jp,
	  README.nl, README.no, README.pl, README.ro, README.ru.koi8,
	  README.se, README.tw, README.yu: updated references to mailing
	  lists in Readme files

2002-04-09 00:35  sasha

	* libAfterImage/: asimagexml.c, export.c, import.c, ximage.c,
	  apps/asview.c: Syncronized with devel tree - xml vars, stdout
	  image export

2002-04-08 21:46  geoff

	* src/: Banner/Banner.c, Animate/Animate.c, asetroot/asetroot.c:
	  Fixed usage() output. (Geoff)

2002-04-08 21:32  geoff

	* src/Audio/Audio.man:
	  Fixed typo.

2002-04-07 04:20  geoff

	* src/Scroll/GrabWindow.c:
	  Consolidated include files, global variable declarations from
	  Scroll.c & GrabWindow.c into header file.(Geoff)

2002-04-07 04:19  geoff

	* src/Scroll/Scroll.c:
	  Consolidated include files, global variable declarations from
	  Scroll.c & GrabWindow.c into header file. (Geoff) Removed
	  nocolor() function, as it appeared not to be used.
	* src/Scroll/Scroll.h:
	  Consolidated include files, global variable declarations from
	  Scroll.c & GrabWindow.c into header file.

2002-04-03 15:32  allanon

	* libAfterImage/asimagexml.c, libAfterStep/loadimg.c: Added
	  variables to the XML image parsing.

2002-04-03 11:24  sasha

	* src/afterstep/afterstep.c: compile error

2002-04-03 11:05  sasha

	* include/aftersteplib.h, src/Audio/Makefile.in, src/Wharf/Wharf.c:
	  fixed minor compilation problems

2002-04-03 10:24  sasha

	* libAfterConf/Makefile.in, libAfterStep/Makefile.in: fixed blatant
	  bug in Makefiles for libraries

2002-04-03 01:52  sasha

	* include/aftersteplib.h, libAfterImage/import.c,
	  libAfterImage/ximage.c, libAfterStep/balloon.c,
	  libAfterStep/loadimg.c, src/afterstep/afterstep.c: Added self
	  diag code. Fixed bug in libAfterImage where Mask was incorrectly
	  exported into ximage

2002-04-02 23:57  sasha

	* libAfterConf/Makefile.in, libAfterStep/Makefile.in: testing

2002-03-31 02:02  sasha

	* include/aftersteplib.h, include/general.h, include/loadimg.h,
	  include/mystyle.h, libAfterStep/Makefile.in,
	  libAfterStep/loadimg.c, libAfterStep/loadimg.h,
	  libAfterStep/mystyle.h, src/afterstep/configure.c,
	  src/asetroot/asetroot.c: Enabled AS to read image files using
	  libAfterImage; switched to use even more stuff from libAfterBase
	  - fs.c in particular

2002-03-30 02:22  sasha

	* Makefile.in, Makefile.libs.in, configure, configure.h.in,
	  autoconf/Makefile.common.in, autoconf/Makefile.common.lib.in,
	  autoconf/Makefile.defines.in, autoconf/acconfig.h,
	  autoconf/config.h.in, autoconf/configure.in,
	  autoconf/configure.libs.in, include/afterstep.h,
	  libAfterStep/afterstep.h, libAfterStep/loadimg.c,
	  include/aftersteplib.h, include/parse.h,
	  libAfterConf/Makefile.in, libAfterStep/Makefile.in,
	  libAfterStep/parse.c, libAfterStep/parse.h,
	  src/Animate/Makefile.in, src/Audio/Makefile.in,
	  src/Banner/Makefile.in, src/Cascade/Makefile.in,
	  src/Clean/Makefile.in, src/Form/Makefile.in,
	  src/Gnome/Makefile.in, src/Ident/Makefile.in,
	  src/Pager/Makefile.in, src/Save/Makefile.in,
	  src/Script/Makefile.in, src/Scroll/Makefile.in,
	  src/Sound/Makefile.in, src/Tile/Makefile.in,
	  src/Wharf/Makefile.in, src/Wharf/Wharf.c, src/Zharf/Makefile.in,
	  src/afterstep/Makefile.in, src/afterstep/menuitem.c,
	  src/asetroot/Makefile.in: IN the middle of updating AS with
	  libAfterImage and libAfterBase. Things may not work here

2002-03-29 01:07  sasha

	* autoconf/.cvsignore: added cvsignore

2002-03-28 01:21  sasha

	* libAfterImage/: .depend, .shared: fixed libAfterWidegt to get
	  asclook to compile again

2002-03-28 01:03  sasha

	* libAfterImage/: Makefile.in, pixmap.c, pixmap.h: Completed pixmap
	  manipulation functions port from old libafterimage

2002-03-27 23:22  sasha

	* libAfterImage/: asimage.c, char2uni.h, apps/asi18n.c,
	  apps/asvector.c: compile warnings

2002-03-27 00:41  sasha

	* libAfterImage/xcf.c: Alpha portability fixes

2002-03-27 00:34  sasha

	* libAfterImage/: asvisual.c, xpm.c, transform.c: Alpha portability
	  fixes

2002-03-27 00:29  sasha

	* libAfterImage/: import.c, asimage.c: Alpha portability fixes

2002-03-27 00:25  sasha

	* libAfterBase/selfdiag.c: Alph portability fixes

2002-03-27 00:11  sasha

	* libAfterImage/asimagexml.c: portability fixes

2002-03-26 02:20  sasha

	* libAfterImage/: asimage.c, apps/asvector.c:  fixed lousy bug in
	  tiling code where data was coming out randomly

2002-03-23 02:09  sasha

	* libAfterImage/: ximage.c, ximage.h: almost done with pixmap.c

2002-03-21 19:17  geoff

	* src/Scroll/: Scroll.c, GrabWindow.c:
	  Removed unused macros TRUE/FALSE. (Geoff)
	* src/Scroll/Scroll.h:
	  Deleted references to unused or unnecessary functions. (Geoff)

2002-03-19 23:49  geoff

	* src/Audio/Audio.c:
	  Cut out 3 more lines of cruft.

2002-03-19 00:46  sasha

	* libAfterImage/asfont.c: implemented draw_unicode_text and
	  draw_utf8_text and get_text_size for those as well

2002-03-19 00:06  sasha

	* libAfterImage/apps/: Makefile.in, asvector.c: minor tweaks to
	  asvector.c

2002-03-17 20:14  geoff

	* afterstep/desktop/sounds/: ploop.au, fwop.au, huh.au:
	  Sound file missing from distribution.(Geoff)

2002-03-17 15:23  geoff

	* src/Audio/Audio.c:
	  Added entry to message table to bring source file into compliance
	  with include/module.h.  Redefined RPLAY macro, removing cruft.

2002-03-17 15:18  geoff

	* afterstep/desktop/sounds/: twang.au, beam_trek.au, beaming.au,
	  beep.au:
	  Sound file missing from distribution. (Geoff)

2002-03-17 00:23  sasha

	* libAfterImage/: asfont.c, asfont.h, apps/Makefile.in,
	  apps/asi18n.c: Locale support for TTF fonts mostly completed -
	  need to add draw_text_unicode and draw_text_utf8

2002-03-15 01:47  sasha

	* libAfterImage/: .depend, .shared, asfont.c, char2uni.c,
	  char2uni.h, apps/.depend: right smack in the middle of unicode
	  debugging, loosing bloody glyphs somewhere :(

2002-03-12 01:43  sasha

	* libAfterImage/char2uni.c: hopefully completed locale string
	  parsing

2002-03-11 02:25  sasha

	* libAfterImage/char2uni.c: adding decoder for locale names

2002-03-10 01:51  sasha

	* libAfterImage/: Makefile.in, asfont.c, asfont.h, char2uni.c,
	  char2uni.h, apps/astext.c: Implemented large portion of
	  locale/unicode support in text drawing

2002-03-09 01:32  sasha

	* libAfterImage/: char2uni.c, char2uni.h:  completed implementing
	  char to unicode conversion

2002-03-08 02:24  sasha

	* libAfterImage/apps/: Makefile.in, asvector.c: added test
	  container for vector draving

2002-03-02 07:26  allanon

	* libAfterImage/asimagexml.c:  o fixed segfault when no valid image
	  is generated at all
	   o xml_print() now indents xml so it's more readable

2002-03-02 01:01  sasha

	* libAfterImage/asvisual.h: fixed missing argument in
	  query_screen_visual macro

2002-03-01 01:14  sasha

	* libAfterImage/asimage.c: implemented 8-bit mask output into
	  XImage and reverse mask decoding into alpha channel from attached
	  mask XImage

2002-03-01 00:33  sasha

	* AfterStep.spec, ChangeLog, README, configure,
	  autoconf/configure.in, doc/languages/README.cz,
	  doc/languages/README.de, doc/languages/README.dk,
	  doc/languages/README.es, doc/languages/README.fi,
	  doc/languages/README.fr, doc/languages/README.gr,
	  doc/languages/README.id, doc/languages/README.it,
	  doc/languages/README.jp, doc/languages/README.nl,
	  doc/languages/README.no, doc/languages/README.pl,
	  doc/languages/README.ro, doc/languages/README.ru.koi8,
	  doc/languages/README.se, doc/languages/README.tw,
	  doc/languages/README.yu, src/Wharf/Wharf.h: Fixed compilation
	  warning in Wharf in regards to get/set_flags(); Upgraded version

2002-02-26 01:21  sasha

	* libAfterImage/: asimage.c, asimage.h, apps/astext.c:	done with
	  ximage tiling code, now we can use XImages instead of encoded
	  ARGB data

2002-02-24 13:42  geoff

	* src/asetroot/asetroot.man:
	  Fixed last minute typo.

2002-02-24 13:36  geoff

	* src/asetroot/asetroot.man:
	  Groff mangled part of this manpage. Rewrote passage to fix this.

2002-02-23 01:40  sasha

	* src/Tile/: Tile.c, Tile.man: applied patch fixing -h flag in Tile
	  from Geoff Burling

2002-02-22 01:38  sasha

	* libAfterImage/: asimage.c, asimage.h, apps/astext.c: made
	  possible to use XImage data directly for other transformations -
	  need to complete scanline tiling code and add trigger disabling
	  DATA_UNUSABLE flag

2002-02-21 01:47  sasha

	* libAfterImage/: asimage.c, asimage.h, transform.c: started adding
	  decoding capabilities for ASImages that only has XImage/ARGB data

2002-02-21 01:14  sasha

	* libAfterImage/: asvisual.c, asvisual.h: added colormap parameter
	  to create_asvisual_from_id, so that custom created colormap could
	  be passed for libAfterImage to use from calling app.

2002-02-20 01:14  sasha

	* libAfterImage/: asimagexml.c, import.c: minor portability fixes

2002-02-19 01:59  sasha

